/*
*********************************************************************************************************
*                                                uC/GUI
*                        Universal graphic software for embedded applications
*
*                       (c) Copyright 2002, Micrium Inc., Weston, FL
*                       (c) Copyright 2002, SEGGER Microcontroller Systeme GmbH
*
*              C/GUI is protected by international copyright laws. Knowledge of the
*              source code may not be used to write a similar product. This file may
*              only be used in accordance with a license and should not be redistributed
*              in any way. We appreciate your understanding and fairness.
*
----------------------------------------------------------------------
File        : F24B_1.C
Purpose     : ISO 8859-1, West European Character Set, bold, high
Height      : 13
---------------------------END-OF-HEADER------------------------------
*/

#include "GUI.H"

#ifndef GUI_FLASH
  #define GUI_FLASH
#endif

extern GUI_FLASH const GUI_CHARINFO GUI_Font24B_ASCII_CharInfo[95];

/* The following line needs to be included in any file selecting the
   font. A good place would be GUIConf.H
*/
extern GUI_FLASH const GUI_FONT GUI_Font24B_1;

/* Start of unicode area <Latin-1 Supplement> */
GUI_FLASH const unsigned char acFont24B_1_00A0[ 24] = { /* code 00A0 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24B_1_00A1[ 24] = { /* code 00A1 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  __XXX___,
  __XXX___,
  __XXX___,
  ________,
  ___X____,
  ___X____,
  __XXX___,
  __XXX___,
  __XXX___,
  __XXX___,
  __XXX___,
  __XXX___,
  __XXX___,
  __XXX___,
  __XXX___,
  ________};

GUI_FLASH const unsigned char acFont24B_1_00A2[ 48] = { /* code 00A2 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,_X______,
  ________,_X______,
  ________,X_______,
  ________,X_______,
  ____XXXX,X_______,
  __XXXXXX,XXX_____,
  __XXX__X,XXX_____,
  _XXX___X,_XXX____,
  _XXX__X_,________,
  _XXX__X_,________,
  _XXX__X_,________,
  _XXXXX__,_XXX____,
  __XXXX__,XXX_____,
  __XXXXXX,XXX_____,
  ____XXXX,X_______,
  ____X___,________,
  ____X___,________,
  ___X____,________,
  ___X____,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00A3[ 48] = { /* code 00A3 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ____XXXX,X_______,
  __XXXXXX,XX______,
  _XXXX__X,XXX_____,
  _XXX____,XXX_____,
  _XXX____,________,
  _XXX____,________,
  _XXX____,________,
  XXXXXXXX,________,
  XXXXXXXX,________,
  __XXX___,________,
  __XXX___,________,
  _XXX____,________,
  XXXXXX__,_X______,
  XXXXXXXX,XXX_____,
  _X____XX,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00A4[ 48] = { /* code 00A4 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  __X_____,X_______,
  _XXXXXXX,XX______,
  XXXXXXXX,XXX_____,
  _XXX___X,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XXX___X,XX______,
  XXXXXXXX,XXX_____,
  _XXXXXXX,XX______,
  __X_____,X_______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00A5[ 48] = { /* code 00A5 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  XXX_____,XXX_____,
  _XXX___X,XX______,
  _XXX___X,XX______,
  __XXX_XX,X_______,
  __XXX_XX,X_______,
  __XXX_XX,X_______,
  ___XXXXX,________,
  _XXXXXXX,XX______,
  _XXXXXXX,XX______,
  ____XXX_,________,
  _XXXXXXX,XX______,
  _XXXXXXX,XX______,
  ____XXX_,________,
  ____XXX_,________,
  ____XXX_,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00A6[ 24] = { /* code 00A6 */
  ________,
  ________,
  ________,
  ________,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  ________,
  ________,
  ________,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____};

GUI_FLASH const unsigned char acFont24B_1_00A7[ 48] = { /* code 00A7 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ____XXXX,________,
  __XXXXXX,X_______,
  __XXX__X,XX______,
  __XXX__X,XX______,
  __XXXX__,________,
  ___XXXXX,________,
  __XXXXXX,X_______,
  _XXX_XXX,XX______,
  _XXX___X,XXX_____,
  _XXX____,XXX_____,
  _XXXX___,XXX_____,
  __XXXXX_,XXX_____,
  ___XXXXX,XX______,
  _____XXX,X_______,
  ______XX,XX______,
  __XXX__X,XX______,
  __XXX__X,XX______,
  ___XXXXX,X_______,
  ____XXXX,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00A8[ 24] = { /* code 00A8 */
  ________,
  ________,
  ________,
  ________,
  XX___XX_,
  XX___XX_,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24B_1_00A9[ 48] = { /* code 00A9 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _____XXX,XX______,
  ___XXXXX,XXXX____,
  __XXX___,__XXX___,
  _XXX____,___XXX__,
  _XX__XXX,X___XX__,
  XX__XX__,XX___XX_,
  XX__XX__,_____XX_,
  XX__XX__,_____XX_,
  XX__XX__,_____XX_,
  XX__XX__,XX___XX_,
  _XX__XXX,X___XX__,
  _XXX____,___XXX__,
  __XXX___,__XXX___,
  ___XXXXX,XXXX____,
  _____XXX,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00AA[ 24] = { /* code 00AA */
  ________,
  ________,
  ________,
  ________,
  _XXXXX__,
  XXXXXXX_,
  _____XX_,
  __XXXXX_,
  XXXX_XX_,
  XX___XX_,
  XXXXXXX_,
  _XXX_XX_,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24B_1_00AB[ 48] = { /* code 00AB */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ____XX__,_XX_____,
  ___XX___,XX______,
  __XXX__X,XX______,
  __XX___X,X_______,
  _XXX__XX,X_______,
  _XXX__XX,X_______,
  __XX___X,X_______,
  __XXX__X,XX______,
  ___XX___,XX______,
  ____XX__,_XX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00AC[ 48] = { /* code 00AC */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _XXXXXXX,XXX_____,
  _XXXXXXX,XXX_____,
  _XXXXXXX,XXX_____,
  ________,XXX_____,
  ________,XXX_____,
  ________,XXX_____,
  ________,XXX_____,
  ________,XXX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00AD[ 24] = { /* code 00AD */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  _XXXXXX_,
  _XXXXXX_,
  _XXXXXX_,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24B_1_00AE[ 48] = { /* code 00AE */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _____XXX,XX______,
  ___XXXXX,XXXX____,
  __XXX___,__XXX___,
  _XXX____,___XXX__,
  _XX__XXX,X___XX__,
  XX___XX_,XX___XX_,
  XX___XX_,XX___XX_,
  XX___XXX,X____XX_,
  XX___XX_,XX___XX_,
  XX___XX_,XX___XX_,
  _XX__XX_,XX__XX__,
  _XXX____,___XXX__,
  __XXX___,__XXX___,
  ___XXXXX,XXXX____,
  _____XXX,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00AF[ 48] = { /* code 00AF */
  ________,________,
  XXXXXXXX,XXXX____,
  XXXXXXXX,XXXX____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00B0[ 24] = { /* code 00B0 */
  ________,
  ________,
  ________,
  ________,
  ___XXX__,
  __XXXXX_,
  _XX___XX,
  _XX___XX,
  _XX___XX,
  __XXXXX_,
  ___XXX__,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24B_1_00B1[ 48] = { /* code 00B1 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _____XXX,________,
  _____XXX,________,
  _____XXX,________,
  _____XXX,________,
  _XXXXXXX,XXXX____,
  _XXXXXXX,XXXX____,
  _XXXXXXX,XXXX____,
  _____XXX,________,
  _____XXX,________,
  _____XXX,________,
  _____XXX,________,
  ________,________,
  _XXXXXXX,XXXX____,
  _XXXXXXX,XXXX____,
  _XXXXXXX,XXXX____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00B2[ 24] = { /* code 00B2 */
  ________,
  ________,
  ________,
  ________,
  _XXXX___,
  XXXXXX__,
  XX__XX__,
  ____XX__,
  ___XX___,
  __XX____,
  _XXXXX__,
  XXXXXX__,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24B_1_00B3[ 24] = { /* code 00B3 */
  ________,
  ________,
  ________,
  ________,
  __XXXX__,
  _XXXXXX_,
  _XX__XX_,
  ___XXX__,
  _____XX_,
  _XX__XX_,
  _XXXXXX_,
  __XXXX__,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24B_1_00B4[ 24] = { /* code 00B4 */
  ________,
  ________,
  ________,
  ________,
  ___XXX__,
  ___XX___,
  __XX____,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24B_1_00B5[ 48] = { /* code 00B5 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _XXX____,XXX_____,
  _XXX____,XXX_____,
  _XXX____,XXX_____,
  _XXX____,XXX_____,
  _XXX____,XXX_____,
  _XXX____,XXX_____,
  _XXX____,XXX_____,
  _XXX____,XXX_____,
  _XXXX__X,XXX_____,
  _XXXXXXX,XXX_____,
  _XXX_XX_,XXX_____,
  _XXX____,________,
  _XXX____,________,
  _XXX____,________,
  _XXX____,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00B6[ 48] = { /* code 00B6 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  __XXXXXX,XXX_____,
  _XXXXXXX,XXX_____,
  XXXXXX__,XX______,
  XXXXXX__,XX______,
  XXXXXX__,XX______,
  XXXXXX__,XX______,
  _XXXXX__,XX______,
  __XXXX__,XX______,
  ____XX__,XX______,
  ____XX__,XX______,
  ____XX__,XX______,
  ____XX__,XX______,
  ____XX__,XX______,
  ____XX__,XX______,
  ____XX__,XX______,
  ____XX__,XX______,
  ____XX__,XX______,
  ____XX__,XX______,
  ____XX__,XX______,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00B7[ 24] = { /* code 00B7 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  _XXX____,
  _XXX____,
  _XXX____,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24B_1_00B8[ 24] = { /* code 00B8 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  _XXXX___,
  ____XX__,
  ____XX__,
  XXXXX___,
  ________};

GUI_FLASH const unsigned char acFont24B_1_00B9[ 24] = { /* code 00B9 */
  ________,
  ________,
  ________,
  ________,
  ___XX___,
  __XXX___,
  _XXXX___,
  _X_XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24B_1_00BA[ 24] = { /* code 00BA */
  ________,
  ________,
  ________,
  ________,
  ___XXX__,
  __XXXXX_,
  _XX___XX,
  _XX___XX,
  _XX___XX,
  _XX___XX,
  __XXXXX_,
  ___XXX__,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24B_1_00BB[ 48] = { /* code 00BB */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _XX___XX,________,
  __XX___X,X_______,
  __XXX__X,XX______,
  ___XX___,XX______,
  ___XXX__,XXX_____,
  ___XXX__,XXX_____,
  ___XX___,XX______,
  __XXX__X,XX______,
  __XX___X,X_______,
  _XX___XX,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00BC[ 72] = { /* code 00BC */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ___XX___,____XX__,________,
  __XXX___,___XXX__,________,
  _XXXX___,___XX___,________,
  _X_XX___,__XX____,________,
  ___XX___,__XX____,________,
  ___XX___,_XX_____,________,
  ___XX___,XX______,________,
  ___XX___,XX_____X,X_______,
  _______X,X_____XX,X_______,
  ______XX,X____X_X,X_______,
  ______XX,____X__X,X_______,
  _____XX_,___XXXXX,XX______,
  ____XXX_,___XXXXX,XX______,
  ____XX__,_______X,X_______,
  ___XX___,_______X,X_______,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont24B_1_00BD[ 72] = { /* code 00BD */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ___XX___,____XX__,________,
  __XXX___,___XX___,________,
  _XXXX___,__XXX___,________,
  _X_XX___,__XX____,________,
  ___XX___,_XX_____,________,
  ___XX___,_XX_____,________,
  ___XX___,XX______,________,
  ___XX__X,XX__XXXX,________,
  _______X,X__XXXXX,X_______,
  ______XX,___XX__X,X_______,
  ______XX,_______X,X_______,
  _____XX_,______XX,________,
  ____XXX_,_____XX_,________,
  ____XX__,____XXXX,X_______,
  ___XX___,___XXXXX,X_______,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont24B_1_00BE[ 72] = { /* code 00BE */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  _XXXX___,____XX__,________,
  XXXXXX__,____XX__,________,
  XX__XX__,___XX___,________,
  __XXX___,__XXX___,________,
  ____XX__,__XX____,________,
  XX__XX__,_XX_____,________,
  XXXXXX__,XXX_____,________,
  _XXXX___,XX_____X,X_______,
  _______X,X_____XX,X_______,
  ______XX,X____X_X,X_______,
  ______XX,____X__X,X_______,
  _____XX_,___XXXXX,XX______,
  _____XX_,___XXXXX,XX______,
  ____XX__,_______X,X_______,
  ___XX___,_______X,X_______,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont24B_1_00BF[ 48] = { /* code 00BF */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _____XXX,________,
  _____XXX,________,
  _____XXX,________,
  ________,________,
  _____XXX,________,
  _____XXX,________,
  ____XXXX,________,
  ___XXXX_,________,
  __XXXX__,________,
  _XXXX___,________,
  _XXX____,________,
  _XXX____,_XXX____,
  _XXXX___,XXXX____,
  __XXXXXX,XXX_____,
  ____XXXX,X_______,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00C0[ 48] = { /* code 00C0 */
  _____XXX,________,
  ______XX,________,
  _______X,X_______,
  ________,________,
  _____XXX,XX______,
  _____XXX,XX______,
  _____XXX,XX______,
  ____XXX_,XXX_____,
  ____XXX_,XXX_____,
  ____XXX_,XXX_____,
  ___XXX__,_XXX____,
  ___XXX__,_XXX____,
  __XXX___,__XXX___,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  _XXXXXXX,XXXXXX__,
  _XXX____,___XXX__,
  _XXX____,___XXX__,
  XXX_____,____XXX_,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00C1[ 48] = { /* code 00C1 */
  _______X,XX______,
  _______X,X_______,
  ______XX,________,
  ________,________,
  _____XXX,XX______,
  _____XXX,XX______,
  _____XXX,XX______,
  ____XXX_,XXX_____,
  ____XXX_,XXX_____,
  ____XXX_,XXX_____,
  ___XXX__,_XXX____,
  ___XXX__,_XXX____,
  __XXX___,__XXX___,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  _XXXXXXX,XXXXXX__,
  _XXX____,___XXX__,
  _XXX____,___XXX__,
  XXX_____,____XXX_,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00C2[ 48] = { /* code 00C2 */
  ______XX,X_______,
  _____XX_,XX______,
  ____XX__,_XX_____,
  ________,________,
  _____XXX,XX______,
  _____XXX,XX______,
  _____XXX,XX______,
  ____XXX_,XXX_____,
  ____XXX_,XXX_____,
  ____XXX_,XXX_____,
  ___XXX__,_XXX____,
  ___XXX__,_XXX____,
  __XXX___,__XXX___,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  _XXXXXXX,XXXXXX__,
  _XXX____,___XXX__,
  _XXX____,___XXX__,
  XXX_____,____XXX_,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00C3[ 48] = { /* code 00C3 */
  _____XXX,__X_____,
  ____XXXX,XXX_____,
  ____X__X,XX______,
  ________,________,
  _____XXX,XX______,
  _____XXX,XX______,
  _____XXX,XX______,
  ____XXX_,XXX_____,
  ____XXX_,XXX_____,
  ____XXX_,XXX_____,
  ___XXX__,_XXX____,
  ___XXX__,_XXX____,
  __XXX___,__XXX___,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  _XXXXXXX,XXXXXX__,
  _XXX____,___XXX__,
  _XXX____,___XXX__,
  XXX_____,____XXX_,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00C4[ 48] = { /* code 00C4 */
  ________,________,
  ____XX__,_XX_____,
  ____XX__,_XX_____,
  ________,________,
  _____XXX,XX______,
  _____XXX,XX______,
  _____XXX,XX______,
  ____XXX_,XXX_____,
  ____XXX_,XXX_____,
  ____XXX_,XXX_____,
  ___XXX__,_XXX____,
  ___XXX__,_XXX____,
  __XXX___,__XXX___,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  _XXXXXXX,XXXXXX__,
  _XXX____,___XXX__,
  _XXX____,___XXX__,
  XXX_____,____XXX_,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00C5[ 48] = { /* code 00C5 */
  ________,________,
  _______X,X_______,
  ______X_,_X______,
  ______X_,_X______,
  _____XXX,XX______,
  _____XXX,XX______,
  _____XXX,XX______,
  ____XXX_,XXX_____,
  ____XXX_,XXX_____,
  ____XXX_,XXX_____,
  ___XXX__,_XXX____,
  ___XXX__,_XXX____,
  __XXX___,__XXX___,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  _XXXXXXX,XXXXXX__,
  _XXX____,___XXX__,
  _XXX____,___XXX__,
  XXX_____,____XXX_,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00C6[ 72] = { /* code 00C6 */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ______XX,XXXXXXXX,XXXX____,
  _____XXX,XXXXXXXX,XXXX____,
  _____XXX,_XXXXXXX,XXXX____,
  ____XXX_,_XXX____,________,
  ____XXX_,_XXX____,________,
  ___XXX__,_XXXXXXX,XXX_____,
  ___XXX__,_XXXXXXX,XXX_____,
  __XXXX__,_XXXXXXX,XXX_____,
  __XXXXXX,XXXX____,________,
  __XXXXXX,XXXX____,________,
  _XXXXXXX,XXXX____,________,
  _XXX____,_XXX____,________,
  XXX_____,_XXXXXXX,XXXX____,
  XXX_____,_XXXXXXX,XXXX____,
  XX______,_XXXXXXX,XXXX____,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont24B_1_00C7[ 48] = { /* code 00C7 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _____XXX,XX______,
  ___XXXXX,XXXX____,
  __XXXXXX,XXXXX___,
  __XXXX__,__XXXX__,
  _XXXX___,___XX___,
  _XXX____,________,
  _XXX____,________,
  _XXX____,________,
  _XXX____,________,
  _XXX____,________,
  _XXXX___,___XX___,
  __XXXX__,__XXXX__,
  __XXXXXX,XXXXX___,
  ___XXXXX,XXXX____,
  _____XXX,XX______,
  _____XXX,X_______,
  ________,XX______,
  ________,XX______,
  ____XXXX,X_______,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00C8[ 48] = { /* code 00C8 */
  _____XXX,________,
  ______XX,________,
  _______X,X_______,
  ________,________,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  __XXX___,________,
  __XXX___,________,
  __XXX___,________,
  __XXXXXX,XXXX____,
  __XXXXXX,XXXX____,
  __XXXXXX,XXXX____,
  __XXX___,________,
  __XXX___,________,
  __XXX___,________,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00C9[ 48] = { /* code 00C9 */
  _______X,XX______,
  _______X,X_______,
  ______XX,________,
  ________,________,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  __XXX___,________,
  __XXX___,________,
  __XXX___,________,
  __XXXXXX,XXXX____,
  __XXXXXX,XXXX____,
  __XXXXXX,XXXX____,
  __XXX___,________,
  __XXX___,________,
  __XXX___,________,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00CA[ 48] = { /* code 00CA */
  ______XX,X_______,
  _____XX_,XX______,
  ____XX__,_XX_____,
  ________,________,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  __XXX___,________,
  __XXX___,________,
  __XXX___,________,
  __XXXXXX,XXXX____,
  __XXXXXX,XXXX____,
  __XXXXXX,XXXX____,
  __XXX___,________,
  __XXX___,________,
  __XXX___,________,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00CB[ 48] = { /* code 00CB */
  ________,________,
  ____XX__,_XX_____,
  ____XX__,_XX_____,
  ________,________,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  __XXX___,________,
  __XXX___,________,
  __XXX___,________,
  __XXXXXX,XXXX____,
  __XXXXXX,XXXX____,
  __XXXXXX,XXXX____,
  __XXX___,________,
  __XXX___,________,
  __XXX___,________,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00CC[ 24] = { /* code 00CC */
  XXX_____,
  _XX_____,
  __XX____,
  ________,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24B_1_00CD[ 24] = { /* code 00CD */
  __XXX___,
  __XX____,
  _XX_____,
  ________,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24B_1_00CE[ 24] = { /* code 00CE */
  _XXX____,
  XX_XX___,
  X___X___,
  ________,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24B_1_00CF[ 24] = { /* code 00CF */
  ________,
  X___X___,
  X___X___,
  ________,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24B_1_00D0[ 48] = { /* code 00D0 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  __XXXXXX,XXX_____,
  __XXXXXX,XXXX____,
  __XXXXXX,XXXXX___,
  __XXX___,__XXX___,
  __XXX___,__XXXX__,
  __XXX___,___XXX__,
  XXXXXXXX,___XXX__,
  XXXXXXXX,___XXX__,
  __XXX___,___XXX__,
  __XXX___,___XXX__,
  __XXX___,___XXX__,
  __XXX___,__XXX___,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXX____,
  __XXXXXX,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00D1[ 48] = { /* code 00D1 */
  _____XXX,__X_____,
  ____XXXX,XXX_____,
  ____X__X,XX______,
  ________,________,
  _XXX____,__XXX___,
  _XXXX___,__XXX___,
  _XXXX___,__XXX___,
  _XXXXX__,__XXX___,
  _XXXXXX_,__XXX___,
  _XXX_XX_,__XXX___,
  _XXX_XXX,__XXX___,
  _XXX__XX,__XXX___,
  _XXX__XX,X_XXX___,
  _XXX___X,X_XXX___,
  _XXX___X,XXXXX___,
  _XXX____,XXXXX___,
  _XXX____,XXXXX___,
  _XXX____,_XXXX___,
  _XXX____,__XXX___,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00D2[ 48] = { /* code 00D2 */
  ______XX,X_______,
  _______X,X_______,
  ________,XX______,
  ________,________,
  _____XXX,XXX_____,
  ___XXXXX,XXXXX___,
  __XXXXXX,XXXXXX__,
  __XXXX__,__XXXX__,
  _XXXX___,___XXXX_,
  _XXX____,____XXX_,
  _XXX____,____XXX_,
  _XXX____,____XXX_,
  _XXX____,____XXX_,
  _XXX____,____XXX_,
  _XXXX___,___XXXX_,
  __XXXX__,__XXXX__,
  __XXXXXX,XXXXXX__,
  ___XXXXX,XXXXX___,
  _____XXX,XXX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00D3[ 48] = { /* code 00D3 */
  _______X,XX______,
  _______X,X_______,
  ______XX,________,
  ________,________,
  _____XXX,XXX_____,
  ___XXXXX,XXXXX___,
  __XXXXXX,XXXXXX__,
  __XXXX__,__XXXX__,
  _XXXX___,___XXXX_,
  _XXX____,____XXX_,
  _XXX____,____XXX_,
  _XXX____,____XXX_,
  _XXX____,____XXX_,
  _XXX____,____XXX_,
  _XXXX___,___XXXX_,
  __XXXX__,__XXXX__,
  __XXXXXX,XXXXXX__,
  ___XXXXX,XXXXX___,
  _____XXX,XXX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00D4[ 48] = { /* code 00D4 */
  _______X,XX______,
  ______XX,_XX_____,
  _____XX_,__XX____,
  ________,________,
  _____XXX,XXX_____,
  ___XXXXX,XXXXX___,
  __XXXXXX,XXXXXX__,
  __XXXX__,__XXXX__,
  _XXXX___,___XXXX_,
  _XXX____,____XXX_,
  _XXX____,____XXX_,
  _XXX____,____XXX_,
  _XXX____,____XXX_,
  _XXX____,____XXX_,
  _XXXX___,___XXXX_,
  __XXXX__,__XXXX__,
  __XXXXXX,XXXXXX__,
  ___XXXXX,XXXXX___,
  _____XXX,XXX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00D5[ 48] = { /* code 00D5 */
  ______XX,X__X____,
  _____XXX,XXXX____,
  _____X__,XXX_____,
  ________,________,
  _____XXX,XXX_____,
  ___XXXXX,XXXXX___,
  __XXXXXX,XXXXXX__,
  __XXXX__,__XXXX__,
  _XXXX___,___XXXX_,
  _XXX____,____XXX_,
  _XXX____,____XXX_,
  _XXX____,____XXX_,
  _XXX____,____XXX_,
  _XXX____,____XXX_,
  _XXXX___,___XXXX_,
  __XXXX__,__XXXX__,
  __XXXXXX,XXXXXX__,
  ___XXXXX,XXXXX___,
  _____XXX,XXX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00D6[ 48] = { /* code 00D6 */
  ________,________,
  _____XX_,__XX____,
  _____XX_,__XX____,
  ________,________,
  _____XXX,XXX_____,
  ___XXXXX,XXXXX___,
  __XXXXXX,XXXXXX__,
  __XXXX__,__XXXX__,
  _XXXX___,___XXXX_,
  _XXX____,____XXX_,
  _XXX____,____XXX_,
  _XXX____,____XXX_,
  _XXX____,____XXX_,
  _XXX____,____XXX_,
  _XXXX___,___XXXX_,
  __XXXX__,__XXXX__,
  __XXXXXX,XXXXXX__,
  ___XXXXX,XXXXX___,
  _____XXX,XXX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00D7[ 48] = { /* code 00D7 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  __X_____,_X______,
  _XXX____,XXX_____,
  __XXX__X,XX______,
  ___XXXXX,X_______,
  ____XXXX,________,
  ____XXXX,________,
  ___XXXXX,X_______,
  __XXX__X,XX______,
  _XXX____,XXX_____,
  __X_____,_X______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00D8[ 48] = { /* code 00D8 */
  ________,________,
  ________,________,
  ________,________,
  ________,_____X__,
  _____XXX,XXXX_XXX,
  ___XXXXX,XXXXXXX_,
  __XXXXXX,XXXXXX__,
  __XXXX__,__XXXX__,
  _XXXX___,_XXXXXX_,
  _XXX____,XXX_XXX_,
  _XXX___X,XX__XXX_,
  _XXX___X,X___XXX_,
  _XXX__XX,X___XXX_,
  _XXX_XXX,____XXX_,
  _XXXXXX_,___XXXX_,
  __XXXX__,__XXXX__,
  __XXXXXX,XXXXXX__,
  _XXXXXXX,XXXXX___,
  XXX__XXX,XXX_____,
  __X_____,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00D9[ 48] = { /* code 00D9 */
  _____XXX,________,
  ______XX,________,
  _______X,X_______,
  ________,________,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXXX___,_XXXX___,
  __XXXXXX,XXXX____,
  __XXXXXX,XXXX____,
  ____XXXX,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00DA[ 48] = { /* code 00DA */
  ______XX,X_______,
  ______XX,________,
  _____XX_,________,
  ________,________,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXXX___,_XXXX___,
  __XXXXXX,XXXX____,
  __XXXXXX,XXXX____,
  ____XXXX,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00DB[ 48] = { /* code 00DB */
  ______XX,X_______,
  _____XX_,XX______,
  ____XX__,_XX_____,
  ________,________,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXXX___,_XXXX___,
  __XXXXXX,XXXX____,
  __XXXXXX,XXXX____,
  ____XXXX,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00DC[ 48] = { /* code 00DC */
  ________,________,
  ____XX__,_XX_____,
  ____XX__,_XX_____,
  ________,________,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXXX___,_XXXX___,
  __XXXXXX,XXXX____,
  __XXXXXX,XXXX____,
  ____XXXX,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00DD[ 48] = { /* code 00DD */
  ______XX,X_______,
  ______XX,________,
  _____XX_,________,
  ________,________,
  XXX_____,__XXX___,
  XXX_____,__XXX___,
  _XXX____,_XXX____,
  __XXX___,XXX_____,
  __XXX___,XXX_____,
  ___XXX_X,XX______,
  ____XXXX,X_______,
  ____XXXX,X_______,
  _____XXX,________,
  _____XXX,________,
  _____XXX,________,
  _____XXX,________,
  _____XXX,________,
  _____XXX,________,
  _____XXX,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00DE[ 48] = { /* code 00DE */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  __XXX___,________,
  __XXX___,________,
  __XXX___,________,
  __XXXXXX,XXX_____,
  __XXXXXX,XXXX____,
  __XXXXXX,XXXXX___,
  __XXX___,__XXX___,
  __XXX___,__XXX___,
  __XXX___,__XXX___,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXX____,
  __XXXXXX,XXX_____,
  __XXX___,________,
  __XXX___,________,
  __XXX___,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00DF[ 48] = { /* code 00DF */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ___XXXXX,________,
  __XXXXXX,XX______,
  _XXX___X,XX______,
  _XXX___X,XX______,
  _XXX___X,XX______,
  _XXX__XX,X_______,
  _XXX__XX,X_______,
  _XXX__XX,XX______,
  _XXX___X,XX______,
  _XXX___X,XXX_____,
  _XXX____,XXXX____,
  _XXX____,_XXX____,
  _XXX__X_,_XXX____,
  _XXX_XXX,XXX_____,
  _XXX__XX,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00E0[ 48] = { /* code 00E0 */
  ________,________,
  ________,________,
  ________,________,
  ____XXX_,________,
  _____XX_,________,
  ______XX,________,
  ________,________,
  ________,________,
  ___XXXXX,X_______,
  __XXXXXX,XX______,
  _XX_____,XXX_____,
  ______XX,XXX_____,
  ___XXXXX,XXX_____,
  __XXXX__,XXX_____,
  _XXX____,XXX_____,
  _XXX____,XXX_____,
  _XXX___X,XXX_____,
  __XXXXXX,XXX_____,
  ___XXXX_,_XXX____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00E1[ 48] = { /* code 00E1 */
  ________,________,
  ________,________,
  ________,________,
  _____XXX,________,
  _____XX_,________,
  ____XX__,________,
  ________,________,
  ________,________,
  ___XXXXX,X_______,
  __XXXXXX,XX______,
  _XX_____,XXX_____,
  ______XX,XXX_____,
  ___XXXXX,XXX_____,
  __XXXX__,XXX_____,
  _XXX____,XXX_____,
  _XXX____,XXX_____,
  _XXX___X,XXX_____,
  __XXXXXX,XXX_____,
  ___XXXX_,_XXX____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00E2[ 48] = { /* code 00E2 */
  ________,________,
  ________,________,
  ________,________,
  _____XXX,________,
  ____XX_X,X_______,
  ___XX___,XX______,
  ________,________,
  ________,________,
  ___XXXXX,X_______,
  __XXXXXX,XX______,
  _XX_____,XXX_____,
  ______XX,XXX_____,
  ___XXXXX,XXX_____,
  __XXXX__,XXX_____,
  _XXX____,XXX_____,
  _XXX____,XXX_____,
  _XXX___X,XXX_____,
  __XXXXXX,XXX_____,
  ___XXXX_,_XXX____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00E3[ 48] = { /* code 00E3 */
  ________,________,
  ________,________,
  ________,________,
  ____XXX_,_X______,
  ___XXXXX,XX______,
  ___X__XX,X_______,
  ________,________,
  ________,________,
  ___XXXXX,X_______,
  __XXXXXX,XX______,
  _XX_____,XXX_____,
  ______XX,XXX_____,
  ___XXXXX,XXX_____,
  __XXXX__,XXX_____,
  _XXX____,XXX_____,
  _XXX____,XXX_____,
  _XXX___X,XXX_____,
  __XXXXXX,XXX_____,
  ___XXXX_,_XXX____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00E4[ 48] = { /* code 00E4 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ___XX___,XX______,
  ___XX___,XX______,
  ________,________,
  ________,________,
  ___XXXXX,X_______,
  __XXXXXX,XX______,
  _XX_____,XXX_____,
  ______XX,XXX_____,
  ___XXXXX,XXX_____,
  __XXXX__,XXX_____,
  _XXX____,XXX_____,
  _XXX____,XXX_____,
  _XXX___X,XXX_____,
  __XXXXXX,XXX_____,
  ___XXXX_,_XXX____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00E5[ 48] = { /* code 00E5 */
  ________,________,
  ________,________,
  _____XX_,________,
  ____X__X,________,
  ____X__X,________,
  _____XX_,________,
  ________,________,
  ________,________,
  ___XXXXX,X_______,
  __XXXXXX,XX______,
  _XX_____,XXX_____,
  ______XX,XXX_____,
  ___XXXXX,XXX_____,
  __XXXX__,XXX_____,
  _XXX____,XXX_____,
  _XXX____,XXX_____,
  _XXX___X,XXX_____,
  __XXXXXX,XXX_____,
  ___XXXX_,_XXX____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00E6[ 72] = { /* code 00E6 */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ___XXXXX,X__XXXX_,________,
  __XXXXXX,XXXXXXXX,X_______,
  _XX_____,XXXX__XX,X_______,
  ________,XXX____X,XX______,
  ______XX,XXXXXXXX,XX______,
  __XXXXXX,XXXXXXXX,XX______,
  _XXXXX__,XXX_____,________,
  _XXX____,XXX____X,XX______,
  _XXX___X,XXXX__XX,X_______,
  _XXXXXXX,XXXXXXXX,X_______,
  ___XXXXX,___XXXX_,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont24B_1_00E7[ 48] = { /* code 00E7 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ____XXXX,________,
  __XXXXXX,XX______,
  __XXX__X,XX______,
  _XXX____,XXX_____,
  _XXX____,________,
  _XXX____,________,
  _XXX____,________,
  _XXX____,XXX_____,
  __XXX__X,XX______,
  __XXXXXX,XX______,
  ____XXXX,________,
  ____XXXX,________,
  _______X,X_______,
  _______X,X_______,
  ___XXXXX,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00E8[ 48] = { /* code 00E8 */
  ________,________,
  ________,________,
  ________,________,
  ____XXX_,________,
  _____XX_,________,
  ______XX,________,
  ________,________,
  ________,________,
  ____XXXX,________,
  __XXXXXX,XX______,
  __XXX__X,XX______,
  _XXX____,XXX_____,
  _XXXXXXX,XXX_____,
  _XXXXXXX,XXX_____,
  _XXX____,________,
  _XXX____,XXX_____,
  __XXX__X,XX______,
  __XXXXXX,XX______,
  ____XXXX,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00E9[ 48] = { /* code 00E9 */
  ________,________,
  ________,________,
  ________,________,
  _____XXX,________,
  _____XX_,________,
  ____XX__,________,
  ________,________,
  ________,________,
  ____XXXX,________,
  __XXXXXX,XX______,
  __XXX__X,XX______,
  _XXX____,XXX_____,
  _XXXXXXX,XXX_____,
  _XXXXXXX,XXX_____,
  _XXX____,________,
  _XXX____,XXX_____,
  __XXX__X,XX______,
  __XXXXXX,XX______,
  ____XXXX,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00EA[ 48] = { /* code 00EA */
  ________,________,
  ________,________,
  ________,________,
  _____XXX,________,
  ____XX_X,X_______,
  ___XX___,XX______,
  ________,________,
  ________,________,
  ____XXXX,________,
  __XXXXXX,XX______,
  __XXX__X,XX______,
  _XXX____,XXX_____,
  _XXXXXXX,XXX_____,
  _XXXXXXX,XXX_____,
  _XXX____,________,
  _XXX____,XXX_____,
  __XXX__X,XX______,
  __XXXXXX,XX______,
  ____XXXX,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00EB[ 48] = { /* code 00EB */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ___XX___,XX______,
  ___XX___,XX______,
  ________,________,
  ________,________,
  ____XXXX,________,
  __XXXXXX,XX______,
  __XXX__X,XX______,
  _XXX____,XXX_____,
  _XXXXXXX,XXX_____,
  _XXXXXXX,XXX_____,
  _XXX____,________,
  _XXX____,XXX_____,
  __XXX__X,XX______,
  __XXXXXX,XX______,
  ____XXXX,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00EC[ 24] = { /* code 00EC */
  ________,
  ________,
  ________,
  XXX_____,
  _XX_____,
  __XX____,
  ________,
  ________,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24B_1_00ED[ 24] = { /* code 00ED */
  ________,
  ________,
  ________,
  __XXX___,
  __XX____,
  _XX_____,
  ________,
  ________,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24B_1_00EE[ 24] = { /* code 00EE */
  ________,
  ________,
  ________,
  _XXX____,
  XX_XX___,
  X___X___,
  ________,
  ________,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24B_1_00EF[ 24] = { /* code 00EF */
  ________,
  ________,
  ________,
  ________,
  X___X___,
  X___X___,
  ________,
  ________,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  _XXX____,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24B_1_00F0[ 48] = { /* code 00F0 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ____XXX_,XX______,
  _____XXX,________,
  ____XX_X,X_______,
  _______X,XX______,
  ____XXXX,XXX_____,
  __XXXXXX,XXX_____,
  __XXX___,XXXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  __XXX___,XXX_____,
  ___XXXXX,XX______,
  ____XXXX,X_______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00F1[ 48] = { /* code 00F1 */
  ________,________,
  ________,________,
  ________,________,
  ____XXX_,_X______,
  ___XXXXX,XX______,
  ___X__XX,X_______,
  ________,________,
  ________,________,
  _XXX__XX,XX______,
  _XXXXXXX,XXX_____,
  _XXXX___,XXXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00F2[ 48] = { /* code 00F2 */
  ________,________,
  ________,________,
  ________,________,
  _____XXX,________,
  ______XX,________,
  _______X,X_______,
  ________,________,
  ________,________,
  ____XXXX,X_______,
  __XXXXXX,XXX_____,
  __XXX___,XXX_____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  __XXX___,XXX_____,
  __XXXXXX,XXX_____,
  ____XXXX,X_______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00F3[ 48] = { /* code 00F3 */
  ________,________,
  ________,________,
  ________,________,
  ______XX,X_______,
  ______XX,________,
  _____XX_,________,
  ________,________,
  ________,________,
  ____XXXX,X_______,
  __XXXXXX,XXX_____,
  __XXX___,XXX_____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  __XXX___,XXX_____,
  __XXXXXX,XXX_____,
  ____XXXX,X_______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00F4[ 48] = { /* code 00F4 */
  ________,________,
  ________,________,
  ________,________,
  _____XXX,________,
  ____XX_X,X_______,
  ___XX___,XX______,
  ________,________,
  ________,________,
  ____XXXX,X_______,
  __XXXXXX,XXX_____,
  __XXX___,XXX_____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  __XXX___,XXX_____,
  __XXXXXX,XXX_____,
  ____XXXX,X_______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00F5[ 48] = { /* code 00F5 */
  ________,________,
  ________,________,
  ________,________,
  ____XXX_,_X______,
  ___XXXXX,XX______,
  ___X__XX,X_______,
  ________,________,
  ________,________,
  ____XXXX,X_______,
  __XXXXXX,XXX_____,
  __XXX___,XXX_____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  __XXX___,XXX_____,
  __XXXXXX,XXX_____,
  ____XXXX,X_______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00F6[ 48] = { /* code 00F6 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ___XX___,XX______,
  ___XX___,XX______,
  ________,________,
  ________,________,
  ____XXXX,X_______,
  __XXXXXX,XXX_____,
  __XXX___,XXX_____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  __XXX___,XXX_____,
  __XXXXXX,XXX_____,
  ____XXXX,X_______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00F7[ 48] = { /* code 00F7 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ____XXX_,________,
  ____XXX_,________,
  ____XXX_,________,
  ________,________,
  XXXXXXXX,XXX_____,
  XXXXXXXX,XXX_____,
  XXXXXXXX,XXX_____,
  ________,________,
  ____XXX_,________,
  ____XXX_,________,
  ____XXX_,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00F8[ 48] = { /* code 00F8 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,__X_____,
  ____XXXX,X_XX____,
  ___XXXXX,XXX_____,
  __XXX___,XXX_____,
  _XXX___X,XXXX____,
  _XXX__XX,_XXX____,
  _XXX__X_,_XXX____,
  _XXX_XX_,_XXX____,
  _XXXXX__,_XXX____,
  __XXX___,XXX_____,
  __XXXXXX,XX______,
  _XX_XXXX,X_______,
  __X_____,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00F9[ 48] = { /* code 00F9 */
  ________,________,
  ________,________,
  ________,________,
  ____XXX_,________,
  _____XX_,________,
  ______XX,________,
  ________,________,
  ________,________,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXXX___,XXXX____,
  __XXXXXX,XXXX____,
  ___XXXXX,_XXX____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00FA[ 48] = { /* code 00FA */
  ________,________,
  ________,________,
  ________,________,
  ______XX,X_______,
  ______XX,________,
  _____XX_,________,
  ________,________,
  ________,________,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXXX___,XXXX____,
  __XXXXXX,XXXX____,
  ___XXXXX,_XXX____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00FB[ 48] = { /* code 00FB */
  ________,________,
  ________,________,
  ________,________,
  _____XXX,________,
  ____XX_X,X_______,
  ___XX___,XX______,
  ________,________,
  ________,________,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXXX___,XXXX____,
  __XXXXXX,XXXX____,
  ___XXXXX,_XXX____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00FC[ 48] = { /* code 00FC */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ___XX___,XX______,
  ___XX___,XX______,
  ________,________,
  ________,________,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXXX___,XXXX____,
  __XXXXXX,XXXX____,
  ___XXXXX,_XXX____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00FD[ 48] = { /* code 00FD */
  ________,________,
  ________,________,
  ________,________,
  _____XXX,________,
  _____XX_,________,
  ____XX__,________,
  ________,________,
  ________,________,
  XXX_____,XXX_____,
  XXX_____,XXX_____,
  _XXX___X,XX______,
  _XXX___X,XX______,
  _XXX___X,X_______,
  __XXX_XX,X_______,
  __XXX_XX,X_______,
  ___XX_XX,________,
  ___XXXXX,________,
  ___XXXXX,________,
  ____XXX_,________,
  ____XXX_,________,
  ___XXX__,________,
  _XXXXX__,________,
  _XXXX___,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00FE[ 48] = { /* code 00FE */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _XXX____,________,
  _XXX____,________,
  _XXX____,________,
  _XXX____,________,
  _XXX_XXX,X_______,
  _XXXXXXX,XXX_____,
  _XXXX___,XXX_____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXX____,_XXX____,
  _XXXX___,XXX_____,
  _XXXXXXX,XXX_____,
  _XXX_XXX,X_______,
  _XXX____,________,
  _XXX____,________,
  _XXX____,________,
  _XXX____,________,
  ________,________};

GUI_FLASH const unsigned char acFont24B_1_00FF[ 48] = { /* code 00FF */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  __XX___X,X_______,
  __XX___X,X_______,
  ________,________,
  ________,________,
  XXX_____,XXX_____,
  XXX_____,XXX_____,
  _XXX___X,XX______,
  _XXX___X,XX______,
  _XXX___X,X_______,
  __XXX_XX,X_______,
  __XXX_XX,X_______,
  ___XX_XX,________,
  ___XXXXX,________,
  ___XXXXX,________,
  ____XXX_,________,
  ____XXX_,________,
  ___XXX__,________,
  _XXXXX__,________,
  _XXXX___,________,
  ________,________};

GUI_FLASH const GUI_CHARINFO GUI_Font24B_1_CharInfo[96] = {
   {   6,   6,  1, (void GUI_FLASH *)&acFont24B_1_00A0 } /* code 00A0 */
  ,{   7,   7,  1, (void GUI_FLASH *)&acFont24B_1_00A1 } /* code 00A1 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00A2 } /* code 00A2 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00A3 } /* code 00A3 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00A4 } /* code 00A4 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00A5 } /* code 00A5 */
  ,{   6,   6,  1, (void GUI_FLASH *)&acFont24B_1_00A6 } /* code 00A6 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00A7 } /* code 00A7 */
  ,{   7,   7,  1, (void GUI_FLASH *)&acFont24B_1_00A8 } /* code 00A8 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont24B_1_00A9 } /* code 00A9 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acFont24B_1_00AA } /* code 00AA */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00AB } /* code 00AB */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00AC } /* code 00AC */
  ,{   7,   7,  1, (void GUI_FLASH *)&acFont24B_1_00AD } /* code 00AD */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont24B_1_00AE } /* code 00AE */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00AF } /* code 00AF */
  ,{   8,   8,  1, (void GUI_FLASH *)&acFont24B_1_00B0 } /* code 00B0 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00B1 } /* code 00B1 */
  ,{   7,   7,  1, (void GUI_FLASH *)&acFont24B_1_00B2 } /* code 00B2 */
  ,{   7,   7,  1, (void GUI_FLASH *)&acFont24B_1_00B3 } /* code 00B3 */
  ,{   7,   7,  1, (void GUI_FLASH *)&acFont24B_1_00B4 } /* code 00B4 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00B5 } /* code 00B5 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00B6 } /* code 00B6 */
  ,{   6,   6,  1, (void GUI_FLASH *)&acFont24B_1_00B7 } /* code 00B7 */
  ,{   7,   7,  1, (void GUI_FLASH *)&acFont24B_1_00B8 } /* code 00B8 */
  ,{   7,   7,  1, (void GUI_FLASH *)&acFont24B_1_00B9 } /* code 00B9 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acFont24B_1_00BA } /* code 00BA */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00BB } /* code 00BB */
  ,{  18,  18,  3, (void GUI_FLASH *)&acFont24B_1_00BC } /* code 00BC */
  ,{  18,  18,  3, (void GUI_FLASH *)&acFont24B_1_00BD } /* code 00BD */
  ,{  18,  18,  3, (void GUI_FLASH *)&acFont24B_1_00BE } /* code 00BE */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24B_1_00BF } /* code 00BF */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont24B_1_00C0 } /* code 00C0 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont24B_1_00C1 } /* code 00C1 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont24B_1_00C2 } /* code 00C2 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont24B_1_00C3 } /* code 00C3 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont24B_1_00C4 } /* code 00C4 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont24B_1_00C5 } /* code 00C5 */
  ,{  21,  21,  3, (void GUI_FLASH *)&acFont24B_1_00C6 } /* code 00C6 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont24B_1_00C7 } /* code 00C7 */
  ,{  14,  14,  2, (void GUI_FLASH *)&acFont24B_1_00C8 } /* code 00C8 */
  ,{  14,  14,  2, (void GUI_FLASH *)&acFont24B_1_00C9 } /* code 00C9 */
  ,{  14,  14,  2, (void GUI_FLASH *)&acFont24B_1_00CA } /* code 00CA */
  ,{  14,  14,  2, (void GUI_FLASH *)&acFont24B_1_00CB } /* code 00CB */
  ,{   5,   5,  1, (void GUI_FLASH *)&acFont24B_1_00CC } /* code 00CC */
  ,{   5,   5,  1, (void GUI_FLASH *)&acFont24B_1_00CD } /* code 00CD */
  ,{   5,   5,  1, (void GUI_FLASH *)&acFont24B_1_00CE } /* code 00CE */
  ,{   5,   5,  1, (void GUI_FLASH *)&acFont24B_1_00CF } /* code 00CF */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont24B_1_00D0 } /* code 00D0 */
  ,{  14,  14,  2, (void GUI_FLASH *)&acFont24B_1_00D1 } /* code 00D1 */
  ,{  16,  16,  2, (void GUI_FLASH *)&acFont24B_1_00D2 } /* code 00D2 */
  ,{  16,  16,  2, (void GUI_FLASH *)&acFont24B_1_00D3 } /* code 00D3 */
  ,{  16,  16,  2, (void GUI_FLASH *)&acFont24B_1_00D4 } /* code 00D4 */
  ,{  16,  16,  2, (void GUI_FLASH *)&acFont24B_1_00D5 } /* code 00D5 */
  ,{  16,  16,  2, (void GUI_FLASH *)&acFont24B_1_00D6 } /* code 00D6 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00D7 } /* code 00D7 */
  ,{  16,  16,  2, (void GUI_FLASH *)&acFont24B_1_00D8 } /* code 00D8 */
  ,{  14,  14,  2, (void GUI_FLASH *)&acFont24B_1_00D9 } /* code 00D9 */
  ,{  14,  14,  2, (void GUI_FLASH *)&acFont24B_1_00DA } /* code 00DA */
  ,{  14,  14,  2, (void GUI_FLASH *)&acFont24B_1_00DB } /* code 00DB */
  ,{  14,  14,  2, (void GUI_FLASH *)&acFont24B_1_00DC } /* code 00DC */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24B_1_00DD } /* code 00DD */
  ,{  14,  14,  2, (void GUI_FLASH *)&acFont24B_1_00DE } /* code 00DE */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24B_1_00DF } /* code 00DF */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00E0 } /* code 00E0 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00E1 } /* code 00E1 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00E2 } /* code 00E2 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00E3 } /* code 00E3 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00E4 } /* code 00E4 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00E5 } /* code 00E5 */
  ,{  19,  19,  3, (void GUI_FLASH *)&acFont24B_1_00E6 } /* code 00E6 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00E7 } /* code 00E7 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00E8 } /* code 00E8 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00E9 } /* code 00E9 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00EA } /* code 00EA */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00EB } /* code 00EB */
  ,{   5,   5,  1, (void GUI_FLASH *)&acFont24B_1_00EC } /* code 00EC */
  ,{   5,   5,  1, (void GUI_FLASH *)&acFont24B_1_00ED } /* code 00ED */
  ,{   5,   5,  1, (void GUI_FLASH *)&acFont24B_1_00EE } /* code 00EE */
  ,{   5,   5,  1, (void GUI_FLASH *)&acFont24B_1_00EF } /* code 00EF */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24B_1_00F0 } /* code 00F0 */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24B_1_00F1 } /* code 00F1 */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24B_1_00F2 } /* code 00F2 */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24B_1_00F3 } /* code 00F3 */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24B_1_00F4 } /* code 00F4 */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24B_1_00F5 } /* code 00F5 */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24B_1_00F6 } /* code 00F6 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24B_1_00F7 } /* code 00F7 */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24B_1_00F8 } /* code 00F8 */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24B_1_00F9 } /* code 00F9 */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24B_1_00FA } /* code 00FA */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24B_1_00FB } /* code 00FB */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24B_1_00FC } /* code 00FC */
  ,{  11,  11,  2, (void GUI_FLASH *)&acFont24B_1_00FD } /* code 00FD */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24B_1_00FE } /* code 00FE */
  ,{  11,  11,  2, (void GUI_FLASH *)&acFont24B_1_00FF } /* code 00FF */
};

GUI_FLASH const GUI_FONT_PROP GUI_Font24B_1_Prop2 = {
   0x00A0 /* first character */
  ,0x00FF /* last character  */
  ,&GUI_Font24B_1_CharInfo[  0] /* address of first character */
  ,(void*)0 /* pointer to next GUI_FONT_PROP */
};

GUI_FLASH const GUI_FONT_PROP GUI_Font24B_1_Prop1 = {
   0x0020 /* first character */
  ,0x007E /* last character  */
  ,&GUI_Font24B_ASCII_CharInfo[  0] /* address of first character */
  ,(void GUI_FLASH *)&GUI_Font24B_1_Prop2 /* pointer to next GUI_FONT_PROP */
};

GUI_FLASH const GUI_FONT GUI_Font24B_1 = {
   GUI_FONTTYPE_PROP /* type of font    */
  ,24 /* height of font  */
  ,24 /* space of font y */
  ,1 /* magnification x */
  ,1 /* magnification y */
  ,(void GUI_FLASH *)&GUI_Font24B_1_Prop1
};

