/*
*********************************************************************************************************
*                                                uC/GUI
*                        Universal graphic software for embedded applications
*
*                       (c) Copyright 2002, Micrium Inc., Weston, FL
*                       (c) Copyright 2002, SEGGER Microcontroller Systeme GmbH
*
*              C/GUI is protected by international copyright laws. Knowledge of the
*              source code may not be used to write a similar product. This file may
*              only be used in accordance with a license and should not be redistributed
*              in any way. We appreciate your understanding and fairness.
*
----------------------------------------------------------------------
File        : F24_1.C
Purpose     : ISO 8859-1, West European Character Set, bold, high
Height      : 13
---------------------------END-OF-HEADER------------------------------
*/

#include "GUI.H"

#ifndef GUI_FLASH
  #define GUI_FLASH
#endif

extern GUI_FLASH const GUI_CHARINFO GUI_Font24_ASCII_CharInfo[95];

/* The following line needs to be included in any file selecting the
   font. A good place would be GUIConf.H
*/
extern GUI_FLASH const GUI_FONT GUI_Font24_1;

/* Start of unicode area <Latin-1 Supplement> */
GUI_FLASH const unsigned char acFont24_1_00A0[ 24] = { /* code 00A0 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24_1_00A1[ 24] = { /* code 00A1 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  __XX____,
  __XX____,
  ________,
  ________,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  ________};

GUI_FLASH const unsigned char acFont24_1_00A2[ 48] = { /* code 00A2 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,X_______,
  ________,X_______,
  ________,X_______,
  _______X,________,
  ____XXXX,________,
  __XXXXXX,XX______,
  __XX___X,XX______,
  _XX___X_,_XX_____,
  _XX___X_,________,
  _XX___X_,________,
  _XX__X__,________,
  _XXX_X__,_XX_____,
  __XXXX__,XX______,
  __XXXXXX,XX______,
  ____XXXX,________,
  ____X___,________,
  ___X____,________,
  ___X____,________,
  ___X____,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00A3[ 48] = { /* code 00A3 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ____XXXX,X_______,
  ___XXXXX,XX______,
  __XXX___,XXX_____,
  __XX____,_XX_____,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  XXXXXXXX,________,
  XXXXXXXX,________,
  ___XX___,________,
  ___XX___,________,
  __XX____,________,
  _XXXXXX_,_X______,
  XXXXXXXX,XXX_____,
  X_____XX,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00A4[ 48] = { /* code 00A4 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  __X_XXXX,_X______,
  __XXXXXX,XX______,
  ___XX__X,X_______,
  __XX____,XX______,
  __XX____,XX______,
  ___XX__X,X_______,
  __XXXXXX,XX______,
  __X_XXXX,_X______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00A5[ 48] = { /* code 00A5 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  XX______,__XX____,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  __XX____,XX______,
  ___XX__X,X_______,
  ___XX__X,X_______,
  ____XXXX,________,
  XXXXXXXX,XXXX____,
  XXXXXXXX,XXXX____,
  _____XX_,________,
  _____XX_,________,
  XXXXXXXX,XXXX____,
  XXXXXXXX,XXXX____,
  _____XX_,________,
  _____XX_,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00A6[ 24] = { /* code 00A6 */
  ________,
  ________,
  ________,
  ________,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  ________,
  ________,
  ________,
  ________,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____};

GUI_FLASH const unsigned char acFont24_1_00A7[ 48] = { /* code 00A7 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ____XXXX,________,
  ___XXXXX,X_______,
  __XX___X,XX______,
  __XX____,XX______,
  __XX____,________,
  ___XXX__,________,
  __XXXXX_,________,
  _XX___XX,X_______,
  _XX____X,XX______,
  _XX_____,XXX_____,
  __XXX___,_XX_____,
  ___XXX__,_XX_____,
  _____XXX,X_______,
  ______XX,X_______,
  ________,XX______,
  _XX_____,XX______,
  _XXX___X,XX______,
  __XXXXXX,X_______,
  ___XXXXX,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00A8[ 24] = { /* code 00A8 */
  ________,
  ________,
  ________,
  ________,
  _XX__XX_,
  _XX__XX_,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24_1_00A9[ 48] = { /* code 00A9 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _____XXX,XX______,
  ___XX___,__XX____,
  __X_____,____X___,
  _X____XX,XX___X__,
  _X___X__,__X__X__,
  X___X___,______X_,
  X___X___,______X_,
  X___X___,______X_,
  X___X___,______X_,
  X___X___,__X___X_,
  _X___X__,_X___X__,
  _X____XX,X____X__,
  __X_____,____X___,
  ___XX___,__XX____,
  _____XXX,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00AA[ 24] = { /* code 00AA */
  ________,
  ________,
  ________,
  ________,
  _XXXXX__,
  XX___XX_,
  _____XX_,
  __XXXXX_,
  XXXX_XX_,
  XX___XX_,
  XX__XXX_,
  _XXXXXX_,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24_1_00AB[ 48] = { /* code 00AB */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ____XX__,XX______,
  ___XX__X,X_______,
  __XX__XX,________,
  __XX__XX,________,
  _XX__XX_,________,
  __XX__XX,________,
  __XX__XX,________,
  ___XX__X,X_______,
  ____XX__,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00AC[ 48] = { /* code 00AC */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _XXXXXXX,XXX_____,
  _XXXXXXX,XXX_____,
  ________,_XX_____,
  ________,_XX_____,
  ________,_XX_____,
  ________,_XX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00AD[ 24] = { /* code 00AD */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  XXXXXX__,
  XXXXXX__,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24_1_00AE[ 48] = { /* code 00AE */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _____XXX,XX______,
  ___XX___,__XX____,
  __X_____,____X___,
  _X__XXXX,X____X__,
  _X__X___,_X___X__,
  X___X___,_X____X_,
  X___X___,_X____X_,
  X___XXXX,X_____X_,
  X___X__X,______X_,
  X___X___,X_____X_,
  _X__X___,_X___X__,
  _X__X___,__X__X__,
  __X_____,____X___,
  ___XX___,__XX____,
  _____XXX,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00AF[ 48] = { /* code 00AF */
  ________,________,
  XXXXXXXX,XXXX____,
  XXXXXXXX,XXXX____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00B0[ 24] = { /* code 00B0 */
  ________,
  ________,
  ________,
  ________,
  __XXXX__,
  _XX__XX_,
  _X____X_,
  _X____X_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24_1_00B1[ 48] = { /* code 00B1 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _____XX_,________,
  _____XX_,________,
  _____XX_,________,
  _____XX_,________,
  _XXXXXXX,XXX_____,
  _XXXXXXX,XXX_____,
  _____XX_,________,
  _____XX_,________,
  _____XX_,________,
  _____XX_,________,
  ________,________,
  _XXXXXXX,XXX_____,
  _XXXXXXX,XXX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00B2[ 24] = { /* code 00B2 */
  ________,
  ________,
  ________,
  ________,
  _XXXX___,
  XX__XX__,
  ____XX__,
  ___XXX__,
  __XXX___,
  _XXX____,
  _XX_____,
  XXXXXX__,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24_1_00B3[ 24] = { /* code 00B3 */
  ________,
  ________,
  ________,
  ________,
  _XXXX___,
  XX__XX__,
  ____XX__,
  __XX____,
  ____XX__,
  ____XX__,
  XX__XX__,
  _XXXX___,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24_1_00B4[ 24] = { /* code 00B4 */
  ________,
  ________,
  ________,
  ________,
  ___XX___,
  __XX____,
  __X_____,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24_1_00B5[ 48] = { /* code 00B5 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XXX___X,XX______,
  _XXXXXXX,XX______,
  _XX_XXX_,XX______,
  _XX_____,________,
  _XX_____,________,
  _XX_____,________,
  _XX_____,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00B6[ 48] = { /* code 00B6 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  __XXXXXX,XXX_____,
  _XXXXXXX,XXX_____,
  XXXXXX__,XX______,
  XXXXXX__,XX______,
  XXXXXX__,XX______,
  XXXXXX__,XX______,
  _XXXXX__,XX______,
  __XXXX__,XX______,
  ____XX__,XX______,
  ____XX__,XX______,
  ____XX__,XX______,
  ____XX__,XX______,
  ____XX__,XX______,
  ____XX__,XX______,
  ____XX__,XX______,
  ____XX__,XX______,
  ____XX__,XX______,
  ____XX__,XX______,
  ____XX__,XX______,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00B7[ 24] = { /* code 00B7 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  __XX____,
  __XX____,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24_1_00B8[ 24] = { /* code 00B8 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ___X____,
  ___XX___,
  ____XX__,
  _XXXX___,
  ________};

GUI_FLASH const unsigned char acFont24_1_00B9[ 24] = { /* code 00B9 */
  ________,
  ________,
  ________,
  ________,
  ___XX___,
  __XXX___,
  _XXXX___,
  _X_XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24_1_00BA[ 24] = { /* code 00BA */
  ________,
  ________,
  ________,
  ________,
  __XXXX__,
  _XX__XX_,
  XX____XX,
  XX____XX,
  XX____XX,
  XX____XX,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24_1_00BB[ 48] = { /* code 00BB */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  __XX__XX,________,
  ___XX__X,X_______,
  ____XX__,XX______,
  ____XX__,XX______,
  _____XX_,_XX_____,
  ____XX__,XX______,
  ____XX__,XX______,
  ___XX__X,X_______,
  __XX__XX,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00BC[ 72] = { /* code 00BC */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ____XX__,_____XXX,________,
  ___XXX__,_____XX_,________,
  __XXXX__,____XX__,________,
  __X_XX__,___XX___,________,
  ____XX__,__XX____,________,
  ____XX__,__XX____,________,
  ____XX__,_XX_____,________,
  ____XX__,XX_____X,X_______,
  _______X,X_____XX,X_______,
  _______X,X_____XX,X_______,
  ______XX,_____X_X,X_______,
  _____XX_,____XX_X,X_______,
  ____XX__,____XXXX,XX______,
  ___XX___,_______X,X_______,
  ___XX___,_______X,X_______,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont24_1_00BD[ 72] = { /* code 00BD */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ____XX__,______XX,________,
  ___XXX__,_____XX_,________,
  __XXXX__,____XX__,________,
  __X_XX__,___XX___,________,
  ____XX__,___XX___,________,
  ____XX__,__XX____,________,
  ____XX__,_XX_____,________,
  ____XX__,XX___XXX,X_______,
  _______X,X___XX__,XX______,
  _______X,X_______,XX______,
  ______XX,_______X,XX______,
  _____XX_,_______X,X_______,
  ____XX__,______XX,________,
  ____XX__,_____XX_,________,
  ___XX___,____XXXX,XX______,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont24_1_00BE[ 72] = { /* code 00BE */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  _XXXX___,______XX,________,
  XX__XX__,_____XX_,________,
  ____XX__,____XX__,________,
  __XX____,____XX__,________,
  ____XX__,___XX___,________,
  ____XX__,__XX____,________,
  XX__XX__,_XX_____,________,
  _XXXX___,XX_____X,X_______,
  ________,XX____XX,X_______,
  _______X,X_____XX,X_______,
  ______XX,_____XXX,X_______,
  _____XX_,____XX_X,X_______,
  _____XX_,____XXXX,XX______,
  ____XX__,_______X,X_______,
  ___XX___,_______X,X_______,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont24_1_00BF[ 48] = { /* code 00BF */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ______XX,________,
  ______XX,________,
  ________,________,
  ________,________,
  ______XX,________,
  ______XX,________,
  _____XXX,________,
  ____XXX_,________,
  ___XXX__,________,
  ___XX___,________,
  __XX____,________,
  __XX____,_XX_____,
  __XXX___,XXX_____,
  ___XXXXX,XX______,
  ____XXXX,X_______,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00C0[ 48] = { /* code 00C0 */
  _____XX_,________,
  ______XX,________,
  _______X,________,
  ________,________,
  _____XXX,________,
  _____XXX,________,
  ____XX_X,X_______,
  ____XX_X,X_______,
  ____XX_X,X_______,
  ___XX___,XX______,
  ___XX___,XX______,
  ___XX___,XX______,
  __XXXXXX,XXX_____,
  __XXXXXX,XXX_____,
  _XX_____,__XX____,
  _XX_____,__XX____,
  _XX_____,__XX____,
  XX______,___XX___,
  XX______,___XX___,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00C1[ 48] = { /* code 00C1 */
  ______XX,________,
  _____XX_,________,
  _____X__,________,
  ________,________,
  _____XXX,________,
  _____XXX,________,
  ____XX_X,X_______,
  ____XX_X,X_______,
  ____XX_X,X_______,
  ___XX___,XX______,
  ___XX___,XX______,
  ___XX___,XX______,
  __XXXXXX,XXX_____,
  __XXXXXX,XXX_____,
  _XX_____,__XX____,
  _XX_____,__XX____,
  _XX_____,__XX____,
  XX______,___XX___,
  XX______,___XX___,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00C2[ 48] = { /* code 00C2 */
  _____XX_,________,
  ____XXXX,________,
  ___XX__X,X_______,
  ________,________,
  _____XXX,________,
  _____XXX,________,
  ____XX_X,X_______,
  ____XX_X,X_______,
  ____XX_X,X_______,
  ___XX___,XX______,
  ___XX___,XX______,
  ___XX___,XX______,
  __XXXXXX,XXX_____,
  __XXXXXX,XXX_____,
  _XX_____,__XX____,
  _XX_____,__XX____,
  _XX_____,__XX____,
  XX______,___XX___,
  XX______,___XX___,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00C3[ 48] = { /* code 00C3 */
  ____XXX_,XX______,
  ___XXXXX,XX______,
  ___XX_XX,X_______,
  ________,________,
  _____XXX,________,
  _____XXX,________,
  ____XX_X,X_______,
  ____XX_X,X_______,
  ____XX_X,X_______,
  ___XX___,XX______,
  ___XX___,XX______,
  ___XX___,XX______,
  __XXXXXX,XXX_____,
  __XXXXXX,XXX_____,
  _XX_____,__XX____,
  _XX_____,__XX____,
  _XX_____,__XX____,
  XX______,___XX___,
  XX______,___XX___,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00C4[ 48] = { /* code 00C4 */
  ________,________,
  ____XX__,XX______,
  ____XX__,XX______,
  ________,________,
  _____XXX,________,
  _____XXX,________,
  ____XX_X,X_______,
  ____XX_X,X_______,
  ____XX_X,X_______,
  ___XX___,XX______,
  ___XX___,XX______,
  ___XX___,XX______,
  __XXXXXX,XXX_____,
  __XXXXXX,XXX_____,
  _XX_____,__XX____,
  _XX_____,__XX____,
  _XX_____,__XX____,
  XX______,___XX___,
  XX______,___XX___,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00C5[ 48] = { /* code 00C5 */
  _____XXX,________,
  ____X___,X_______,
  ____X___,X_______,
  ____X___,X_______,
  _____XXX,________,
  _____XXX,________,
  ____XX_X,X_______,
  ____XX_X,X_______,
  ____XX_X,X_______,
  ___XX___,XX______,
  ___XX___,XX______,
  ___XX___,XX______,
  __XXXXXX,XXX_____,
  __XXXXXX,XXX_____,
  _XX_____,__XX____,
  _XX_____,__XX____,
  _XX_____,__XX____,
  XX______,___XX___,
  XX______,___XX___,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00C6[ 72] = { /* code 00C6 */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  _______X,XXXXXXXX,XXXX____,
  ______XX,XXXXXXXX,XXXX____,
  ______XX,__XX____,________,
  _____XX_,__XX____,________,
  _____XX_,__XX____,________,
  ____XX__,__XX____,________,
  ____XX__,__XXXXXX,XXX_____,
  ___XX___,__XXXXXX,XXX_____,
  ___XX___,__XX____,________,
  __XXXXXX,XXXX____,________,
  __XXXXXX,XXXX____,________,
  _XX_____,__XX____,________,
  _XX_____,__XX____,________,
  XX______,__XXXXXX,XXXX____,
  XX______,__XXXXXX,XXXX____,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont24_1_00C7[ 48] = { /* code 00C7 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _____XXX,XXX_____,
  ___XXXXX,XXXX____,
  ___XXX__,__XXX___,
  __XX____,___XXX__,
  _XXX____,____XX__,
  _XX_____,________,
  _XX_____,________,
  _XX_____,________,
  _XX_____,________,
  _XX_____,________,
  _XXX____,____XX__,
  __XX____,___XX___,
  __XXXX__,__XXX___,
  ___XXXXX,XXXX____,
  _____XXX,XXX_____,
  _______X,________,
  _______X,X_______,
  ________,XX______,
  _____XXX,X_______,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00C8[ 48] = { /* code 00C8 */
  ______XX,________,
  _______X,X_______,
  ________,X_______,
  ________,________,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  __XXXXXX,XXXX____,
  __XXXXXX,XXXX____,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00C9[ 48] = { /* code 00C9 */
  ________,XX______,
  _______X,X_______,
  _______X,________,
  ________,________,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  __XXXXXX,XXXX____,
  __XXXXXX,XXXX____,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00CA[ 48] = { /* code 00CA */
  _______X,X_______,
  ______XX,XX______,
  _____XX_,_XX_____,
  ________,________,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  __XXXXXX,XXXX____,
  __XXXXXX,XXXX____,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00CB[ 48] = { /* code 00CB */
  ________,________,
  _____XX_,_XX_____,
  _____XX_,_XX_____,
  ________,________,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  __XXXXXX,XXXX____,
  __XXXXXX,XXXX____,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  __XXXXXX,XXXXX___,
  __XXXXXX,XXXXX___,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00CC[ 24] = { /* code 00CC */
  _XX_____,
  __XX____,
  ___X____,
  ________,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24_1_00CD[ 24] = { /* code 00CD */
  ___XX___,
  __XX____,
  __X_____,
  ________,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24_1_00CE[ 24] = { /* code 00CE */
  __XX____,
  _XXXX___,
  XX__XX__,
  ________,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24_1_00CF[ 24] = { /* code 00CF */
  ________,
  XX__XX__,
  XX__XX__,
  ________,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24_1_00D0[ 48] = { /* code 00D0 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  __XXXXXX,XX______,
  __XXXXXX,XXXX____,
  __XX____,__XXX___,
  __XX____,___XX___,
  __XX____,____XX__,
  __XX____,____XX__,
  XXXXXXXX,____XX__,
  XXXXXXXX,____XX__,
  __XX____,____XX__,
  __XX____,____XX__,
  __XX____,____XX__,
  __XX____,___XX___,
  __XX____,__XXX___,
  __XXXXXX,XXXX____,
  __XXXXXX,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00D1[ 48] = { /* code 00D1 */
  _____XXX,_XX_____,
  ____XXXX,XXX_____,
  ____XX_X,XX______,
  ________,________,
  _XX_____,___XX___,
  _XXX____,___XX___,
  _XXXX___,___XX___,
  _XXXX___,___XX___,
  _XX_XX__,___XX___,
  _XX__XX_,___XX___,
  _XX__XX_,___XX___,
  _XX___XX,___XX___,
  _XX____X,X__XX___,
  _XX____X,X__XX___,
  _XX_____,XX_XX___,
  _XX_____,_XXXX___,
  _XX_____,_XXXX___,
  _XX_____,__XXX___,
  _XX_____,___XX___,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00D2[ 48] = { /* code 00D2 */
  ______XX,________,
  _______X,X_______,
  ________,X_______,
  ________,________,
  _____XXX,XXX_____,
  ____XXXX,XXXX____,
  ___XXX__,__XXX___,
  __XX____,____XX__,
  _XXX____,____XXX_,
  _XX_____,_____XX_,
  _XX_____,_____XX_,
  _XX_____,_____XX_,
  _XX_____,_____XX_,
  _XX_____,_____XX_,
  _XXX____,____XXX_,
  __XX____,____XX__,
  ___XXX__,__XXX___,
  ____XXXX,XXXX____,
  _____XXX,XXX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00D3[ 48] = { /* code 00D3 */
  ________,XX______,
  _______X,X_______,
  _______X,________,
  ________,________,
  _____XXX,XXX_____,
  ____XXXX,XXXX____,
  ___XXX__,__XXX___,
  __XX____,____XX__,
  _XXX____,____XXX_,
  _XX_____,_____XX_,
  _XX_____,_____XX_,
  _XX_____,_____XX_,
  _XX_____,_____XX_,
  _XX_____,_____XX_,
  _XXX____,____XXX_,
  __XX____,____XX__,
  ___XXX__,__XXX___,
  ____XXXX,XXXX____,
  _____XXX,XXX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00D4[ 48] = { /* code 00D4 */
  _______X,X_______,
  ______XX,XX______,
  _____XX_,_XX_____,
  ________,________,
  _____XXX,XXX_____,
  ____XXXX,XXXX____,
  ___XXX__,__XXX___,
  __XX____,____XX__,
  _XXX____,____XXX_,
  _XX_____,_____XX_,
  _XX_____,_____XX_,
  _XX_____,_____XX_,
  _XX_____,_____XX_,
  _XX_____,_____XX_,
  _XXX____,____XXX_,
  __XX____,____XX__,
  ___XXX__,__XXX___,
  ____XXXX,XXXX____,
  _____XXX,XXX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00D5[ 48] = { /* code 00D5 */
  ______XX,X_XX____,
  _____XXX,XXXX____,
  _____XX_,XXX_____,
  ________,________,
  _____XXX,XXX_____,
  ____XXXX,XXXX____,
  ___XXX__,__XXX___,
  __XX____,____XX__,
  _XXX____,____XXX_,
  _XX_____,_____XX_,
  _XX_____,_____XX_,
  _XX_____,_____XX_,
  _XX_____,_____XX_,
  _XX_____,_____XX_,
  _XXX____,____XXX_,
  __XX____,____XX__,
  ___XXX__,__XXX___,
  ____XXXX,XXXX____,
  _____XXX,XXX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00D6[ 48] = { /* code 00D6 */
  ________,________,
  _____XX_,_XX_____,
  _____XX_,_XX_____,
  ________,________,
  _____XXX,XXX_____,
  ____XXXX,XXXX____,
  ___XXX__,__XXX___,
  __XX____,____XX__,
  _XXX____,____XXX_,
  _XX_____,_____XX_,
  _XX_____,_____XX_,
  _XX_____,_____XX_,
  _XX_____,_____XX_,
  _XX_____,_____XX_,
  _XXX____,____XXX_,
  __XX____,____XX__,
  ___XXX__,__XXX___,
  ____XXXX,XXXX____,
  _____XXX,XXX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00D7[ 48] = { /* code 00D7 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _XX_____,XX______,
  _XXX___X,XX______,
  __XXX_XX,X_______,
  ___XXXXX,________,
  ____XXX_,________,
  ___XXXXX,________,
  __XXX_XX,X_______,
  _XXX___X,XX______,
  _XX_____,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00D8[ 48] = { /* code 00D8 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _____XXX,XXX__XX_,
  ____XXXX,XXXXXX__,
  ___XXX__,__XXXX__,
  __XX____,___XXX__,
  __XX____,__XXXXX_,
  _XX_____,_XX__XX_,
  _XX_____,XX___XX_,
  _XX____X,X____XX_,
  _XX___XX,_____XX_,
  _XX__XX_,_____XX_,
  _XXX_XX_,____XX__,
  __XXXX__,____XX__,
  ___XXX__,__XXX___,
  __XXXXXX,XXXX____,
  _XX__XXX,XXX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00D9[ 48] = { /* code 00D9 */
  _____XX_,________,
  ______XX,________,
  _______X,________,
  ________,________,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XXX____,__XXX___,
  __XXX___,_XXX____,
  ___XXXXX,XXX_____,
  ____XXXX,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00DA[ 48] = { /* code 00DA */
  _______X,X_______,
  ______XX,________,
  ______X_,________,
  ________,________,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XXX____,__XXX___,
  __XXX___,_XXX____,
  ___XXXXX,XXX_____,
  ____XXXX,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00DB[ 48] = { /* code 00DB */
  ______XX,________,
  _____XXX,X_______,
  ____XX__,XX______,
  ________,________,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XXX____,__XXX___,
  __XXX___,_XXX____,
  ___XXXXX,XXX_____,
  ____XXXX,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00DC[ 48] = { /* code 00DC */
  ________,________,
  ____XX__,XX______,
  ____XX__,XX______,
  ________,________,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XX_____,___XX___,
  _XXX____,__XXX___,
  __XXX___,_XXX____,
  ___XXXXX,XXX_____,
  ____XXXX,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00DD[ 48] = { /* code 00DD */
  _______X,X_______,
  ______XX,________,
  ______X_,________,
  ________,________,
  XXX_____,___XXX__,
  _XX_____,___XX___,
  __XX____,__XX____,
  __XXX___,_XXX____,
  ___XXX__,XXX_____,
  ____XX__,XX______,
  _____XXX,X_______,
  _____XXX,X_______,
  ______XX,________,
  ______XX,________,
  ______XX,________,
  ______XX,________,
  ______XX,________,
  ______XX,________,
  ______XX,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00DE[ 48] = { /* code 00DE */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  __XXXXXX,XXX_____,
  __XXXXXX,XXXX____,
  __XX____,__XXX___,
  __XX____,___XX___,
  __XX____,___XX___,
  __XX____,___XX___,
  __XX____,__XXX___,
  __XXXXXX,XXXX____,
  __XXXXXX,XXX_____,
  __XX____,________,
  __XX____,________,
  __XX____,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00DF[ 48] = { /* code 00DF */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ____XXXX,X_______,
  ___XXXXX,XX______,
  __XXX___,XXX_____,
  __XX____,_XX_____,
  __XX____,_XX_____,
  __XX____,XX______,
  __XX___X,X_______,
  __XX___X,X_______,
  __XX____,XXX_____,
  __XX____,_XXX____,
  __XX____,___XX___,
  __XX____,___XX___,
  __XX_XXX,__XXX___,
  __XX__XX,XXXX____,
  __XX___X,XXX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00E0[ 48] = { /* code 00E0 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ____XX__,________,
  _____XX_,________,
  ______X_,________,
  ________,________,
  ___XXXXX,X_______,
  _XXXXXXX,XX______,
  _XX_____,XX______,
  ________,XX______,
  _____XXX,XX______,
  __XXXXXX,XX______,
  _XXXX___,XX______,
  _XX_____,XX______,
  _XX____X,XX______,
  _XXXXXXX,XX______,
  __XXXXX_,_XX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00E1[ 48] = { /* code 00E1 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ______XX,________,
  _____XX_,________,
  _____X__,________,
  ________,________,
  ___XXXXX,X_______,
  _XXXXXXX,XX______,
  _XX_____,XX______,
  ________,XX______,
  _____XXX,XX______,
  __XXXXXX,XX______,
  _XXXX___,XX______,
  _XX_____,XX______,
  _XX____X,XX______,
  _XXXXXXX,XX______,
  __XXXXX_,_XX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00E2[ 48] = { /* code 00E2 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _____XX_,________,
  ____XXXX,________,
  ___XX__X,X_______,
  ________,________,
  ___XXXXX,X_______,
  _XXXXXXX,XX______,
  _XX_____,XX______,
  ________,XX______,
  _____XXX,XX______,
  __XXXXXX,XX______,
  _XXXX___,XX______,
  _XX_____,XX______,
  _XX____X,XX______,
  _XXXXXXX,XX______,
  __XXXXX_,_XX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00E3[ 48] = { /* code 00E3 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ___XXX_X,X_______,
  __XXXXXX,X_______,
  __XX_XXX,________,
  ________,________,
  ___XXXXX,X_______,
  _XXXXXXX,XX______,
  _XX_____,XX______,
  ________,XX______,
  _____XXX,XX______,
  __XXXXXX,XX______,
  _XXXX___,XX______,
  _XX_____,XX______,
  _XX____X,XX______,
  _XXXXXXX,XX______,
  __XXXXX_,_XX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00E4[ 48] = { /* code 00E4 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ___XX__X,X_______,
  ___XX__X,X_______,
  ________,________,
  ___XXXXX,X_______,
  _XXXXXXX,XX______,
  _XX_____,XX______,
  ________,XX______,
  _____XXX,XX______,
  __XXXXXX,XX______,
  _XXXX___,XX______,
  _XX_____,XX______,
  _XX____X,XX______,
  _XXXXXXX,XX______,
  __XXXXX_,_XX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00E5[ 48] = { /* code 00E5 */
  ________,________,
  ________,________,
  ____XXX_,________,
  ___X___X,________,
  ___X___X,________,
  ___X___X,________,
  ____XXX_,________,
  ________,________,
  ___XXXXX,X_______,
  _XXXXXXX,XX______,
  _XX_____,XX______,
  ________,XX______,
  _____XXX,XX______,
  __XXXXXX,XX______,
  _XXXX___,XX______,
  _XX_____,XX______,
  _XX____X,XX______,
  _XXXXXXX,XX______,
  __XXXXX_,_XX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00E6[ 72] = { /* code 00E6 */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ___XXXXX,X__XXXX_,________,
  __XXXXXX,XXXXXXXX,X_______,
  _XX_____,XXX____X,X_______,
  ______XX,XX______,XX______,
  __XXXXXX,XXXXXXXX,XX______,
  __XXXX__,XXXXXXXX,XX______,
  _XX_____,XX______,________,
  _XX_____,XX______,XX______,
  _XX____X,XXX____X,X_______,
  __XXXXXX,X_XXXXXX,X_______,
  ___XXXX_,___XXXX_,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont24_1_00E7[ 48] = { /* code 00E7 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ____XXXX,________,
  __XXXXXX,X_______,
  __XX___X,XX______,
  _XX_____,XX______,
  _XX_____,________,
  _XX_____,________,
  _XX_____,________,
  _XX_____,XX______,
  __XX___X,XX______,
  __XXXXXX,X_______,
  ___XXXXX,________,
  _____X__,________,
  _____XX_,________,
  ______XX,________,
  ___XXXX_,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00E8[ 48] = { /* code 00E8 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ____XX__,________,
  _____XX_,________,
  ______X_,________,
  ________,________,
  ____XXXX,________,
  __XXXXXX,XX______,
  __XX____,XX______,
  _XX_____,_XX_____,
  _XXXXXXX,XXX_____,
  _XXXXXXX,XXX_____,
  _XX_____,________,
  _XX_____,________,
  __XX____,XXX_____,
  __XXXXXX,XX______,
  ____XXXX,X_______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00E9[ 48] = { /* code 00E9 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ______XX,________,
  _____XX_,________,
  _____X__,________,
  ________,________,
  ____XXXX,________,
  __XXXXXX,XX______,
  __XX____,XX______,
  _XX_____,_XX_____,
  _XXXXXXX,XXX_____,
  _XXXXXXX,XXX_____,
  _XX_____,________,
  _XX_____,________,
  __XX____,XXX_____,
  __XXXXXX,XX______,
  ____XXXX,X_______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00EA[ 48] = { /* code 00EA */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _____XX_,________,
  ____XXXX,________,
  ___XX__X,X_______,
  ________,________,
  ____XXXX,________,
  __XXXXXX,XX______,
  __XX____,XX______,
  _XX_____,_XX_____,
  _XXXXXXX,XXX_____,
  _XXXXXXX,XXX_____,
  _XX_____,________,
  _XX_____,________,
  __XX____,XXX_____,
  __XXXXXX,XX______,
  ____XXXX,X_______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00EB[ 48] = { /* code 00EB */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ___XX__X,X_______,
  ___XX__X,X_______,
  ________,________,
  ____XXXX,________,
  __XXXXXX,XX______,
  __XX____,XX______,
  _XX_____,_XX_____,
  _XXXXXXX,XXX_____,
  _XXXXXXX,XXX_____,
  _XX_____,________,
  _XX_____,________,
  __XX____,XXX_____,
  __XXXXXX,XX______,
  ____XXXX,X_______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00EC[ 24] = { /* code 00EC */
  ________,
  ________,
  ________,
  ________,
  _XX_____,
  __XX____,
  ___X____,
  ________,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24_1_00ED[ 24] = { /* code 00ED */
  ________,
  ________,
  ________,
  ________,
  ___XX___,
  __XX____,
  __X_____,
  ________,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24_1_00EE[ 24] = { /* code 00EE */
  ________,
  ________,
  ________,
  ________,
  __XX____,
  _XXXX___,
  XX__XX__,
  ________,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24_1_00EF[ 24] = { /* code 00EF */
  ________,
  ________,
  ________,
  ________,
  ________,
  XX__XX__,
  XX__XX__,
  ________,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont24_1_00F0[ 48] = { /* code 00F0 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ____XX__,X_______,
  _____XXX,X_______,
  ____XXXX,________,
  ___XX__X,X_______,
  ___XXXX_,XX______,
  __XXXXXX,XX______,
  __XX____,XX______,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  __XX____,XX______,
  __XXXXXX,XX______,
  ____XXXX,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00F1[ 48] = { /* code 00F1 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ___XXX_X,X_______,
  __XXXXXX,X_______,
  __XX_XXX,________,
  ________,________,
  _XX_XXXX,________,
  _XXXXXXX,X_______,
  _XXX___X,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00F2[ 48] = { /* code 00F2 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ____XX__,________,
  _____XX_,________,
  ______X_,________,
  ________,________,
  ____XXXX,________,
  __XXXXXX,XX______,
  __XX____,XX______,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  __XX____,XX______,
  __XXXXXX,XX______,
  ____XXXX,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00F3[ 48] = { /* code 00F3 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ______XX,________,
  _____XX_,________,
  _____X__,________,
  ________,________,
  ____XXXX,________,
  __XXXXXX,XX______,
  __XX____,XX______,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  __XX____,XX______,
  __XXXXXX,XX______,
  ____XXXX,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00F4[ 48] = { /* code 00F4 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _____XX_,________,
  ____XXXX,________,
  ___XX__X,X_______,
  ________,________,
  ____XXXX,________,
  __XXXXXX,XX______,
  __XX____,XX______,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  __XX____,XX______,
  __XXXXXX,XX______,
  ____XXXX,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00F5[ 48] = { /* code 00F5 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ____XXX_,XX______,
  ___XXXXX,XX______,
  ___XX_XX,X_______,
  ________,________,
  ____XXXX,________,
  __XXXXXX,XX______,
  __XX____,XX______,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  __XX____,XX______,
  __XXXXXX,XX______,
  ____XXXX,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00F6[ 48] = { /* code 00F6 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ___XX__X,X_______,
  ___XX__X,X_______,
  ________,________,
  ____XXXX,________,
  __XXXXXX,XX______,
  __XX____,XX______,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  __XX____,XX______,
  __XXXXXX,XX______,
  ____XXXX,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00F7[ 48] = { /* code 00F7 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _____XX_,________,
  _____XX_,________,
  ________,________,
  _XXXXXXX,XXX_____,
  _XXXXXXX,XXX_____,
  ________,________,
  _____XX_,________,
  _____XX_,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00F8[ 48] = { /* code 00F8 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,_XX_____,
  ___XXXXX,_XX_____,
  __XXXXXX,XX______,
  __XX___X,XX______,
  _XX____X,_XX_____,
  _XX___XX,_XX_____,
  _XX__XX_,_XX_____,
  _XX_XX__,_XX_____,
  _XX_X___,_XX_____,
  _XXXX___,XX______,
  __XXXXXX,XX______,
  _XX_XXXX,________,
  _XX_____,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00F9[ 48] = { /* code 00F9 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ___XX___,________,
  ____XX__,________,
  _____X__,________,
  ________,________,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XXX___X,XX______,
  __XXXXXX,XX______,
  ___XXXX_,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00FA[ 48] = { /* code 00FA */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ______XX,________,
  _____XX_,________,
  _____X__,________,
  ________,________,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XXX___X,XX______,
  __XXXXXX,XX______,
  ___XXXX_,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00FB[ 48] = { /* code 00FB */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _____XX_,________,
  ____XXXX,________,
  ___XX__X,X_______,
  ________,________,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XXX___X,XX______,
  __XXXXXX,XX______,
  ___XXXX_,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00FC[ 48] = { /* code 00FC */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  __XX__XX,________,
  __XX__XX,________,
  ________,________,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XX_____,XX______,
  _XXX___X,XX______,
  __XXXXXX,XX______,
  ___XXXX_,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00FD[ 48] = { /* code 00FD */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ______XX,________,
  _____XX_,________,
  _____X__,________,
  ________,________,
  _XX_____,XX______,
  _XX_____,XX______,
  __XX___X,X_______,
  __XX___X,X_______,
  __XXX__X,X_______,
  ___XX__X,X_______,
  ___XX_XX,________,
  ____XXXX,________,
  ____XXXX,________,
  _____XX_,________,
  _____XX_,________,
  _____XX_,________,
  ____XX__,________,
  _XXXXX__,________,
  _XXXX___,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00FE[ 48] = { /* code 00FE */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _XX_____,________,
  _XX_____,________,
  _XX_____,________,
  _XX_____,________,
  _XX_XXXX,________,
  _XXXXXXX,XX______,
  _XXX____,XX______,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  _XX_____,_XX_____,
  _XXX____,XX______,
  _XXXXXXX,XX______,
  _XX_XXXX,________,
  _XX_____,________,
  _XX_____,________,
  _XX_____,________,
  _XX_____,________,
  ________,________};

GUI_FLASH const unsigned char acFont24_1_00FF[ 48] = { /* code 00FF */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ___XX__X,X_______,
  ___XX__X,X_______,
  ________,________,
  _XX_____,XX______,
  _XX_____,XX______,
  __XX___X,X_______,
  __XX___X,X_______,
  __XXX__X,X_______,
  ___XX__X,X_______,
  ___XX_XX,________,
  ____XXXX,________,
  ____XXXX,________,
  _____XX_,________,
  _____XX_,________,
  _____XX_,________,
  ____XX__,________,
  _XXXXX__,________,
  _XXXX___,________,
  ________,________};

GUI_FLASH const GUI_CHARINFO GUI_Font24_1_CharInfo[96] = {
   {   6,   6,  1, (void GUI_FLASH *)&acFont24_1_00A0 } /* code 00A0 */
  ,{   6,   6,  1, (void GUI_FLASH *)&acFont24_1_00A1 } /* code 00A1 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00A2 } /* code 00A2 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00A3 } /* code 00A3 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00A4 } /* code 00A4 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00A5 } /* code 00A5 */
  ,{   6,   6,  1, (void GUI_FLASH *)&acFont24_1_00A6 } /* code 00A6 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00A7 } /* code 00A7 */
  ,{   7,   7,  1, (void GUI_FLASH *)&acFont24_1_00A8 } /* code 00A8 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont24_1_00A9 } /* code 00A9 */
  ,{   7,   7,  1, (void GUI_FLASH *)&acFont24_1_00AA } /* code 00AA */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00AB } /* code 00AB */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00AC } /* code 00AC */
  ,{   7,   7,  1, (void GUI_FLASH *)&acFont24_1_00AD } /* code 00AD */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont24_1_00AE } /* code 00AE */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00AF } /* code 00AF */
  ,{   8,   8,  1, (void GUI_FLASH *)&acFont24_1_00B0 } /* code 00B0 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00B1 } /* code 00B1 */
  ,{   7,   7,  1, (void GUI_FLASH *)&acFont24_1_00B2 } /* code 00B2 */
  ,{   7,   7,  1, (void GUI_FLASH *)&acFont24_1_00B3 } /* code 00B3 */
  ,{   7,   7,  1, (void GUI_FLASH *)&acFont24_1_00B4 } /* code 00B4 */
  ,{  11,  11,  2, (void GUI_FLASH *)&acFont24_1_00B5 } /* code 00B5 */
  ,{  11,  11,  2, (void GUI_FLASH *)&acFont24_1_00B6 } /* code 00B6 */
  ,{   6,   6,  1, (void GUI_FLASH *)&acFont24_1_00B7 } /* code 00B7 */
  ,{   7,   7,  1, (void GUI_FLASH *)&acFont24_1_00B8 } /* code 00B8 */
  ,{   7,   7,  1, (void GUI_FLASH *)&acFont24_1_00B9 } /* code 00B9 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acFont24_1_00BA } /* code 00BA */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00BB } /* code 00BB */
  ,{  18,  18,  3, (void GUI_FLASH *)&acFont24_1_00BC } /* code 00BC */
  ,{  18,  18,  3, (void GUI_FLASH *)&acFont24_1_00BD } /* code 00BD */
  ,{  18,  18,  3, (void GUI_FLASH *)&acFont24_1_00BE } /* code 00BE */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24_1_00BF } /* code 00BF */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24_1_00C0 } /* code 00C0 */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24_1_00C1 } /* code 00C1 */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24_1_00C2 } /* code 00C2 */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24_1_00C3 } /* code 00C3 */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24_1_00C4 } /* code 00C4 */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24_1_00C5 } /* code 00C5 */
  ,{  21,  21,  3, (void GUI_FLASH *)&acFont24_1_00C6 } /* code 00C6 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont24_1_00C7 } /* code 00C7 */
  ,{  14,  14,  2, (void GUI_FLASH *)&acFont24_1_00C8 } /* code 00C8 */
  ,{  14,  14,  2, (void GUI_FLASH *)&acFont24_1_00C9 } /* code 00C9 */
  ,{  14,  14,  2, (void GUI_FLASH *)&acFont24_1_00CA } /* code 00CA */
  ,{  14,  14,  2, (void GUI_FLASH *)&acFont24_1_00CB } /* code 00CB */
  ,{   6,   6,  1, (void GUI_FLASH *)&acFont24_1_00CC } /* code 00CC */
  ,{   6,   6,  1, (void GUI_FLASH *)&acFont24_1_00CD } /* code 00CD */
  ,{   6,   6,  1, (void GUI_FLASH *)&acFont24_1_00CE } /* code 00CE */
  ,{   6,   6,  1, (void GUI_FLASH *)&acFont24_1_00CF } /* code 00CF */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont24_1_00D0 } /* code 00D0 */
  ,{  14,  14,  2, (void GUI_FLASH *)&acFont24_1_00D1 } /* code 00D1 */
  ,{  16,  16,  2, (void GUI_FLASH *)&acFont24_1_00D2 } /* code 00D2 */
  ,{  16,  16,  2, (void GUI_FLASH *)&acFont24_1_00D3 } /* code 00D3 */
  ,{  16,  16,  2, (void GUI_FLASH *)&acFont24_1_00D4 } /* code 00D4 */
  ,{  16,  16,  2, (void GUI_FLASH *)&acFont24_1_00D5 } /* code 00D5 */
  ,{  16,  16,  2, (void GUI_FLASH *)&acFont24_1_00D6 } /* code 00D6 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00D7 } /* code 00D7 */
  ,{  16,  16,  2, (void GUI_FLASH *)&acFont24_1_00D8 } /* code 00D8 */
  ,{  14,  14,  2, (void GUI_FLASH *)&acFont24_1_00D9 } /* code 00D9 */
  ,{  14,  14,  2, (void GUI_FLASH *)&acFont24_1_00DA } /* code 00DA */
  ,{  14,  14,  2, (void GUI_FLASH *)&acFont24_1_00DB } /* code 00DB */
  ,{  14,  14,  2, (void GUI_FLASH *)&acFont24_1_00DC } /* code 00DC */
  ,{  14,  14,  2, (void GUI_FLASH *)&acFont24_1_00DD } /* code 00DD */
  ,{  14,  14,  2, (void GUI_FLASH *)&acFont24_1_00DE } /* code 00DE */
  ,{  13,  13,  2, (void GUI_FLASH *)&acFont24_1_00DF } /* code 00DF */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00E0 } /* code 00E0 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00E1 } /* code 00E1 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00E2 } /* code 00E2 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00E3 } /* code 00E3 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00E4 } /* code 00E4 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00E5 } /* code 00E5 */
  ,{  19,  19,  3, (void GUI_FLASH *)&acFont24_1_00E6 } /* code 00E6 */
  ,{  11,  11,  2, (void GUI_FLASH *)&acFont24_1_00E7 } /* code 00E7 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00E8 } /* code 00E8 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00E9 } /* code 00E9 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00EA } /* code 00EA */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00EB } /* code 00EB */
  ,{   6,   6,  1, (void GUI_FLASH *)&acFont24_1_00EC } /* code 00EC */
  ,{   6,   6,  1, (void GUI_FLASH *)&acFont24_1_00ED } /* code 00ED */
  ,{   6,   6,  1, (void GUI_FLASH *)&acFont24_1_00EE } /* code 00EE */
  ,{   6,   6,  1, (void GUI_FLASH *)&acFont24_1_00EF } /* code 00EF */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00F0 } /* code 00F0 */
  ,{  11,  11,  2, (void GUI_FLASH *)&acFont24_1_00F1 } /* code 00F1 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00F2 } /* code 00F2 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00F3 } /* code 00F3 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00F4 } /* code 00F4 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00F5 } /* code 00F5 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00F6 } /* code 00F6 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00F7 } /* code 00F7 */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00F8 } /* code 00F8 */
  ,{  11,  11,  2, (void GUI_FLASH *)&acFont24_1_00F9 } /* code 00F9 */
  ,{  11,  11,  2, (void GUI_FLASH *)&acFont24_1_00FA } /* code 00FA */
  ,{  11,  11,  2, (void GUI_FLASH *)&acFont24_1_00FB } /* code 00FB */
  ,{  11,  11,  2, (void GUI_FLASH *)&acFont24_1_00FC } /* code 00FC */
  ,{  11,  11,  2, (void GUI_FLASH *)&acFont24_1_00FD } /* code 00FD */
  ,{  12,  12,  2, (void GUI_FLASH *)&acFont24_1_00FE } /* code 00FE */
  ,{  11,  11,  2, (void GUI_FLASH *)&acFont24_1_00FF } /* code 00FF */
};

GUI_FLASH const GUI_FONT_PROP GUI_Font24_1_Prop2 = {
   0x00A0 /* first character */
  ,0x00FF /* last character  */
  ,&GUI_Font24_1_CharInfo[  0] /* address of first character */
  ,(void*)0 /* pointer to next GUI_FONT_PROP */
};

GUI_FLASH const GUI_FONT_PROP GUI_Font24_1_Prop1 = {
   0x0020 /* first character */
  ,0x007E /* last character  */
  ,&GUI_Font24_ASCII_CharInfo[  0] /* address of first character */
  ,(void GUI_FLASH *)&GUI_Font24_1_Prop2 /* pointer to next GUI_FONT_PROP */
};

GUI_FLASH const GUI_FONT GUI_Font24_1 = {
   GUI_FONTTYPE_PROP /* type of font    */
  ,24 /* height of font  */
  ,24 /* space of font y */
  ,1 /* magnification x */
  ,1 /* magnification y */
  ,(void GUI_FLASH *)&GUI_Font24_1_Prop1
};

