/*
*********************************************************************************************************
*                                                uC/GUI
*                        Universal graphic software for embedded applications
*
*                       (c) Copyright 2002, Micrium Inc., Weston, FL
*                       (c) Copyright 2002, SEGGER Microcontroller Systeme GmbH
*
*              C/GUI is protected by international copyright laws. Knowledge of the
*              source code may not be used to write a similar product. This file may
*              only be used in accordance with a license and should not be redistributed
*              in any way. We appreciate your understanding and fairness.
*
----------------------------------------------------------------------
File        : F32B_1.C
Purpose     : ISO 8859-1, West European Character Set, bold, high
Height      : 13
---------------------------END-OF-HEADER------------------------------
*/

#include "GUI.H"

#ifndef GUI_FLASH
  #define GUI_FLASH
#endif

extern GUI_FLASH const GUI_CHARINFO GUI_Font32B_ASCII_CharInfo[95];

/* The following line needs to be included in any file selecting the
   font. A good place would be GUIConf.H
*/
extern GUI_FLASH const GUI_FONT GUI_Font32B_1;

/* Start of unicode area <Latin-1 Supplement> */
GUI_FLASH const unsigned char acFont32B_1_00A0[ 32] = { /* code 00A0 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont32B_1_00A1[ 32] = { /* code 00A1 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  ________,
  ________,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  ________,
  ________};

GUI_FLASH const unsigned char acFont32B_1_00A2[ 64] = { /* code 00A2 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,___XX___,
  ________,__XXX___,
  ________,__XX____,
  ________,__XX____,
  ________,_XXX____,
  _____XXX,XXX_____,
  ___XXXXX,XXXX____,
  __XXXXXX,XXXXX___,
  __XXXX__,XXXXX___,
  _XXXX___,XXXXXX__,
  _XXXX___,XX______,
  _XXXX__X,X_______,
  _XXXX__X,X_______,
  _XXXX__X,X_______,
  _XXXX_XX,__XXXX__,
  _XXXX_XX,__XXXX__,
  __XXXXXX,_XXXX___,
  __XXXXXX,XXXXX___,
  ___XXXXX,XXXX____,
  ____XXXX,XX______,
  ____XX__,________,
  ____XX__,________,
  ____XX__,________,
  ___XX___,________,
  ___XX___,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00A3[ 64] = { /* code 00A3 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ____XXXX,XX______,
  ___XXXXX,XXX_____,
  __XXXXXX,XXXX____,
  _XXXXX__,XXXXX___,
  _XXXX___,_XXXX___,
  _XXXX___,_XXXX___,
  _XXXX___,________,
  _XXXX___,________,
  XXXXXXXX,XX______,
  XXXXXXXX,XX______,
  XXXXXXXX,XX______,
  __XXXX__,________,
  __XXXX__,________,
  __XXXX__,________,
  _XXXX___,________,
  _XXXX___,________,
  XXXXXXXX,____X___,
  XXXXXXXX,XXXXXX__,
  _XXXXXXX,XXXXXX__,
  _X_____X,XXXXX___,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00A4[ 64] = { /* code 00A4 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  __X_____,___X____,
  _XXX_XXX,X_XXX___,
  XXXXXXXX,XXXXXX__,
  _XXXXXXX,XXXXX___,
  __XXX___,_XXX____,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  _XXX____,__XXX___,
  __XXX___,_XXX____,
  _XXXXXXX,XXXXX___,
  XXXXXXXX,XXXXXX__,
  _XXX_XXX,X_XXX___,
  __X_____,___X____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00A5[ 64] = { /* code 00A5 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  XXXX____,__XXXX__,
  _XXXX___,_XXXX___,
  _XXXX___,_XXXX___,
  __XXX___,_XXX____,
  __XXXX__,XXXX____,
  ___XXX__,XXX_____,
  ___XXXXX,XXX_____,
  ___XXXXX,XXX_____,
  _XXXXXXX,XXXXX___,
  _XXXXXXX,XXXXX___,
  _XXXXXXX,XXXXX___,
  _____XXX,X_______,
  _____XXX,X_______,
  _XXXXXXX,XXXXX___,
  _XXXXXXX,XXXXX___,
  _XXXXXXX,XXXXX___,
  _____XXX,X_______,
  _____XXX,X_______,
  _____XXX,X_______,
  _____XXX,X_______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00A6[ 32] = { /* code 00A6 */
  ________,
  ________,
  ________,
  ________,
  ________,
  __XXX___,
  __XXX___,
  __XXX___,
  __XXX___,
  __XXX___,
  __XXX___,
  __XXX___,
  __XXX___,
  __XXX___,
  __XXX___,
  __XXX___,
  ________,
  ________,
  ________,
  ________,
  __XXX___,
  __XXX___,
  __XXX___,
  __XXX___,
  __XXX___,
  __XXX___,
  __XXX___,
  __XXX___,
  __XXX___,
  __XXX___,
  ________,
  ________};

GUI_FLASH const unsigned char acFont32B_1_00A7[ 64] = { /* code 00A7 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _____XXX,XX______,
  ___XXXXX,XXX_____,
  __XXXXXX,XXXX____,
  __XXXX__,_XXXX___,
  __XXXX__,_XXXX___,
  __XXXXX_,________,
  ___XXXXX,________,
  ___XXXXX,X_______,
  __XXXXXX,XXX_____,
  _XXXX_XX,XXXX____,
  _XXX___X,XXXXX___,
  _XXX____,_XXXXX__,
  _XXXX___,__XXXX__,
  _XXXXX__,___XXX__,
  __XXXXX_,___XXX__,
  ___XXXXX,__XXXX__,
  ____XXXX,XXXXX___,
  _____XXX,XXXX____,
  ______XX,XXXX____,
  ________,XXXXX___,
  ________,_XXXX___,
  __XXXX__,_XXXX___,
  __XXXXX_,_XXXX___,
  ___XXXXX,XXXX____,
  ____XXXX,XXXX____,
  _____XXX,XX______,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00A8[ 64] = { /* code 00A8 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  XXX___XX,X_______,
  XXX___XX,X_______,
  XXX___XX,X_______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00A9[ 96] = { /* code 00A9 */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  _______X,XXXXX___,________,
  _____XXX,XXXXXXX_,________,
  ___XXXX_,_____XXX,X_______,
  __XXX___,_______X,XX______,
  __XX____,XXXX____,XX______,
  _XX___XX,XXXXX___,_XX_____,
  _XX___XX,___XXX__,_XX_____,
  XX___XX_,____XX__,__XX____,
  XX___XX_,________,__XX____,
  XX___XX_,________,__XX____,
  XX___XX_,________,__XX____,
  XX___XX_,________,__XX____,
  XX___XX_,____XX__,__XX____,
  _XX___XX,___XXX__,_XX_____,
  _XX___XX,XXXXX___,_XX_____,
  __XX____,XXXX____,XX______,
  __XXX___,_______X,XX______,
  ___XXXX_,_____XXX,X_______,
  _____XXX,XXXXXXX_,________,
  _______X,XXXXX___,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00AA[ 64] = { /* code 00AA */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  __XXXXXX,________,
  _XXXXXXX,X_______,
  XXX___XX,X_______,
  ______XX,X_______,
  __XXXXXX,X_______,
  XXXXXXXX,X_______,
  XXX___XX,X_______,
  XXX__XXX,X_______,
  XXXXXXXX,X_______,
  _XXXX_XX,X_______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00AB[ 64] = { /* code 00AB */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _____XXX,___XXX__,
  ____XXX_,__XXX___,
  ___XXXX_,_XXXX___,
  ___XXX__,_XXX____,
  __XXXX__,XXXX____,
  _XXXX__X,XXX_____,
  _XXXX__X,XXX_____,
  __XXXX__,XXXX____,
  ___XXX__,_XXX____,
  ___XXXX_,_XXXX___,
  ____XXX_,__XXX___,
  _____XXX,___XXX__,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00AC[ 64] = { /* code 00AC */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _XXXXXXX,XXXXXXX_,
  _XXXXXXX,XXXXXXX_,
  _XXXXXXX,XXXXXXX_,
  _XXXXXXX,XXXXXXX_,
  ________,___XXXX_,
  ________,___XXXX_,
  ________,___XXXX_,
  ________,___XXXX_,
  ________,___XXXX_,
  ________,___XXXX_,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00AD[ 64] = { /* code 00AD */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _XXXXXXX,X_______,
  _XXXXXXX,X_______,
  _XXXXXXX,X_______,
  _XXXXXXX,X_______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00AE[ 96] = { /* code 00AE */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  _______X,XXXXX___,________,
  _____XXX,XXXXXXX_,________,
  ___XXXX_,_____XXX,X_______,
  __XXX___,_______X,XX______,
  __XX__XX,XXXX____,XX______,
  _XX___XX,XXXXX___,_XX_____,
  _XX___XX,___XX___,_XX_____,
  XX____XX,___XX___,__XX____,
  XX____XX,___XX___,__XX____,
  XX____XX,XXXXX___,__XX____,
  XX____XX,XXXX____,__XX____,
  XX____XX,__XX____,__XX____,
  XX____XX,__XXX___,__XX____,
  _XX___XX,___XX___,_XX_____,
  _XX___XX,___XXX__,_XX_____,
  __XX__XX,____XX__,XX______,
  __XXX___,_______X,XX______,
  ___XXXX_,_____XXX,X_______,
  _____XXX,XXXXXXX_,________,
  _______X,XXXXX___,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00AF[ 64] = { /* code 00AF */
  ________,________,
  ________,________,
  XXXXXXXX,XXXXXXX_,
  XXXXXXXX,XXXXXXX_,
  XXXXXXXX,XXXXXXX_,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00B0[ 64] = { /* code 00B0 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ___XXXX_,________,
  __XXXXXX,________,
  _XXX__XX,X_______,
  _XX____X,X_______,
  _XX____X,X_______,
  _XXX__XX,X_______,
  __XXXXXX,________,
  ___XXXX_,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00B1[ 64] = { /* code 00B1 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ______XX,XX______,
  ______XX,XX______,
  ______XX,XX______,
  ______XX,XX______,
  ______XX,XX______,
  _XXXXXXX,XXXXXXX_,
  _XXXXXXX,XXXXXXX_,
  _XXXXXXX,XXXXXXX_,
  _XXXXXXX,XXXXXXX_,
  ______XX,XX______,
  ______XX,XX______,
  ______XX,XX______,
  ______XX,XX______,
  ______XX,XX______,
  ________,________,
  _XXXXXXX,XXXXXXX_,
  _XXXXXXX,XXXXXXX_,
  _XXXXXXX,XXXXXXX_,
  _XXXXXXX,XXXXXXX_,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00B2[ 64] = { /* code 00B2 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  __XXXX__,________,
  XXXXXXXX,________,
  XXX__XXX,________,
  _____XXX,________,
  ____XXX_,________,
  ___XXXX_,________,
  __XXX___,________,
  _XXX____,________,
  XXXXXXXX,________,
  XXXXXXXX,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00B3[ 64] = { /* code 00B3 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ___XXXXX,________,
  __XXXXXX,X_______,
  _XXX__XX,X_______,
  ____XXXX,________,
  ____XXXX,________,
  ______XX,X_______,
  ______XX,X_______,
  _XXX__XX,X_______,
  __XXXXXX,________,
  ___XXXX_,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00B4[ 64] = { /* code 00B4 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ____XXXX,________,
  ___XXXX_,________,
  ___XXX__,________,
  __XXX___,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00B5[ 64] = { /* code 00B5 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  __XXXX__,___XXXX_,
  __XXXX__,___XXXX_,
  __XXXX__,___XXXX_,
  __XXXX__,___XXXX_,
  __XXXX__,___XXXX_,
  __XXXX__,___XXXX_,
  __XXXX__,___XXXX_,
  __XXXX__,___XXXX_,
  __XXXX__,___XXXX_,
  __XXXX__,___XXXX_,
  __XXXX__,___XXXX_,
  __XXXXX_,__XXXXX_,
  __XXXXXX,XXXXXXX_,
  __XXXXXX,XXXXXXX_,
  __XXXX_X,XX_XXXX_,
  __XXXX__,________,
  __XXXX__,________,
  __XXXX__,________,
  __XXXX__,________,
  __XXXX__,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00B6[ 64] = { /* code 00B6 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ___XXXXX,XXXXXX__,
  _XXXXXXX,XXXXXX__,
  _XXXXXXX,XXXXXX__,
  XXXXXXXX,__XXX___,
  XXXXXXXX,__XXX___,
  XXXXXXXX,__XXX___,
  XXXXXXXX,__XXX___,
  XXXXXXXX,__XXX___,
  _XXXXXXX,__XXX___,
  _XXXXXXX,__XXX___,
  ___XXXXX,__XXX___,
  _____XXX,__XXX___,
  _____XXX,__XXX___,
  _____XXX,__XXX___,
  _____XXX,__XXX___,
  _____XXX,__XXX___,
  _____XXX,__XXX___,
  _____XXX,__XXX___,
  _____XXX,__XXX___,
  _____XXX,__XXX___,
  _____XXX,__XXX___,
  _____XXX,__XXX___,
  _____XXX,__XXX___,
  _____XXX,__XXX___,
  _____XXX,__XXX___,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00B7[ 32] = { /* code 00B7 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont32B_1_00B8[ 64] = { /* code 00B8 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  __XXXXX_,________,
  _____XXX,________,
  _____XXX,________,
  _____XXX,________,
  _XXXXX__,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00B9[ 64] = { /* code 00B9 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ___XXX__,________,
  __XXXX__,________,
  _XXXXX__,________,
  _X_XXX__,________,
  ___XXX__,________,
  ___XXX__,________,
  ___XXX__,________,
  ___XXX__,________,
  ___XXX__,________,
  ___XXX__,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00BA[ 64] = { /* code 00BA */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ___XXXXX,________,
  __XXXXXX,X_______,
  _XXXX_XX,XX______,
  _XXX___X,XX______,
  _XXX___X,XX______,
  _XXX___X,XX______,
  _XXX___X,XX______,
  _XXXX_XX,XX______,
  __XXXXXX,X_______,
  ___XXXXX,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00BB[ 64] = { /* code 00BB */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _XXX___X,XX______,
  __XXX___,XXX_____,
  __XXXX__,XXXX____,
  ___XXX__,_XXX____,
  ___XXXX_,_XXXX___,
  ____XXXX,__XXXX__,
  ____XXXX,__XXXX__,
  ___XXXX_,_XXXX___,
  ___XXX__,_XXX____,
  __XXXX__,XXXX____,
  __XXX___,XXX_____,
  _XXX___X,XX______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00BC[ 96] = { /* code 00BC */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ____XXX_,_______X,XX______,
  ___XXXX_,_______X,XX______,
  _XXXXXX_,______XX,X_______,
  _XX_XXX_,_____XXX,X_______,
  ____XXX_,_____XXX,________,
  ____XXX_,____XXX_,________,
  ____XXX_,____XXX_,________,
  ____XXX_,___XXX__,________,
  ____XXX_,___XXX__,________,
  ____XXX_,__XXX___,________,
  ________,_XXX____,___XXX__,
  ________,_XXX____,__XXXX__,
  ________,XXX_____,_XXXXX__,
  ________,XXX_____,XX_XXX__,
  _______X,XX_____X,X__XXX__,
  _______X,XX____XX,___XXX__,
  ______XX,X_____XX,XXXXXXX_,
  _____XXX,______XX,XXXXXXX_,
  _____XXX,________,___XXX__,
  ____XXX_,________,___XXX__,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00BD[ 96] = { /* code 00BD */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ____XXX_,_______X,XX______,
  ___XXXX_,______XX,X_______,
  _XXXXXX_,______XX,X_______,
  _XX_XXX_,_____XXX,________,
  ____XXX_,_____XXX,________,
  ____XXX_,____XXX_,________,
  ____XXX_,___XXX__,________,
  ____XXX_,___XXX__,________,
  ____XXX_,__XXX___,________,
  ____XXX_,__XXX___,________,
  ________,_XXX____,XXXX____,
  ________,_XXX__XX,XXXXXX__,
  ________,XXX___XX,X__XXX__,
  ________,XXX_____,___XXX__,
  _______X,XX______,__XXX___,
  ______XX,XX______,_XXXX___,
  ______XX,X_______,XXX_____,
  _____XXX,_______X,XX______,
  _____XXX,______XX,XXXXXX__,
  ____XXX_,______XX,XXXXXX__,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00BE[ 96] = { /* code 00BE */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  __XXXXX_,________,XXX_____,
  _XXXXXXX,_______X,XX______,
  XXX__XXX,______XX,X_______,
  ___XXXX_,______XX,X_______,
  ___XXXX_,_____XXX,________,
  _____XXX,_____XXX,________,
  _____XXX,____XXX_,________,
  XXX__XXX,___XXX__,________,
  _XXXXXX_,___XXX__,________,
  __XXXX__,__XXX___,________,
  ________,__XXX___,___XXX__,
  ________,_XXX____,__XXXX__,
  ________,XXX_____,_XXXXX__,
  ________,XXX_____,XX_XXX__,
  _______X,XX_____X,X__XXX__,
  _______X,XX____XX,___XXX__,
  ______XX,X_____XX,XXXXXXX_,
  _____XXX,______XX,XXXXXXX_,
  _____XXX,________,___XXX__,
  ____XXX_,________,___XXX__,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00BF[ 96] = { /* code 00BF */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  _______X,XXX_____,________,
  _______X,XXX_____,________,
  _______X,XXX_____,________,
  _______X,XXX_____,________,
  ________,________,________,
  ________,________,________,
  _______X,XXX_____,________,
  _______X,XXX_____,________,
  ______XX,XXX_____,________,
  _____XXX,XX______,________,
  ____XXXX,X_______,________,
  ___XXXXX,________,________,
  __XXXXX_,________,________,
  __XXXX__,________,________,
  __XXXX__,____XXXX,________,
  __XXXX__,___XXXXX,________,
  ___XXXX_,___XXXX_,________,
  ___XXXXX,XXXXXXX_,________,
  ____XXXX,XXXXXX__,________,
  ______XX,XXXX____,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00C0[ 96] = { /* code 00C0 */
  ______XX,XX______,________,
  _______X,XXX_____,________,
  ________,XXX_____,________,
  ________,_XXX____,________,
  ________,________,________,
  _______X,XXXX____,________,
  ______XX,XXXXX___,________,
  ______XX,XXXXX___,________,
  ______XX,XXXXX___,________,
  _____XXX,X_XXXX__,________,
  _____XXX,X_XXXX__,________,
  _____XXX,X_XXXX__,________,
  ____XXXX,___XXXX_,________,
  ____XXXX,___XXXX_,________,
  ____XXXX,___XXXX_,________,
  ___XXXX_,____XXXX,________,
  ___XXXX_,____XXXX,________,
  ___XXXXX,XXXXXXXX,________,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXX__,_____XXX,X_______,
  _XXXX___,______XX,XX______,
  _XXXX___,______XX,XX______,
  _XXXX___,______XX,XX______,
  XXXX____,_______X,XXX_____,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00C1[ 96] = { /* code 00C1 */
  ________,_XXXX___,________,
  ________,XXXX____,________,
  ________,XXX_____,________,
  _______X,XX______,________,
  ________,________,________,
  _______X,XXXX____,________,
  ______XX,XXXXX___,________,
  ______XX,XXXXX___,________,
  ______XX,XXXXX___,________,
  _____XXX,X_XXXX__,________,
  _____XXX,X_XXXX__,________,
  _____XXX,X_XXXX__,________,
  ____XXXX,___XXXX_,________,
  ____XXXX,___XXXX_,________,
  ____XXXX,___XXXX_,________,
  ___XXXX_,____XXXX,________,
  ___XXXX_,____XXXX,________,
  ___XXXXX,XXXXXXXX,________,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXX__,_____XXX,X_______,
  _XXXX___,______XX,XX______,
  _XXXX___,______XX,XX______,
  _XXXX___,______XX,XX______,
  XXXX____,_______X,XXX_____,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00C2[ 96] = { /* code 00C2 */
  ________,XXX_____,________,
  _______X,XXXX____,________,
  ______XX,X_XXX___,________,
  _____XXX,___XXX__,________,
  ________,________,________,
  _______X,XXXX____,________,
  ______XX,XXXXX___,________,
  ______XX,XXXXX___,________,
  ______XX,XXXXX___,________,
  _____XXX,X_XXXX__,________,
  _____XXX,X_XXXX__,________,
  _____XXX,X_XXXX__,________,
  ____XXXX,___XXXX_,________,
  ____XXXX,___XXXX_,________,
  ____XXXX,___XXXX_,________,
  ___XXXX_,____XXXX,________,
  ___XXXX_,____XXXX,________,
  ___XXXXX,XXXXXXXX,________,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXX__,_____XXX,X_______,
  _XXXX___,______XX,XX______,
  _XXXX___,______XX,XX______,
  _XXXX___,______XX,XX______,
  XXXX____,_______X,XXX_____,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00C3[ 96] = { /* code 00C3 */
  ________,________,________,
  ______XX,X___XX__,________,
  _____XXX,XXXXXX__,________,
  _____XX_,__XXX___,________,
  ________,________,________,
  _______X,XXXX____,________,
  ______XX,XXXXX___,________,
  ______XX,XXXXX___,________,
  ______XX,XXXXX___,________,
  _____XXX,X_XXXX__,________,
  _____XXX,X_XXXX__,________,
  _____XXX,X_XXXX__,________,
  ____XXXX,___XXXX_,________,
  ____XXXX,___XXXX_,________,
  ____XXXX,___XXXX_,________,
  ___XXXX_,____XXXX,________,
  ___XXXX_,____XXXX,________,
  ___XXXXX,XXXXXXXX,________,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXX__,_____XXX,X_______,
  _XXXX___,______XX,XX______,
  _XXXX___,______XX,XX______,
  _XXXX___,______XX,XX______,
  XXXX____,_______X,XXX_____,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00C4[ 96] = { /* code 00C4 */
  ________,________,________,
  _____XXX,___XXX__,________,
  _____XXX,___XXX__,________,
  _____XXX,___XXX__,________,
  ________,________,________,
  _______X,XXXX____,________,
  ______XX,XXXXX___,________,
  ______XX,XXXXX___,________,
  ______XX,XXXXX___,________,
  _____XXX,X_XXXX__,________,
  _____XXX,X_XXXX__,________,
  _____XXX,X_XXXX__,________,
  ____XXXX,___XXXX_,________,
  ____XXXX,___XXXX_,________,
  ____XXXX,___XXXX_,________,
  ___XXXX_,____XXXX,________,
  ___XXXX_,____XXXX,________,
  ___XXXXX,XXXXXXXX,________,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXX__,_____XXX,X_______,
  _XXXX___,______XX,XX______,
  _XXXX___,______XX,XX______,
  _XXXX___,______XX,XX______,
  XXXX____,_______X,XXX_____,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00C5[ 96] = { /* code 00C5 */
  ________,________,________,
  ________,________,________,
  ________,_XX_____,________,
  ________,X__X____,________,
  ________,X__X____,________,
  _______X,XXXX____,________,
  ______XX,XXXXX___,________,
  ______XX,XXXXX___,________,
  ______XX,XXXXX___,________,
  _____XXX,X_XXXX__,________,
  _____XXX,X_XXXX__,________,
  _____XXX,X_XXXX__,________,
  ____XXXX,___XXXX_,________,
  ____XXXX,___XXXX_,________,
  ____XXXX,___XXXX_,________,
  ___XXXX_,____XXXX,________,
  ___XXXX_,____XXXX,________,
  ___XXXXX,XXXXXXXX,________,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXX__,_____XXX,X_______,
  _XXXX___,______XX,XX______,
  _XXXX___,______XX,XX______,
  _XXXX___,______XX,XX______,
  XXXX____,_______X,XXX_____,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00C6[128] = { /* code 00C6 */
  ________,________,________,________,
  ________,________,________,________,
  ________,________,________,________,
  ________,________,________,________,
  ________,________,________,________,
  ________,XXXXXXXX,XXXXXXXX,XX______,
  _______X,XXXXXXXX,XXXXXXXX,XX______,
  _______X,XXXXXXXX,XXXXXXXX,XX______,
  ______XX,XXXXXXXX,XXXXXXXX,XX______,
  ______XX,XX_XXXX_,________,________,
  ______XX,XX_XXXX_,________,________,
  _____XXX,X__XXXX_,________,________,
  _____XXX,X__XXXXX,XXXXXXXX,X_______,
  ____XXXX,___XXXXX,XXXXXXXX,X_______,
  ____XXXX,___XXXXX,XXXXXXXX,X_______,
  ___XXXXX,___XXXXX,XXXXXXXX,X_______,
  ___XXXXX,XXXXXXX_,________,________,
  __XXXXXX,XXXXXXX_,________,________,
  __XXXXXX,XXXXXXX_,________,________,
  _XXXXXXX,XXXXXXX_,________,________,
  _XXXX___,___XXXX_,________,________,
  _XXXX___,___XXXXX,XXXXXXXX,XX______,
  XXXX____,___XXXXX,XXXXXXXX,XX______,
  XXXX____,___XXXXX,XXXXXXXX,XX______,
  XXXX____,___XXXXX,XXXXXXXX,XX______,
  ________,________,________,________,
  ________,________,________,________,
  ________,________,________,________,
  ________,________,________,________,
  ________,________,________,________,
  ________,________,________,________,
  ________,________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00C7[ 96] = { /* code 00C7 */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  _______X,XXXXXX__,________,
  _____XXX,XXXXXXXX,________,
  ____XXXX,XXXXXXXX,X_______,
  ___XXXXX,XXXXXXXX,XX______,
  __XXXXXX,_____XXX,XX______,
  __XXXX__,______XX,XXX_____,
  _XXXXX__,_______X,X_______,
  _XXXX___,________,________,
  _XXXX___,________,________,
  _XXXX___,________,________,
  _XXXX___,________,________,
  _XXXX___,________,________,
  _XXXX___,_______X,X_______,
  _XXXXX__,______XX,XXX_____,
  __XXXX__,______XX,XXX_____,
  __XXXXXX,____XXXX,XX______,
  ___XXXXX,XXXXXXXX,XX______,
  ____XXXX,XXXXXXXX,X_______,
  _____XXX,XXXXXXXX,________,
  _______X,XXXXXX__,________,
  ________,XXXXX___,________,
  ________,___XXX__,________,
  ________,___XXX__,________,
  ________,___XXX__,________,
  _______X,XXXX____,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00C8[ 96] = { /* code 00C8 */
  ______XX,XX______,________,
  _______X,XXX_____,________,
  ________,XXX_____,________,
  ________,_XXX____,________,
  ________,________,________,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXXXX,XXXXXXXX,________,
  __XXXXXX,XXXXXXXX,________,
  __XXXXXX,XXXXXXXX,________,
  __XXXXXX,XXXXXXXX,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00C9[ 96] = { /* code 00C9 */
  ________,_XXXX___,________,
  ________,XXXX____,________,
  ________,XXX_____,________,
  _______X,XX______,________,
  ________,________,________,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXXXX,XXXXXXXX,________,
  __XXXXXX,XXXXXXXX,________,
  __XXXXXX,XXXXXXXX,________,
  __XXXXXX,XXXXXXXX,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00CA[ 96] = { /* code 00CA */
  ________,XXX_____,________,
  _______X,XXXX____,________,
  ______XX,X_XXX___,________,
  _____XXX,___XXX__,________,
  ________,________,________,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXXXX,XXXXXXXX,________,
  __XXXXXX,XXXXXXXX,________,
  __XXXXXX,XXXXXXXX,________,
  __XXXXXX,XXXXXXXX,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00CB[ 96] = { /* code 00CB */
  ________,________,________,
  _____XXX,___XXX__,________,
  _____XXX,___XXX__,________,
  _____XXX,___XXX__,________,
  ________,________,________,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXXXX,XXXXXXXX,________,
  __XXXXXX,XXXXXXXX,________,
  __XXXXXX,XXXXXXXX,________,
  __XXXXXX,XXXXXXXX,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00CC[ 32] = { /* code 00CC */
  _XXXX___,
  __XXXX__,
  ___XXX__,
  ____XXX_,
  ________,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont32B_1_00CD[ 32] = { /* code 00CD */
  ___XXXX_,
  __XXXX__,
  __XXX___,
  _XXX____,
  ________,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont32B_1_00CE[ 32] = { /* code 00CE */
  ___XXX__,
  __XXXXX_,
  _XXX_XXX,
  XXX___XX,
  ________,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont32B_1_00CF[ 32] = { /* code 00CF */
  ________,
  XXX___XX,
  XXX___XX,
  XXX___XX,
  ________,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont32B_1_00D0[ 96] = { /* code 00D0 */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  __XXXXXX,XXXXXX__,________,
  __XXXXXX,XXXXXXXX,________,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXX__,_____XXX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XXX_____,
  __XXXX__,_______X,XXX_____,
  __XXXX__,_______X,XXX_____,
  XXXXXXXX,XXX____X,XXX_____,
  XXXXXXXX,XXX____X,XXX_____,
  __XXXX__,_______X,XXX_____,
  __XXXX__,_______X,XXX_____,
  __XXXX__,_______X,XXX_____,
  __XXXX__,______XX,XX______,
  __XXXX__,_____XXX,XX______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,X_______,
  __XXXXXX,XXXXXXXX,________,
  __XXXXXX,XXXXXX__,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00D1[ 96] = { /* code 00D1 */
  ________,________,________,
  _______X,XX___XX_,________,
  ______XX,XXXXXXX_,________,
  ______XX,___XXX__,________,
  ________,________,________,
  __XXXX__,______XX,XX______,
  __XXXXX_,______XX,XX______,
  __XXXXXX,______XX,XX______,
  __XXXXXX,______XX,XX______,
  __XXXXXX,X_____XX,XX______,
  __XXXXXX,X_____XX,XX______,
  __XXXXXX,XX____XX,XX______,
  __XXXX_X,XX____XX,XX______,
  __XXXX_X,XXX___XX,XX______,
  __XXXX__,XXXX__XX,XX______,
  __XXXX__,XXXX__XX,XX______,
  __XXXX__,_XXXX_XX,XX______,
  __XXXX__,__XXX_XX,XX______,
  __XXXX__,__XXXXXX,XX______,
  __XXXX__,___XXXXX,XX______,
  __XXXX__,___XXXXX,XX______,
  __XXXX__,____XXXX,XX______,
  __XXXX__,____XXXX,XX______,
  __XXXX__,_____XXX,XX______,
  __XXXX__,_____XXX,XX______,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00D2[ 96] = { /* code 00D2 */
  _______X,XXX_____,________,
  ________,XXXX____,________,
  ________,_XXX____,________,
  ________,__XXX___,________,
  ________,________,________,
  _______X,XXXXXX__,________,
  _____XXX,XXXXXXXX,________,
  ____XXXX,XXXXXXXX,X_______,
  ___XXXXX,XXXXXXXX,XX______,
  __XXXXXX,_____XXX,XXX_____,
  __XXXX__,______XX,XXX_____,
  _XXXXX__,_______X,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXXX__,_______X,XXXX____,
  __XXXXX_,______XX,XXX_____,
  __XXXXXX,_____XXX,XXX_____,
  ___XXXXX,XXXXXXXX,XX______,
  ____XXXX,XXXXXXXX,X_______,
  _____XXX,XXXXXXXX,________,
  _______X,XXXXXX__,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00D3[ 96] = { /* code 00D3 */
  ________,__XXXX__,________,
  ________,_XXXX___,________,
  ________,_XXX____,________,
  ________,XXX_____,________,
  ________,________,________,
  _______X,XXXXXX__,________,
  _____XXX,XXXXXXXX,________,
  ____XXXX,XXXXXXXX,X_______,
  ___XXXXX,XXXXXXXX,XX______,
  __XXXXXX,_____XXX,XXX_____,
  __XXXX__,______XX,XXX_____,
  _XXXXX__,_______X,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXXX__,_______X,XXXX____,
  __XXXXX_,______XX,XXX_____,
  __XXXXXX,_____XXX,XXX_____,
  ___XXXXX,XXXXXXXX,XX______,
  ____XXXX,XXXXXXXX,X_______,
  _____XXX,XXXXXXXX,________,
  _______X,XXXXXX__,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00D4[ 96] = { /* code 00D4 */
  ________,_XXX____,________,
  ________,XXXXX___,________,
  _______X,XX_XXX__,________,
  ______XX,X___XXX_,________,
  ________,________,________,
  _______X,XXXXXX__,________,
  _____XXX,XXXXXXXX,________,
  ____XXXX,XXXXXXXX,X_______,
  ___XXXXX,XXXXXXXX,XX______,
  __XXXXXX,_____XXX,XXX_____,
  __XXXX__,______XX,XXX_____,
  _XXXXX__,_______X,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXXX__,_______X,XXXX____,
  __XXXXX_,______XX,XXX_____,
  __XXXXXX,_____XXX,XXX_____,
  ___XXXXX,XXXXXXXX,XX______,
  ____XXXX,XXXXXXXX,X_______,
  _____XXX,XXXXXXXX,________,
  _______X,XXXXXX__,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00D5[ 96] = { /* code 00D5 */
  ________,________,________,
  _______X,XX___XX_,________,
  ______XX,XXXXXXX_,________,
  ______XX,___XXX__,________,
  ________,________,________,
  _______X,XXXXXX__,________,
  _____XXX,XXXXXXXX,________,
  ____XXXX,XXXXXXXX,X_______,
  ___XXXXX,XXXXXXXX,XX______,
  __XXXXXX,_____XXX,XXX_____,
  __XXXX__,______XX,XXX_____,
  _XXXXX__,_______X,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXXX__,_______X,XXXX____,
  __XXXXX_,______XX,XXX_____,
  __XXXXXX,_____XXX,XXX_____,
  ___XXXXX,XXXXXXXX,XX______,
  ____XXXX,XXXXXXXX,X_______,
  _____XXX,XXXXXXXX,________,
  _______X,XXXXXX__,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00D6[ 96] = { /* code 00D6 */
  ________,________,________,
  ______XX,X___XXX_,________,
  ______XX,X___XXX_,________,
  ______XX,X___XXX_,________,
  ________,________,________,
  _______X,XXXXXX__,________,
  _____XXX,XXXXXXXX,________,
  ____XXXX,XXXXXXXX,X_______,
  ___XXXXX,XXXXXXXX,XX______,
  __XXXXXX,_____XXX,XXX_____,
  __XXXX__,______XX,XXX_____,
  _XXXXX__,_______X,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXX___,________,XXXX____,
  _XXXXX__,_______X,XXXX____,
  __XXXXX_,______XX,XXX_____,
  __XXXXXX,_____XXX,XXX_____,
  ___XXXXX,XXXXXXXX,XX______,
  ____XXXX,XXXXXXXX,X_______,
  _____XXX,XXXXXXXX,________,
  _______X,XXXXXX__,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00D7[ 64] = { /* code 00D7 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ___X____,___X____,
  __XXX___,__XXX___,
  _XXXXX__,_XXXXX__,
  __XXXXX_,XXXXX___,
  ___XXXXX,XXXX____,
  ____XXXX,XXX_____,
  _____XXX,XX______,
  ____XXXX,XXX_____,
  ___XXXXX,XXXX____,
  __XXXXX_,XXXXX___,
  _XXXXX__,_XXXXX__,
  __XXX___,__XXX___,
  ___X____,___X____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00D8[ 96] = { /* code 00D8 */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,__X_____,
  _______X,XXXXXX__,__XX____,
  _____XXX,XXXXXXXX,_XXXX___,
  ____XXXX,XXXXXXXX,XXXX____,
  ___XXXXX,XXXXXXXX,XXX_____,
  __XXXXXX,_____XXX,XXX_____,
  __XXXX__,_____XXX,XXX_____,
  _XXXXX__,____XXXX,XXX_____,
  _XXXX___,___XXXX_,XXXX____,
  _XXXX___,__XXXX__,XXXX____,
  _XXXX___,_XXXX___,XXXX____,
  _XXXX___,XXXX____,XXXX____,
  _XXXX__X,XXX_____,XXXX____,
  _XXXX_XX,XX______,XXXX____,
  _XXXXXXX,X______X,XXXX____,
  __XXXXXX,_______X,XXX_____,
  __XXXXXX,_____XXX,XXX_____,
  __XXXXXX,XXXXXXXX,XX______,
  _XXXXXXX,XXXXXXXX,X_______,
  XXXX_XXX,XXXXXXXX,________,
  _XX____X,XXXXXX__,________,
  __X_____,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00D9[ 96] = { /* code 00D9 */
  _______X,XXX_____,________,
  ________,XXXX____,________,
  ________,_XXX____,________,
  ________,__XXX___,________,
  ________,________,________,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXXX_,______XX,XX______,
  __XXXXXX,____XXXX,XX______,
  ___XXXXX,XXXXXXXX,X_______,
  ___XXXXX,XXXXXXXX,X_______,
  ____XXXX,XXXXXXXX,________,
  ______XX,XXXXXX__,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00DA[ 96] = { /* code 00DA */
  ________,__XXXX__,________,
  ________,_XXXX___,________,
  ________,_XXX____,________,
  ________,XXX_____,________,
  ________,________,________,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXXX_,______XX,XX______,
  __XXXXXX,____XXXX,XX______,
  ___XXXXX,XXXXXXXX,X_______,
  ___XXXXX,XXXXXXXX,X_______,
  ____XXXX,XXXXXXXX,________,
  ______XX,XXXXXX__,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00DB[ 96] = { /* code 00DB */
  ________,_XXX____,________,
  ________,XXXXX___,________,
  _______X,XX_XXX__,________,
  ______XX,X___XXX_,________,
  ________,________,________,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXXX_,______XX,XX______,
  __XXXXXX,____XXXX,XX______,
  ___XXXXX,XXXXXXXX,X_______,
  ___XXXXX,XXXXXXXX,X_______,
  ____XXXX,XXXXXXXX,________,
  ______XX,XXXXXX__,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00DC[ 96] = { /* code 00DC */
  ________,________,________,
  ______XX,X___XXX_,________,
  ______XX,X___XXX_,________,
  ______XX,X___XXX_,________,
  ________,________,________,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXX__,______XX,XX______,
  __XXXXX_,______XX,XX______,
  __XXXXXX,____XXXX,XX______,
  ___XXXXX,XXXXXXXX,X_______,
  ___XXXXX,XXXXXXXX,X_______,
  ____XXXX,XXXXXXXX,________,
  ______XX,XXXXXX__,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00DD[ 96] = { /* code 00DD */
  ________,_XXXX___,________,
  ________,XXXX____,________,
  ________,XXX_____,________,
  _______X,XX______,________,
  ________,________,________,
  XXXX____,______XX,XX______,
  XXXXX___,_____XXX,XX______,
  _XXXXX__,____XXXX,X_______,
  __XXXX__,____XXXX,________,
  __XXXXX_,___XXXXX,________,
  ___XXXX_,___XXXX_,________,
  ____XXXX,__XXXX__,________,
  ____XXXX,XXXXXX__,________,
  _____XXX,XXXXX___,________,
  ______XX,XXXX____,________,
  ______XX,XXXX____,________,
  _______X,XXX_____,________,
  _______X,XXX_____,________,
  _______X,XXX_____,________,
  _______X,XXX_____,________,
  _______X,XXX_____,________,
  _______X,XXX_____,________,
  _______X,XXX_____,________,
  _______X,XXX_____,________,
  _______X,XXX_____,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00DE[ 96] = { /* code 00DE */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ___XXXX_,________,________,
  ___XXXX_,________,________,
  ___XXXX_,________,________,
  ___XXXX_,________,________,
  ___XXXXX,XXXXXX__,________,
  ___XXXXX,XXXXXXX_,________,
  ___XXXXX,XXXXXXXX,________,
  ___XXXXX,XXXXXXXX,X_______,
  ___XXXX_,____XXXX,X_______,
  ___XXXX_,_____XXX,X_______,
  ___XXXX_,_____XXX,X_______,
  ___XXXX_,____XXXX,X_______,
  ___XXXXX,XXXXXXXX,X_______,
  ___XXXXX,XXXXXXXX,________,
  ___XXXXX,XXXXXXX_,________,
  ___XXXXX,XXXXXX__,________,
  ___XXXX_,________,________,
  ___XXXX_,________,________,
  ___XXXX_,________,________,
  ___XXXX_,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00DF[ 96] = { /* code 00DF */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  _____XXX,XXX_____,________,
  ___XXXXX,XXXX____,________,
  ___XXXXX,XXXXX___,________,
  __XXXXX_,_XXXX___,________,
  __XXXX__,_XXXX___,________,
  __XXXX__,_XXXX___,________,
  __XXXX__,XXXX____,________,
  __XXXX__,XXX_____,________,
  __XXXX_X,XXX_____,________,
  __XXXX_X,XXX_____,________,
  __XXXX_X,XXXX____,________,
  __XXXX__,XXXXXX__,________,
  __XXXX__,_XXXXXX_,________,
  __XXXX__,__XXXXX_,________,
  __XXXX__,____XXXX,________,
  __XXXX__,____XXXX,________,
  __XXXX_X,X___XXXX,________,
  __XXXXXX,XXXXXXXX,________,
  __XXXX_X,XXXXXXX_,________,
  __XXXX__,_XXXX___,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00E0[ 64] = { /* code 00E0 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ___XXXX_,________,
  ____XXXX,________,
  _____XXX,________,
  ______XX,X_______,
  ________,________,
  ____XXXX,XXX_____,
  ___XXXXX,XXXX____,
  __XXXXXX,XXXXX___,
  _XXXX___,XXXXX___,
  _XXX____,_XXXX___,
  ________,_XXXX___,
  _______X,XXXXX___,
  ___XXXXX,XXXXX___,
  __XXXXX_,_XXXX___,
  _XXXX___,_XXXX___,
  _XXXX___,_XXXX___,
  _XXXX___,XXXXX___,
  _XXXXXXX,XXXXX___,
  __XXXXXX,X_XXX___,
  ___XXXXX,__XXXX__,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00E1[ 64] = { /* code 00E1 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _______X,XXX_____,
  ______XX,XX______,
  ______XX,X_______,
  _____XXX,________,
  ________,________,
  ____XXXX,XXX_____,
  ___XXXXX,XXXX____,
  __XXXXXX,XXXXX___,
  _XXXX___,XXXXX___,
  _XXX____,_XXXX___,
  ________,_XXXX___,
  _______X,XXXXX___,
  ___XXXXX,XXXXX___,
  __XXXXX_,_XXXX___,
  _XXXX___,_XXXX___,
  _XXXX___,_XXXX___,
  _XXXX___,XXXXX___,
  _XXXXXXX,XXXXX___,
  __XXXXXX,X_XXX___,
  ___XXXXX,__XXXX__,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00E2[ 64] = { /* code 00E2 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ______XX,X_______,
  _____XXX,XX______,
  ____XXX_,XXX_____,
  ___XXX__,_XXX____,
  ________,________,
  ____XXXX,XXX_____,
  ___XXXXX,XXXX____,
  __XXXXXX,XXXXX___,
  _XXXX___,XXXXX___,
  _XXX____,_XXXX___,
  ________,_XXXX___,
  _______X,XXXXX___,
  ___XXXXX,XXXXX___,
  __XXXXX_,_XXXX___,
  _XXXX___,_XXXX___,
  _XXXX___,_XXXX___,
  _XXXX___,XXXXX___,
  _XXXXXXX,XXXXX___,
  __XXXXXX,X_XXX___,
  ___XXXXX,__XXXX__,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00E3[ 64] = { /* code 00E3 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ____XXX_,__XX____,
  ___XXXXX,XXXX____,
  ___XX___,XXX_____,
  ________,________,
  ____XXXX,XXX_____,
  ___XXXXX,XXXX____,
  __XXXXXX,XXXXX___,
  _XXXX___,XXXXX___,
  _XXX____,_XXXX___,
  ________,_XXXX___,
  _______X,XXXXX___,
  ___XXXXX,XXXXX___,
  __XXXXX_,_XXXX___,
  _XXXX___,_XXXX___,
  _XXXX___,_XXXX___,
  _XXXX___,XXXXX___,
  _XXXXXXX,XXXXX___,
  __XXXXXX,X_XXX___,
  ___XXXXX,__XXXX__,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00E4[ 64] = { /* code 00E4 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ___XXX__,_XXX____,
  ___XXX__,_XXX____,
  ___XXX__,_XXX____,
  ________,________,
  ____XXXX,XXX_____,
  ___XXXXX,XXXX____,
  __XXXXXX,XXXXX___,
  _XXXX___,XXXXX___,
  _XXX____,_XXXX___,
  ________,_XXXX___,
  _______X,XXXXX___,
  ___XXXXX,XXXXX___,
  __XXXXX_,_XXXX___,
  _XXXX___,_XXXX___,
  _XXXX___,_XXXX___,
  _XXXX___,XXXXX___,
  _XXXXXXX,XXXXX___,
  __XXXXXX,X_XXX___,
  ___XXXXX,__XXXX__,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00E5[ 64] = { /* code 00E5 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ______XX,________,
  _____X__,X_______,
  _____X__,X_______,
  ______XX,________,
  ________,________,
  ____XXXX,XXX_____,
  ___XXXXX,XXXX____,
  __XXXXXX,XXXXX___,
  _XXXX___,XXXXX___,
  _XXX____,_XXXX___,
  ________,_XXXX___,
  _______X,XXXXX___,
  ___XXXXX,XXXXX___,
  __XXXXX_,_XXXX___,
  _XXXX___,_XXXX___,
  _XXXX___,_XXXX___,
  _XXXX___,XXXXX___,
  _XXXXXXX,XXXXX___,
  __XXXXXX,X_XXX___,
  ___XXXXX,__XXXX__,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00E6[ 96] = { /* code 00E6 */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  _____XXX,XXX___XX,XXX_____,
  ___XXXXX,XXXXXXXX,XXXXX___,
  __XXXXXX,XXXXXXXX,XXXXX___,
  __XXX___,_XXXXXX_,__XXXX__,
  _XXX____,__XXXX__,___XXX__,
  ________,__XXXX__,___XXXX_,
  ________,XXXXXXXX,XXXXXXX_,
  ____XXXX,XXXXXXXX,XXXXXXX_,
  __XXXXXX,__XXXXXX,XXXXXXX_,
  _XXXX___,__XXXX__,________,
  _XXXX___,__XXXX__,________,
  _XXXXX__,_XXXXXX_,___XX___,
  _XXXXXXX,XXXXXXXX,XXXXXXX_,
  __XXXXXX,XXX_XXXX,XXXXXX__,
  ___XXXXX,X_____XX,XXXX____,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00E7[ 64] = { /* code 00E7 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _____XXX,XXX_____,
  ___XXXXX,XXXX____,
  __XXXXXX,XXXXX___,
  __XXXX__,_XXXXX__,
  _XXXX___,__XX____,
  _XXXX___,________,
  _XXXX___,________,
  _XXXX___,________,
  _XXXX___,________,
  _XXXX___,________,
  _XXXX___,__XX____,
  __XXXX__,_XXXXX__,
  __XXXXXX,XXXXX___,
  ___XXXXX,XXXXX___,
  _____XXX,XXX_____,
  _____XXX,XX______,
  ________,XXX_____,
  ________,XXX_____,
  ________,XXX_____,
  ____XXXX,X_______,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00E8[ 64] = { /* code 00E8 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ____XXXX,________,
  _____XXX,X_______,
  ______XX,X_______,
  _______X,XX______,
  ________,________,
  _____XXX,XX______,
  ___XXXXX,XXXX____,
  __XXXXXX,XXXXX___,
  __XXXX__,_XXXX___,
  _XXXX___,__XXX___,
  _XXXX___,__XXXX__,
  _XXXXXXX,XXXXXX__,
  _XXXXXXX,XXXXXX__,
  _XXXXXXX,XXXXXX__,
  _XXXX___,________,
  _XXXX___,________,
  __XXXX__,__XX____,
  __XXXXXX,XXXXXX__,
  ___XXXXX,XXXXX___,
  _____XXX,XXX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00E9[ 64] = { /* code 00E9 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _______X,XXX_____,
  ______XX,XX______,
  ______XX,X_______,
  _____XXX,________,
  ________,________,
  _____XXX,XX______,
  ___XXXXX,XXXX____,
  __XXXXXX,XXXXX___,
  __XXXX__,_XXXX___,
  _XXXX___,__XXX___,
  _XXXX___,__XXXX__,
  _XXXXXXX,XXXXXX__,
  _XXXXXXX,XXXXXX__,
  _XXXXXXX,XXXXXX__,
  _XXXX___,________,
  _XXXX___,________,
  __XXXX__,__XX____,
  __XXXXXX,XXXXXX__,
  ___XXXXX,XXXXX___,
  _____XXX,XXX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00EA[ 64] = { /* code 00EA */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ______XX,X_______,
  _____XXX,XX______,
  ____XXX_,XXX_____,
  ___XXX__,_XXX____,
  ________,________,
  _____XXX,XX______,
  ___XXXXX,XXXX____,
  __XXXXXX,XXXXX___,
  __XXXX__,_XXXX___,
  _XXXX___,__XXX___,
  _XXXX___,__XXXX__,
  _XXXXXXX,XXXXXX__,
  _XXXXXXX,XXXXXX__,
  _XXXXXXX,XXXXXX__,
  _XXXX___,________,
  _XXXX___,________,
  __XXXX__,__XX____,
  __XXXXXX,XXXXXX__,
  ___XXXXX,XXXXX___,
  _____XXX,XXX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00EB[ 64] = { /* code 00EB */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ___XXX__,_XXX____,
  ___XXX__,_XXX____,
  ___XXX__,_XXX____,
  ________,________,
  _____XXX,XX______,
  ___XXXXX,XXXX____,
  __XXXXXX,XXXXX___,
  __XXXX__,_XXXX___,
  _XXXX___,__XXX___,
  _XXXX___,__XXXX__,
  _XXXXXXX,XXXXXX__,
  _XXXXXXX,XXXXXX__,
  _XXXXXXX,XXXXXX__,
  _XXXX___,________,
  _XXXX___,________,
  __XXXX__,__XX____,
  __XXXXXX,XXXXXX__,
  ___XXXXX,XXXXX___,
  _____XXX,XXX_____,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00EC[ 32] = { /* code 00EC */
  ________,
  ________,
  ________,
  ________,
  ________,
  _XXXX___,
  __XXXX__,
  ___XXX__,
  ____XXX_,
  ________,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont32B_1_00ED[ 32] = { /* code 00ED */
  ________,
  ________,
  ________,
  ________,
  ________,
  ___XXXX_,
  __XXXX__,
  __XXX___,
  _XXX____,
  ________,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont32B_1_00EE[ 32] = { /* code 00EE */
  ________,
  ________,
  ________,
  ________,
  ________,
  ___XXX__,
  __XXXXX_,
  _XXX_XXX,
  XXX___XX,
  ________,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont32B_1_00EF[ 32] = { /* code 00EF */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  XXX___XX,
  XXX___XX,
  XXX___XX,
  ________,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acFont32B_1_00F0[ 96] = { /* code 00F0 */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  _____XXX,X__XX___,________,
  _______X,XXX_____,________,
  _______X,XXXX____,________,
  _____XX_,_XXXX___,________,
  ________,_XXXX___,________,
  _____XXX,X_XXXX__,________,
  ___XXXXX,XXXXXXX_,________,
  ___XXXXX,XXXXXXX_,________,
  __XXXXX_,__XXXXX_,________,
  _XXXXX__,___XXXXX,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  __XXXX__,___XXXX_,________,
  __XXXXX_,__XXXXX_,________,
  ___XXXXX,XXXXXX__,________,
  ____XXXX,XXXXX___,________,
  ______XX,XXX_____,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00F1[ 96] = { /* code 00F1 */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  _____XXX,___XX___,________,
  ____XXXX,XXXXX___,________,
  ____XX__,_XXX____,________,
  ________,________,________,
  __XXXX__,XXXXX___,________,
  __XXXX_X,XXXXXX__,________,
  __XXXXXX,XXXXXXX_,________,
  __XXXXX_,__XXXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00F2[ 96] = { /* code 00F2 */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  _____XXX,X_______,________,
  ______XX,XX______,________,
  _______X,XX______,________,
  ________,XXX_____,________,
  ________,________,________,
  ______XX,XXX_____,________,
  ____XXXX,XXXXX___,________,
  ___XXXXX,XXXXXX__,________,
  __XXXXX_,__XXXXX_,________,
  __XXXX__,___XXXX_,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  __XXXX__,___XXXX_,________,
  __XXXXX_,__XXXXX_,________,
  ___XXXXX,XXXXXX__,________,
  ____XXXX,XXXXX___,________,
  ______XX,XXX_____,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00F3[ 96] = { /* code 00F3 */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,_XXXX___,________,
  ________,XXXX____,________,
  ________,XXX_____,________,
  _______X,XX______,________,
  ________,________,________,
  ______XX,XXX_____,________,
  ____XXXX,XXXXX___,________,
  ___XXXXX,XXXXXX__,________,
  __XXXXX_,__XXXXX_,________,
  __XXXX__,___XXXX_,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  __XXXX__,___XXXX_,________,
  __XXXXX_,__XXXXX_,________,
  ___XXXXX,XXXXXX__,________,
  ____XXXX,XXXXX___,________,
  ______XX,XXX_____,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00F4[ 96] = { /* code 00F4 */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  _______X,XX______,________,
  ______XX,XXX_____,________,
  _____XXX,_XXX____,________,
  ____XXX_,__XXX___,________,
  ________,________,________,
  ______XX,XXX_____,________,
  ____XXXX,XXXXX___,________,
  ___XXXXX,XXXXXX__,________,
  __XXXXX_,__XXXXX_,________,
  __XXXX__,___XXXX_,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  __XXXX__,___XXXX_,________,
  __XXXXX_,__XXXXX_,________,
  ___XXXXX,XXXXXX__,________,
  ____XXXX,XXXXX___,________,
  ______XX,XXX_____,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00F5[ 96] = { /* code 00F5 */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  _____XXX,___XX___,________,
  ____XXXX,XXXXX___,________,
  ____XX__,_XXX____,________,
  ________,________,________,
  ______XX,XXX_____,________,
  ____XXXX,XXXXX___,________,
  ___XXXXX,XXXXXX__,________,
  __XXXXX_,__XXXXX_,________,
  __XXXX__,___XXXX_,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  __XXXX__,___XXXX_,________,
  __XXXXX_,__XXXXX_,________,
  ___XXXXX,XXXXXX__,________,
  ____XXXX,XXXXX___,________,
  ______XX,XXX_____,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00F6[ 96] = { /* code 00F6 */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ____XXX_,__XXX___,________,
  ____XXX_,__XXX___,________,
  ____XXX_,__XXX___,________,
  ________,________,________,
  ______XX,XXX_____,________,
  ____XXXX,XXXXX___,________,
  ___XXXXX,XXXXXX__,________,
  __XXXXX_,__XXXXX_,________,
  __XXXX__,___XXXX_,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  _XXXX___,____XXXX,________,
  __XXXX__,___XXXX_,________,
  __XXXXX_,__XXXXX_,________,
  ___XXXXX,XXXXXX__,________,
  ____XXXX,XXXXX___,________,
  ______XX,XXX_____,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00F7[ 64] = { /* code 00F7 */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  _____XXX,X_______,
  _____XXX,X_______,
  _____XXX,X_______,
  _____XXX,X_______,
  ________,________,
  ________,________,
  XXXXXXXX,XXXXXX__,
  XXXXXXXX,XXXXXX__,
  XXXXXXXX,XXXXXX__,
  XXXXXXXX,XXXXXX__,
  ________,________,
  ________,________,
  _____XXX,X_______,
  _____XXX,X_______,
  _____XXX,X_______,
  _____XXX,X_______,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00F8[ 96] = { /* code 00F8 */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,______X_,________,
  ______XX,XXX___XX,________,
  ____XXXX,XXXX_XX_,________,
  ___XXXXX,XXXXXX__,________,
  __XXXXX_,__XXXX__,________,
  __XXXX__,__XXXXX_,________,
  _XXXX___,_XX_XXXX,________,
  _XXXX___,XX__XXXX,________,
  _XXXX___,X___XXXX,________,
  _XXXX__X,X___XXXX,________,
  _XXXX_XX,____XXXX,________,
  _XXXXXX_,___XXXX_,________,
  __XXXXX_,__XXXXX_,________,
  ___XXXXX,XXXXXX__,________,
  __XXXXXX,XXXXX___,________,
  _XX__XXX,XXX_____,________,
  __X_____,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00F9[ 96] = { /* code 00F9 */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  _____XXX,X_______,________,
  ______XX,XX______,________,
  _______X,XX______,________,
  ________,XXX_____,________,
  ________,________,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXXX_,__XXXXX_,________,
  __XXXXXX,XXXXXXX_,________,
  ___XXXXX,XXXXXXX_,________,
  ____XXXX,X__XXXX_,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00FA[ 96] = { /* code 00FA */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,_XXXX___,________,
  ________,XXXX____,________,
  ________,XXX_____,________,
  _______X,XX______,________,
  ________,________,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXXX_,__XXXXX_,________,
  __XXXXXX,XXXXXXX_,________,
  ___XXXXX,XXXXXXX_,________,
  ____XXXX,X__XXXX_,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00FB[ 96] = { /* code 00FB */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  _______X,XX______,________,
  ______XX,XXX_____,________,
  _____XXX,_XXX____,________,
  ____XXX_,__XXX___,________,
  ________,________,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXXX_,__XXXXX_,________,
  __XXXXXX,XXXXXXX_,________,
  ___XXXXX,XXXXXXX_,________,
  ____XXXX,X__XXXX_,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00FC[ 96] = { /* code 00FC */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ____XXX_,__XXX___,________,
  ____XXX_,__XXX___,________,
  ____XXX_,__XXX___,________,
  ________,________,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXX__,___XXXX_,________,
  __XXXXX_,__XXXXX_,________,
  __XXXXXX,XXXXXXX_,________,
  ___XXXXX,XXXXXXX_,________,
  ____XXXX,X__XXXX_,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00FD[ 64] = { /* code 00FD */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,XXXX____,
  _______X,XXX_____,
  _______X,XX______,
  ______XX,X_______,
  ________,________,
  XXXX____,___XXXX_,
  XXXX____,___XXXX_,
  _XXXX___,__XXXX__,
  _XXXX___,__XXXX__,
  _XXXX___,__XXX___,
  __XXXX__,_XXXX___,
  __XXXX__,_XXXX___,
  ___XXX__,_XXX____,
  ___XXX__,_XXX____,
  ___XXXX_,XXXX____,
  ____XXX_,XXX_____,
  ____XXX_,XXX_____,
  _____XXX,XX______,
  _____XXX,XX______,
  _____XXX,XX______,
  _____XXX,X_______,
  ____XXXX,X_______,
  _XXXXXXX,________,
  _XXXXXXX,________,
  _XXXXX__,________,
  ________,________,
  ________,________};

GUI_FLASH const unsigned char acFont32B_1_00FE[ 96] = { /* code 00FE */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,XXXX____,________,
  __XXXXXX,XXXXXX__,________,
  __XXXXXX,XXXXXXX_,________,
  __XXXXX_,___XXXX_,________,
  __XXXXX_,___XXXXX,________,
  __XXXX__,____XXXX,________,
  __XXXX__,____XXXX,________,
  __XXXX__,____XXXX,________,
  __XXXX__,____XXXX,________,
  __XXXX__,____XXXX,________,
  __XXXXX_,___XXXXX,________,
  __XXXXXX,___XXXX_,________,
  __XXXXXX,XXXXXXX_,________,
  __XXXX_X,XXXXXX__,________,
  __XXXX__,XXXX____,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  __XXXX__,________,________,
  ________,________,________,
  ________,________,________};

GUI_FLASH const unsigned char acFont32B_1_00FF[ 64] = { /* code 00FF */
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ________,________,
  ___XXX__,_XXX____,
  ___XXX__,_XXX____,
  ___XXX__,_XXX____,
  ________,________,
  XXXX____,___XXXX_,
  XXXX____,___XXXX_,
  _XXXX___,__XXXX__,
  _XXXX___,__XXXX__,
  _XXXX___,__XXX___,
  __XXXX__,_XXXX___,
  __XXXX__,_XXXX___,
  ___XXX__,_XXX____,
  ___XXX__,_XXX____,
  ___XXXX_,XXXX____,
  ____XXX_,XXX_____,
  ____XXX_,XXX_____,
  _____XXX,XX______,
  _____XXX,XX______,
  _____XXX,XX______,
  _____XXX,X_______,
  ____XXXX,X_______,
  _XXXXXXX,________,
  _XXXXXXX,________,
  _XXXXX__,________,
  ________,________,
  ________,________};

GUI_FLASH const GUI_CHARINFO GUI_Font32B_1_CharInfo[96] = {
   {   8,   8,  1, (void GUI_FLASH *)&acFont32B_1_00A0 } /* code 00A0 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acFont32B_1_00A1 } /* code 00A1 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00A2 } /* code 00A2 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00A3 } /* code 00A3 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00A4 } /* code 00A4 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00A5 } /* code 00A5 */
  ,{   7,   7,  1, (void GUI_FLASH *)&acFont32B_1_00A6 } /* code 00A6 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00A7 } /* code 00A7 */
  ,{   9,   9,  2, (void GUI_FLASH *)&acFont32B_1_00A8 } /* code 00A8 */
  ,{  20,  20,  3, (void GUI_FLASH *)&acFont32B_1_00A9 } /* code 00A9 */
  ,{  10,  10,  2, (void GUI_FLASH *)&acFont32B_1_00AA } /* code 00AA */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00AB } /* code 00AB */
  ,{  16,  16,  2, (void GUI_FLASH *)&acFont32B_1_00AC } /* code 00AC */
  ,{   9,   9,  2, (void GUI_FLASH *)&acFont32B_1_00AD } /* code 00AD */
  ,{  20,  20,  3, (void GUI_FLASH *)&acFont32B_1_00AE } /* code 00AE */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00AF } /* code 00AF */
  ,{  11,  11,  2, (void GUI_FLASH *)&acFont32B_1_00B0 } /* code 00B0 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00B1 } /* code 00B1 */
  ,{   9,   9,  2, (void GUI_FLASH *)&acFont32B_1_00B2 } /* code 00B2 */
  ,{   9,   9,  2, (void GUI_FLASH *)&acFont32B_1_00B3 } /* code 00B3 */
  ,{   9,   9,  2, (void GUI_FLASH *)&acFont32B_1_00B4 } /* code 00B4 */
  ,{  16,  16,  2, (void GUI_FLASH *)&acFont32B_1_00B5 } /* code 00B5 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00B6 } /* code 00B6 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acFont32B_1_00B7 } /* code 00B7 */
  ,{   9,   9,  2, (void GUI_FLASH *)&acFont32B_1_00B8 } /* code 00B8 */
  ,{   9,   9,  2, (void GUI_FLASH *)&acFont32B_1_00B9 } /* code 00B9 */
  ,{  10,  10,  2, (void GUI_FLASH *)&acFont32B_1_00BA } /* code 00BA */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00BB } /* code 00BB */
  ,{  23,  23,  3, (void GUI_FLASH *)&acFont32B_1_00BC } /* code 00BC */
  ,{  23,  23,  3, (void GUI_FLASH *)&acFont32B_1_00BD } /* code 00BD */
  ,{  23,  23,  3, (void GUI_FLASH *)&acFont32B_1_00BE } /* code 00BE */
  ,{  17,  17,  3, (void GUI_FLASH *)&acFont32B_1_00BF } /* code 00BF */
  ,{  19,  19,  3, (void GUI_FLASH *)&acFont32B_1_00C0 } /* code 00C0 */
  ,{  19,  19,  3, (void GUI_FLASH *)&acFont32B_1_00C1 } /* code 00C1 */
  ,{  19,  19,  3, (void GUI_FLASH *)&acFont32B_1_00C2 } /* code 00C2 */
  ,{  19,  19,  3, (void GUI_FLASH *)&acFont32B_1_00C3 } /* code 00C3 */
  ,{  19,  19,  3, (void GUI_FLASH *)&acFont32B_1_00C4 } /* code 00C4 */
  ,{  19,  19,  3, (void GUI_FLASH *)&acFont32B_1_00C5 } /* code 00C5 */
  ,{  27,  27,  4, (void GUI_FLASH *)&acFont32B_1_00C6 } /* code 00C6 */
  ,{  20,  20,  3, (void GUI_FLASH *)&acFont32B_1_00C7 } /* code 00C7 */
  ,{  18,  18,  3, (void GUI_FLASH *)&acFont32B_1_00C8 } /* code 00C8 */
  ,{  18,  18,  3, (void GUI_FLASH *)&acFont32B_1_00C9 } /* code 00C9 */
  ,{  18,  18,  3, (void GUI_FLASH *)&acFont32B_1_00CA } /* code 00CA */
  ,{  18,  18,  3, (void GUI_FLASH *)&acFont32B_1_00CB } /* code 00CB */
  ,{   8,   8,  1, (void GUI_FLASH *)&acFont32B_1_00CC } /* code 00CC */
  ,{   8,   8,  1, (void GUI_FLASH *)&acFont32B_1_00CD } /* code 00CD */
  ,{   8,   8,  1, (void GUI_FLASH *)&acFont32B_1_00CE } /* code 00CE */
  ,{   8,   8,  1, (void GUI_FLASH *)&acFont32B_1_00CF } /* code 00CF */
  ,{  20,  20,  3, (void GUI_FLASH *)&acFont32B_1_00D0 } /* code 00D0 */
  ,{  20,  20,  3, (void GUI_FLASH *)&acFont32B_1_00D1 } /* code 00D1 */
  ,{  21,  21,  3, (void GUI_FLASH *)&acFont32B_1_00D2 } /* code 00D2 */
  ,{  21,  21,  3, (void GUI_FLASH *)&acFont32B_1_00D3 } /* code 00D3 */
  ,{  21,  21,  3, (void GUI_FLASH *)&acFont32B_1_00D4 } /* code 00D4 */
  ,{  21,  21,  3, (void GUI_FLASH *)&acFont32B_1_00D5 } /* code 00D5 */
  ,{  21,  21,  3, (void GUI_FLASH *)&acFont32B_1_00D6 } /* code 00D6 */
  ,{  16,  16,  2, (void GUI_FLASH *)&acFont32B_1_00D7 } /* code 00D7 */
  ,{  21,  21,  3, (void GUI_FLASH *)&acFont32B_1_00D8 } /* code 00D8 */
  ,{  20,  20,  3, (void GUI_FLASH *)&acFont32B_1_00D9 } /* code 00D9 */
  ,{  20,  20,  3, (void GUI_FLASH *)&acFont32B_1_00DA } /* code 00DA */
  ,{  20,  20,  3, (void GUI_FLASH *)&acFont32B_1_00DB } /* code 00DB */
  ,{  20,  20,  3, (void GUI_FLASH *)&acFont32B_1_00DC } /* code 00DC */
  ,{  18,  18,  3, (void GUI_FLASH *)&acFont32B_1_00DD } /* code 00DD */
  ,{  18,  18,  3, (void GUI_FLASH *)&acFont32B_1_00DE } /* code 00DE */
  ,{  17,  17,  3, (void GUI_FLASH *)&acFont32B_1_00DF } /* code 00DF */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00E0 } /* code 00E0 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00E1 } /* code 00E1 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00E2 } /* code 00E2 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00E3 } /* code 00E3 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00E4 } /* code 00E4 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00E5 } /* code 00E5 */
  ,{  24,  24,  3, (void GUI_FLASH *)&acFont32B_1_00E6 } /* code 00E6 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00E7 } /* code 00E7 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00E8 } /* code 00E8 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00E9 } /* code 00E9 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00EA } /* code 00EA */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00EB } /* code 00EB */
  ,{   8,   8,  1, (void GUI_FLASH *)&acFont32B_1_00EC } /* code 00EC */
  ,{   8,   8,  1, (void GUI_FLASH *)&acFont32B_1_00ED } /* code 00ED */
  ,{   8,   8,  1, (void GUI_FLASH *)&acFont32B_1_00EE } /* code 00EE */
  ,{   8,   8,  1, (void GUI_FLASH *)&acFont32B_1_00EF } /* code 00EF */
  ,{  17,  17,  3, (void GUI_FLASH *)&acFont32B_1_00F0 } /* code 00F0 */
  ,{  17,  17,  3, (void GUI_FLASH *)&acFont32B_1_00F1 } /* code 00F1 */
  ,{  17,  17,  3, (void GUI_FLASH *)&acFont32B_1_00F2 } /* code 00F2 */
  ,{  17,  17,  3, (void GUI_FLASH *)&acFont32B_1_00F3 } /* code 00F3 */
  ,{  17,  17,  3, (void GUI_FLASH *)&acFont32B_1_00F4 } /* code 00F4 */
  ,{  17,  17,  3, (void GUI_FLASH *)&acFont32B_1_00F5 } /* code 00F5 */
  ,{  17,  17,  3, (void GUI_FLASH *)&acFont32B_1_00F6 } /* code 00F6 */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00F7 } /* code 00F7 */
  ,{  17,  17,  3, (void GUI_FLASH *)&acFont32B_1_00F8 } /* code 00F8 */
  ,{  17,  17,  3, (void GUI_FLASH *)&acFont32B_1_00F9 } /* code 00F9 */
  ,{  17,  17,  3, (void GUI_FLASH *)&acFont32B_1_00FA } /* code 00FA */
  ,{  17,  17,  3, (void GUI_FLASH *)&acFont32B_1_00FB } /* code 00FB */
  ,{  17,  17,  3, (void GUI_FLASH *)&acFont32B_1_00FC } /* code 00FC */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00FD } /* code 00FD */
  ,{  17,  17,  3, (void GUI_FLASH *)&acFont32B_1_00FE } /* code 00FE */
  ,{  15,  15,  2, (void GUI_FLASH *)&acFont32B_1_00FF } /* code 00FF */
};

GUI_FLASH const GUI_FONT_PROP GUI_Font32B_1_Prop2 = {
   0x00A0 /* first character */
  ,0x00FF /* last character  */
  ,&GUI_Font32B_1_CharInfo[  0] /* address of first character */
  ,(void*)0 /* pointer to next GUI_FONT_PROP */
};

GUI_FLASH const GUI_FONT_PROP GUI_Font32B_1_Prop1 = {
   0x0020 /* first character */
  ,0x007E /* last character  */
  ,&GUI_Font32B_ASCII_CharInfo[  0] /* address of first character */
  ,(void GUI_FLASH *)&GUI_Font32B_1_Prop2 /* pointer to next GUI_FONT_PROP */
};

GUI_FLASH const GUI_FONT GUI_Font32B_1 = {
   GUI_FONTTYPE_PROP /* type of font    */
  ,32 /* height of font  */
  ,32 /* space of font y */
  ,1 /* magnification x */
  ,1 /* magnification y */
  ,(void GUI_FLASH *)&GUI_Font32B_1_Prop1
};

