/*
*********************************************************************************************************
*                                                uC/GUI
*                        Universal graphic software for embedded applications
*
*                       (c) Copyright 2002, Micrium Inc., Weston, FL
*                       (c) Copyright 2002, SEGGER Microcontroller Systeme GmbH
*
*              C/GUI is protected by international copyright laws. Knowledge of the
*              source code may not be used to write a similar product. This file may
*              only be used in accordance with a license and should not be redistributed
*              in any way. We appreciate your understanding and fairness.
*
----------------------------------------------------------------------
File        : F8x15B.C
Purpose     : Monospaced Bold Font similar to the fixed system font
Height      : 15
---------------------------END-OF-HEADER------------------------------
*/

#include "GUI.H"

#ifndef GUI_FLASH
  #define GUI_FLASH
#endif

/* The following line needs to be included in any file selecting the
   font. A good place would be GUIConf.H
*/
extern GUI_FLASH const GUI_FONT GUI_Font8x15B;

GUI_FLASH const unsigned char acF8x15B_32[15] = { /* code 32 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_33[15] = { /* code 33 */
  ________,
  ________,
  ________,
  ___XX___,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  ___XX___,
  ___XX___,
  ________,
  ___XX___,
  ___XX___,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_34[15] = { /* code 34 */
  ________,
  ________,
  ________,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_35[15] = { /* code 35 */
  ________,
  ________,
  ________,
  __XX_XX_,
  __XX_XX_,
  _XXXXXXX,
  __XX_XX_,
  __XX_XX_,
  __XX_XX_,
  _XXXXXXX,
  __XX_XX_,
  __XX_XX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_36[15] = { /* code 36 */
  ________,
  ___XX___,
  ___XX___,
  __XXXX__,
  _XX__XX_,
  _XX_____,
  __XX____,
  ___XX___,
  ____XX__,
  _____XX_,
  _XX__XX_,
  __XXXX__,
  ___XX___,
  ___XX___,
  ________};

GUI_FLASH const unsigned char acF8x15B_37[15] = { /* code 37 */
  ________,
  ________,
  _XXX____,
  XX_XX___,
  XX_XX_X_,
  _XXX_XX_,
  ____XX__,
  ___XX___,
  __XX____,
  _XX_XXX_,
  _X_XX_XX,
  ___XX_XX,
  ____XXX_,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_38[15] = { /* code 38 */
  ________,
  ________,
  ________,
  __XXX___,
  _XX_XX__,
  _XX_XX__,
  __XXX___,
  _XX_____,
  _XX_XXXX,
  _XX__XX_,
  _XX__XX_,
  __XXX_XX,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_39[15] = { /* code 39 */
  ________,
  ________,
  ________,
  ___XX___,
  ___XX___,
  ___XX___,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_40[15] = { /* code 40 */
  ________,
  ________,
  ________,
  ____XX__,
  ___XX___,
  ___XX___,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  ___XX___,
  ___XX___,
  ____XX__,
  ________};

GUI_FLASH const unsigned char acF8x15B_41[15] = { /* code 41 */
  ________,
  ________,
  ________,
  __XX____,
  ___XX___,
  ___XX___,
  ____XX__,
  ____XX__,
  ____XX__,
  ____XX__,
  ____XX__,
  ___XX___,
  ___XX___,
  __XX____,
  ________};

GUI_FLASH const unsigned char acF8x15B_42[15] = { /* code 42 */
  ________,
  ________,
  ________,
  ________,
  ________,
  __XX_XX_,
  ___XXX__,
  _XXXXXXX,
  ___XXX__,
  __XX_XX_,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_43[15] = { /* code 43 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ___XX___,
  ___XX___,
  _XXXXXX_,
  ___XX___,
  ___XX___,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_44[15] = { /* code 44 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ___XXX__,
  ___XXX__,
  ____XX__,
  ___XX___,
  ________};

GUI_FLASH const unsigned char acF8x15B_45[15] = { /* code 45 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  _XXXXXX_,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_46[15] = { /* code 46 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ___XXX__,
  ___XXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_47[15] = { /* code 47 */
  ________,
  ________,
  ________,
  _____XX_,
  _____XX_,
  ____XX__,
  ____XX__,
  ___XX___,
  ___XX___,
  __XX____,
  __XX____,
  _XX_____,
  _XX_____,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_48[15] = { /* code 48 */
  ________,
  ________,
  ________,
  ___XXXX_,
  __XX__XX,
  __XX_XXX,
  __XX_XXX,
  __XX__XX,
  __XXX_XX,
  __XXX_XX,
  __XX__XX,
  ___XXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_49[15] = { /* code 49 */
  ________,
  ________,
  ________,
  ____XX__,
  ___XXX__,
  _XXXXX__,
  ____XX__,
  ____XX__,
  ____XX__,
  ____XX__,
  ____XX__,
  ____XX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_50[15] = { /* code 50 */
  ________,
  ________,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _____XX_,
  ____XX__,
  ___XX___,
  __XX____,
  _XX_____,
  _XXXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_51[15] = { /* code 51 */
  ________,
  ________,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _____XX_,
  ___XXX__,
  _____XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_52[15] = { /* code 52 */
  ________,
  ________,
  ________,
  __XX____,
  __XX____,
  __XX_XX_,
  __XX_XX_,
  __XX_XX_,
  _XX__XX_,
  _XXXXXXX,
  _____XX_,
  _____XX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_53[15] = { /* code 53 */
  ________,
  ________,
  ________,
  _XXXXXX_,
  _XX_____,
  _XX_____,
  _XX_____,
  _XXXXX__,
  _____XX_,
  _____XX_,
  ____XX__,
  _XXXX___,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_54[15] = { /* code 54 */
  ________,
  ________,
  ________,
  ___XXX__,
  ___XX___,
  __XX____,
  _XXXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_55[15] = { /* code 55 */
  ________,
  ________,
  ________,
  _XXXXXX_,
  _____XX_,
  ____XX__,
  ____XX__,
  ___XX___,
  ___XX___,
  __XX____,
  __XX____,
  __XX____,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_56[15] = { /* code 56 */
  ________,
  ________,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XXX_XX_,
  __XXXX__,
  _XX_XXX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_57[15] = { /* code 57 */
  ________,
  ________,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXXX_,
  ____XX__,
  ___XX___,
  __XXX___,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_58[15] = { /* code 58 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ___XXX__,
  ___XXX__,
  ________,
  ________,
  ________,
  ___XXX__,
  ___XXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_59[15] = { /* code 59 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ___XXX__,
  ___XXX__,
  ________,
  ________,
  ________,
  ___XXX__,
  ___XXX__,
  ____XX__,
  ___XX___,
  ________};

GUI_FLASH const unsigned char acF8x15B_60[15] = { /* code 60 */
  ________,
  ________,
  ________,
  _____XX_,
  ____XX__,
  ___XX___,
  __XX____,
  _XX_____,
  __XX____,
  ___XX___,
  ____XX__,
  _____XX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_61[15] = { /* code 61 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  _XXXXXX_,
  ________,
  _XXXXXX_,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_62[15] = { /* code 62 */
  ________,
  ________,
  ________,
  _XX_____,
  __XX____,
  ___XX___,
  ____XX__,
  _____XX_,
  ____XX__,
  ___XX___,
  __XX____,
  _XX_____,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_63[15] = { /* code 63 */
  ________,
  ________,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  ____XX__,
  ___XX___,
  ___XX___,
  ________,
  ___XX___,
  ___XX___,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_64[15] = { /* code 64 */
  ________,
  ________,
  ________,
  _XXXXXX_,
  XX____XX,
  XX____XX,
  XX__XXXX,
  XX_XX_XX,
  XX_XX_XX,
  XX__XXXX,
  XX______,
  _XXXXXXX,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_65[15] = { /* code 65 */
  ________,
  ________,
  ________,
  ___XX___,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XXXXXX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_66[15] = { /* code 66 */
  ________,
  ________,
  ________,
  _XXXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XXXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XXXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_67[15] = { /* code 67 */
  ________,
  ________,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX_____,
  _XX_____,
  _XX_____,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_68[15] = { /* code 68 */
  ________,
  ________,
  ________,
  _XXXX___,
  _XX_XX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX_XX__,
  _XXXX___,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_69[15] = { /* code 69 */
  ________,
  ________,
  ________,
  _XXXXXX_,
  _XX_____,
  _XX_____,
  _XX_____,
  _XXXXX__,
  _XX_____,
  _XX_____,
  _XX_____,
  _XXXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_70[15] = { /* code 70 */
  ________,
  ________,
  ________,
  _XXXXXX_,
  _XX_____,
  _XX_____,
  _XX_____,
  _XXXXX__,
  _XX_____,
  _XX_____,
  _XX_____,
  _XX_____,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_71[15] = { /* code 71 */
  ________,
  ________,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX_____,
  _XX_____,
  _XX_XXX_,
  _XX__XX_,
  _XX__XX_,
  __XXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_72[15] = { /* code 72 */
  ________,
  ________,
  ________,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XXXXXX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_73[15] = { /* code 73 */
  ________,
  ________,
  ________,
  __XXXX__,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_74[15] = { /* code 74 */
  ________,
  ________,
  ________,
  _____XX_,
  _____XX_,
  _____XX_,
  _____XX_,
  _____XX_,
  _____XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_75[15] = { /* code 75 */
  ________,
  ________,
  ________,
  _XX__XX_,
  _XX__XX_,
  _XX_XX__,
  _XX_XX__,
  _XXXX___,
  _XX_XX__,
  _XX_XX__,
  _XX__XX_,
  _XX__XX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_76[15] = { /* code 76 */
  ________,
  ________,
  ________,
  _XX_____,
  _XX_____,
  _XX_____,
  _XX_____,
  _XX_____,
  _XX_____,
  _XX_____,
  _XX_____,
  _XXXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_77[15] = { /* code 77 */
  ________,
  ________,
  ________,
  _XX___XX,
  _XX___XX,
  _XXX_XXX,
  _XX_X_XX,
  _XX_X_XX,
  _XX_X_XX,
  _XX___XX,
  _XX___XX,
  _XX___XX,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_78[15] = { /* code 78 */
  ________,
  ________,
  ________,
  _XX___XX,
  _XX___XX,
  _XXX__XX,
  _XXXX_XX,
  _XX_XXXX,
  _XX__XXX,
  _XX___XX,
  _XX___XX,
  _XX___XX,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_79[15] = { /* code 79 */
  ________,
  ________,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_80[15] = { /* code 80 */
  ________,
  ________,
  ________,
  _XXXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XXXXX__,
  _XX_____,
  _XX_____,
  _XX_____,
  _XX_____,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_81[15] = { /* code 81 */
  ________,
  ________,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ____XX__,
  _____XX_,
  ________};

GUI_FLASH const unsigned char acF8x15B_82[15] = { /* code 82 */
  ________,
  ________,
  ________,
  _XXXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XXXXX__,
  _XX_XX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_83[15] = { /* code 83 */
  ________,
  ________,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX_____,
  __XX____,
  ___XX___,
  ____XX__,
  _____XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_84[15] = { /* code 84 */
  ________,
  ________,
  ________,
  _XXXXXX_,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_85[15] = { /* code 85 */
  ________,
  ________,
  ________,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_86[15] = { /* code 86 */
  ________,
  ________,
  ________,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ___XX___,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_87[15] = { /* code 87 */
  ________,
  ________,
  ________,
  _XX___XX,
  _XX___XX,
  _XX___XX,
  _XX_X_XX,
  _XX_X_XX,
  _XX_X_XX,
  __XX_XX_,
  __XX_XX_,
  __XX_XX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_88[15] = { /* code 88 */
  ________,
  ________,
  ________,
  _XX__XX_,
  _XX__XX_,
  __XX_X__,
  ___XX___,
  ___XX___,
  __X_XX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_89[15] = { /* code 89 */
  ________,
  ________,
  ________,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_90[15] = { /* code 90 */
  ________,
  ________,
  ________,
  _XXXXXX_,
  _____XX_,
  _____XX_,
  ____XX__,
  ___XX___,
  __XX____,
  _XX_____,
  _XX_____,
  _XXXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_91[15] = { /* code 91 */
  ________,
  ________,
  ________,
  __XXXX__,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XXXX__};

GUI_FLASH const unsigned char acF8x15B_92[15] = { /* code 92 */
  ________,
  ________,
  ________,
  _XX_____,
  _XX_____,
  __XX____,
  __XX____,
  ___XX___,
  ___XX___,
  ____XX__,
  ____XX__,
  _____XX_,
  _____XX_,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_93[15] = { /* code 93 */
  ________,
  ________,
  ________,
  __XXXX__,
  ____XX__,
  ____XX__,
  ____XX__,
  ____XX__,
  ____XX__,
  ____XX__,
  ____XX__,
  ____XX__,
  ____XX__,
  ____XX__,
  __XXXX__};

GUI_FLASH const unsigned char acF8x15B_94[15] = { /* code 94 */
  ________,
  ___XX___,
  __XXXX__,
  _XX__XX_,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_95[15] = { /* code 95 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  XXXXXXXX};

GUI_FLASH const unsigned char acF8x15B_96[15] = { /* code 96 */
  ________,
  __XXX___,
  ___XX___,
  ____XX__,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_97[15] = { /* code 97 */
  ________,
  ________,
  ________,
  ________,
  ________,
  __XXXX__,
  _____XX_,
  _____XX_,
  __XXXXX_,
  _XX__XX_,
  _XX__XX_,
  __XXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_98[15] = { /* code 98 */
  ________,
  ________,
  ________,
  _XX_____,
  _XX_____,
  _XXXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XXXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_99[15] = { /* code 99 */
  ________,
  ________,
  ________,
  ________,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX_____,
  _XX_____,
  _XX_____,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_100[15] = { /* code 100 */
  ________,
  ________,
  ________,
  _____XX_,
  _____XX_,
  __XXXXX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_101[15] = { /* code 101 */
  ________,
  ________,
  ________,
  ________,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XXXXXX_,
  _XX_____,
  _XX_____,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_102[15] = { /* code 102 */
  ________,
  ________,
  ________,
  ___XXXX_,
  __XX____,
  __XX____,
  __XX____,
  _XXXXXX_,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_103[15] = { /* code 103 */
  ________,
  ________,
  ________,
  ________,
  ________,
  __XXXXX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXXX_,
  _____XX_,
  _____XX_,
  _XXXXX__};

GUI_FLASH const unsigned char acF8x15B_104[15] = { /* code 104 */
  ________,
  ________,
  ________,
  _XX_____,
  _XX_____,
  _XXXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_105[15] = { /* code 105 */
  ________,
  ________,
  ___XX___,
  ___XX___,
  ________,
  _XXXX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  _XXXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_106[15] = { /* code 106 */
  ________,
  ________,
  ____XX__,
  ____XX__,
  ________,
  __XXXX__,
  ____XX__,
  ____XX__,
  ____XX__,
  ____XX__,
  ____XX__,
  ____XX__,
  ____XX__,
  ____XX__,
  _XXXX___};

GUI_FLASH const unsigned char acF8x15B_107[15] = { /* code 107 */
  ________,
  ________,
  ________,
  _XX_____,
  _XX_____,
  _XX__XX_,
  _XX__XX_,
  _XX_XX__,
  _XXXX___,
  _XX_XX__,
  _XX__XX_,
  _XX__XX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_108[15] = { /* code 108 */
  ________,
  ________,
  ________,
  _XXXX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  _XXXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_109[15] = { /* code 109 */
  ________,
  ________,
  ________,
  ________,
  ________,
  _XXXXXX_,
  _XX_X_XX,
  _XX_X_XX,
  _XX_X_XX,
  _XX_X_XX,
  _XX_X_XX,
  _XX___XX,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_110[15] = { /* code 110 */
  ________,
  ________,
  ________,
  ________,
  ________,
  _XXXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_111[15] = { /* code 111 */
  ________,
  ________,
  ________,
  ________,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_112[15] = { /* code 112 */
  ________,
  ________,
  ________,
  ________,
  ________,
  _XXXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XXXXX__,
  _XX_____,
  _XX_____,
  _XX_____};

GUI_FLASH const unsigned char acF8x15B_113[15] = { /* code 113 */
  ________,
  ________,
  ________,
  ________,
  ________,
  __XXXXX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXXX_,
  _____XX_,
  _____XX_,
  _____XX_};

GUI_FLASH const unsigned char acF8x15B_114[15] = { /* code 114 */
  ________,
  ________,
  ________,
  ________,
  ________,
  _XX__XX_,
  _XX_XXX_,
  _XXX____,
  _XX_____,
  _XX_____,
  _XX_____,
  _XX_____,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_115[15] = { /* code 115 */
  ________,
  ________,
  ________,
  ________,
  ________,
  __XXXXX_,
  _XX_____,
  _XX_____,
  __XXXX__,
  _____XX_,
  _____XX_,
  _XXXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_116[15] = { /* code 116 */
  ________,
  ________,
  ________,
  __XX____,
  __XX____,
  _XXXXXX_,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  __XX____,
  ___XXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_117[15] = { /* code 117 */
  ________,
  ________,
  ________,
  ________,
  ________,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_118[15] = { /* code 118 */
  ________,
  ________,
  ________,
  ________,
  ________,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ___XX___,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_119[15] = { /* code 119 */
  ________,
  ________,
  ________,
  ________,
  ________,
  _XX___XX,
  _XX_X_XX,
  _XX_X_XX,
  _XX_X_XX,
  _XX_X_XX,
  __XX_XX_,
  __XX_XX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_120[15] = { /* code 120 */
  ________,
  ________,
  ________,
  ________,
  ________,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ___XX___,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_121[15] = { /* code 121 */
  ________,
  ________,
  ________,
  ________,
  ________,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ____XX__,
  ___XX___,
  XXXX____};

GUI_FLASH const unsigned char acF8x15B_122[15] = { /* code 122 */
  ________,
  ________,
  ________,
  ________,
  ________,
  _XXXXXX_,
  _____XX_,
  ____XX__,
  ___XX___,
  __XX____,
  _XX_____,
  _XXXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_123[15] = { /* code 123 */
  ________,
  ________,
  ________,
  ____XX__,
  ___XX___,
  ___XX___,
  ___XX___,
  __XX____,
  _XX_____,
  __XX____,
  ___XX___,
  ___XX___,
  ___XX___,
  ____XX__,
  ________};

GUI_FLASH const unsigned char acF8x15B_124[15] = { /* code 124 */
  ________,
  ________,
  ________,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___};

GUI_FLASH const unsigned char acF8x15B_125[15] = { /* code 125 */
  ________,
  ________,
  ________,
  __XX____,
  ___XX___,
  ___XX___,
  ___XX___,
  ____XX__,
  _____XX_,
  ____XX__,
  ___XX___,
  ___XX___,
  ___XX___,
  __XX____,
  ________};

GUI_FLASH const unsigned char acF8x15B_126[15] = { /* code 126 */
  ________,
  ________,
  ________,
  _XXX___X,
  XX_XX_XX,
  X___XXX_,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_127[15] = { /* code 127 */
  ________,
  ________,
  ________,
  _XXXXXX_,
  _XXXXXX_,
  _XXXXXX_,
  _XXXXXX_,
  _XXXXXX_,
  _XXXXXX_,
  _XXXXXX_,
  _XXXXXX_,
  _XXXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_160[15] = { /* code 160 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_161[15] = { /* code 161 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ___XX___,
  ___XX___,
  ________,
  ___XX___,
  ___XX___,
  __XXXX__,
  __XXXX__,
  __XXXX__,
  ___XX___};

GUI_FLASH const unsigned char acF8x15B_162[15] = { /* code 162 */
  ________,
  ________,
  ________,
  ___XX___,
  ___XX___,
  __XXXX__,
  _XX__XX_,
  _XX_____,
  _XX_____,
  _XX__XX_,
  __XXXX__,
  ___XX___,
  ___XX___,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_163[15] = { /* code 163 */
  ________,
  ________,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX_____,
  _XX_____,
  XXXXXX__,
  _XX_____,
  _XX_____,
  XX______,
  XXXXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_164[15] = { /* code 164 */
  ________,
  ________,
  ________,
  ________,
  _XX__XX_,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  _XX__XX_,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_165[15] = { /* code 165 */
  ________,
  ________,
  ________,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  _XXXXXX_,
  ___XX___,
  _XXXXXX_,
  ___XX___,
  ___XX___,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_166[15] = { /* code 166 */
  ________,
  ________,
  ________,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ________,
  ________,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___};

GUI_FLASH const unsigned char acF8x15B_167[15] = { /* code 167 */
  ________,
  ________,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX_____,
  __XXX___,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ___XXX__,
  _____XX_,
  _XX__XX_,
  __XXXX__};

GUI_FLASH const unsigned char acF8x15B_168[15] = { /* code 168 */
  ________,
  ________,
  _XX__XX_,
  _XX__XX_,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_169[15] = { /* code 169 */
  ________,
  ________,
  ________,
  _XXXXXX_,
  XX____XX,
  X__XX__X,
  X_X__X_X,
  X_X____X,
  X_X__X_X,
  X__XX__X,
  XX____XX,
  _XXXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_170[15] = { /* code 170 */
  ________,
  ________,
  ________,
  __XXXX__,
  _____XX_,
  __XXXXX_,
  _XX__XX_,
  __XXXXX_,
  ________,
  _XXXXXX_,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_171[15] = { /* code 171 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  __XX__XX,
  _XX__XX_,
  XX__XX__,
  _XX__XX_,
  __XX__XX,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_172[15] = { /* code 172 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  _XXXXXX_,
  _____XX_,
  _____XX_,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_173[15] = { /* code 173 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  _XXXXXX_,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_174[15] = { /* code 174 */
  ________,
  ________,
  ________,
  _XXXXXX_,
  XX____XX,
  X_XXX__X,
  X_X__X_X,
  X_X__X_X,
  X_XXX__X,
  X_X__X_X,
  XX____XX,
  _XXXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_175[15] = { /* code 175 */
  XXXXXXXX,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_176[15] = { /* code 176 */
  ________,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_177[15] = { /* code 177 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ___XX___,
  ___XX___,
  _XXXXXX_,
  ___XX___,
  ___XX___,
  ________,
  _XXXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_178[15] = { /* code 178 */
  ________,
  ________,
  ________,
  __XXX___,
  ____XX__,
  ___XX___,
  __XX____,
  __XXXX__,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_179[15] = { /* code 179 */
  ________,
  ________,
  ________,
  __XXX___,
  ____XX__,
  ___XX___,
  ____XX__,
  __XXX___,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_180[15] = { /* code 180 */
  ________,
  ___XXX__,
  ___XX___,
  __XX____,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_181[15] = { /* code 181 */
  ________,
  ________,
  ________,
  ________,
  ________,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XXXX_XX,
  _XX_____,
  _XX_____,
  XX______};

GUI_FLASH const unsigned char acF8x15B_182[15] = { /* code 182 */
  ________,
  ________,
  ________,
  ___XXXXX,
  __XXXXX_,
  _XXXXXX_,
  _XXXXXX_,
  _XXXXXX_,
  __XXXXX_,
  ___XXXX_,
  _____XX_,
  _____XX_,
  _____XX_,
  _____XX_,
  _____XX_};

GUI_FLASH const unsigned char acF8x15B_183[15] = { /* code 183 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ___XXX__,
  ___XXX__,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_184[15] = { /* code 184 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ___XX___,
  ____XX__,
  __XXX___};

GUI_FLASH const unsigned char acF8x15B_185[15] = { /* code 185 */
  ________,
  ________,
  ________,
  ___XX___,
  __XXX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_186[15] = { /* code 186 */
  ________,
  ________,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  _XXXXXX_,
  ________,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_187[15] = { /* code 187 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  XX__XX__,
  _XX__XX_,
  __XX__XX,
  _XX__XX_,
  XX__XX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_188[15] = { /* code 188 */
  ________,
  ________,
  _XX_____,
  XXX_____,
  _XX___XX,
  _XX__XX_,
  _XX_XX__,
  ___XX___,
  __XX_XXX,
  _XX_XXXX,
  XX_XX_XX,
  ___XXXXX,
  ______XX,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_189[15] = { /* code 189 */
  ________,
  ________,
  _XX_____,
  XXX_____,
  _XX___XX,
  _XX__XX_,
  _XX_XX__,
  ___XX___,
  __XXXXX_,
  _XX___XX,
  XX___XX_,
  ____XX__,
  ____XXXX,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_190[15] = { /* code 190 */
  ________,
  ________,
  XXX_____,
  __XX____,
  _XX___XX,
  __XX_XX_,
  XXX_XX__,
  ___XX___,
  __XX_XXX,
  _XX_XXXX,
  XX_XX_XX,
  ___XXXXX,
  ______XX,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_191[15] = { /* code 191 */
  ________,
  ________,
  ________,
  ________,
  ________,
  ________,
  ___XX___,
  ___XX___,
  ________,
  ___XX___,
  ___XX___,
  __XX____,
  _XX__XX_,
  _XX__XX_,
  __XXXX__};

GUI_FLASH const unsigned char acF8x15B_192[15] = { /* code 192 */
  __XX____,
  ___XX___,
  ________,
  ___XX___,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XXXXXX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_193[15] = { /* code 193 */
  ____XX__,
  ___XX___,
  ________,
  ___XX___,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XXXXXX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_194[15] = { /* code 194 */
  __XXXX__,
  _XX__XX_,
  ________,
  ___XX___,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XXXXXX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_195[15] = { /* code 195 */
  __XXX_XX,
  _XX_XXX_,
  ________,
  ___XX___,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XXXXXX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_196[15] = { /* code 196 */
  _XX__XX_,
  _XX__XX_,
  ________,
  ___XX___,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XXXXXX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_197[15] = { /* code 197 */
  __XXXX__,
  _XX__XX_,
  __XXXX__,
  ___XX___,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XXXXXX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_198[15] = { /* code 198 */
  ________,
  ________,
  ________,
  ____XXXX,
  ___XXX__,
  __XXXX__,
  _XX_XX__,
  _XX_XXXX,
  _XXXXX__,
  _XX_XX__,
  _XX_XX__,
  _XX_XXXX,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_199[15] = { /* code 199 */
  ________,
  ________,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX_____,
  _XX_____,
  _XX_____,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ___XX___,
  ____XX__,
  __XXX___};

GUI_FLASH const unsigned char acF8x15B_200[15] = { /* code 200 */
  __XX____,
  ___XX___,
  ________,
  _XXXXXX_,
  _XX_____,
  _XX_____,
  _XX_____,
  _XXXXX__,
  _XX_____,
  _XX_____,
  _XX_____,
  _XXXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_201[15] = { /* code 201 */
  ____XX__,
  ___XX___,
  ________,
  _XXXXXX_,
  _XX_____,
  _XX_____,
  _XX_____,
  _XXXXX__,
  _XX_____,
  _XX_____,
  _XX_____,
  _XXXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_202[15] = { /* code 202 */
  __XXXX__,
  _XX__XX_,
  ________,
  _XXXXXX_,
  _XX_____,
  _XX_____,
  _XX_____,
  _XXXXX__,
  _XX_____,
  _XX_____,
  _XX_____,
  _XXXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_203[15] = { /* code 203 */
  _XX__XX_,
  _XX__XX_,
  ________,
  _XXXXXX_,
  _XX_____,
  _XX_____,
  _XX_____,
  _XXXXX__,
  _XX_____,
  _XX_____,
  _XX_____,
  _XXXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_204[15] = { /* code 204 */
  __XX____,
  ___XX___,
  ________,
  __XXXX__,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_205[15] = { /* code 205 */
  ____XX__,
  ___XX___,
  ________,
  __XXXX__,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_206[15] = { /* code 206 */
  __XXXX__,
  _XX__XX_,
  ________,
  __XXXX__,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_207[15] = { /* code 207 */
  _XX__XX_,
  _XX__XX_,
  ________,
  __XXXX__,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_208[15] = { /* code 208 */
  ________,
  ________,
  ________,
  _XXXX___,
  _XX_XX__,
  _XX__XX_,
  _XX__XX_,
  XXXX_XX_,
  _XX__XX_,
  _XX__XX_,
  _XX_XX__,
  _XXXX___,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_209[15] = { /* code 209 */
  __XXX_XX,
  _XX_XXX_,
  ________,
  _XX___XX,
  _XX___XX,
  _XXX__XX,
  _XXXX_XX,
  _XX_XXXX,
  _XX__XXX,
  _XX___XX,
  _XX___XX,
  _XX___XX,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_210[15] = { /* code 210 */
  __XX____,
  ___XX___,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_211[15] = { /* code 211 */
  ____XX__,
  ___XX___,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_212[15] = { /* code 212 */
  __XXXX__,
  _XX__XX_,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_213[15] = { /* code 213 */
  __XXX_XX,
  _XX_XXX_,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_214[15] = { /* code 214 */
  _XX__XX_,
  _XX__XX_,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_215[15] = { /* code 215 */
  ________,
  ________,
  ________,
  ________,
  _X____X_,
  _XX__XX_,
  __XXXX__,
  ___XX___,
  __XXXX__,
  _XX__XX_,
  _X____X_,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_216[15] = { /* code 216 */
  ________,
  ________,
  ________,
  __XXXXX_,
  _XX__XX_,
  _XX_XXX_,
  _XX_XXX_,
  _XXXXXX_,
  _XXX_XX_,
  _XXX_XX_,
  _XX__XX_,
  _XXXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_217[15] = { /* code 217 */
  __XX____,
  ___XX___,
  ________,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_218[15] = { /* code 218 */
  ____XX__,
  ___XX___,
  ________,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_219[15] = { /* code 219 */
  __XXXX__,
  _XX__XX_,
  ________,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_220[15] = { /* code 220 */
  _XX__XX_,
  _XX__XX_,
  ________,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_221[15] = { /* code 221 */
  ____XX__,
  ___XX___,
  ________,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_222[15] = { /* code 222 */
  ________,
  ________,
  ________,
  _XX_____,
  _XX_____,
  _XXXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XXXXX__,
  _XX_____,
  _XX_____,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_223[15] = { /* code 223 */
  ________,
  ________,
  ________,
  __XXX___,
  _XX_XX__,
  _XX_XX__,
  _XX_XX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX_XX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_224[15] = { /* code 224 */
  ________,
  _XXX____,
  __XX____,
  ___XX___,
  ________,
  __XXXX__,
  _____XX_,
  _____XX_,
  __XXXXX_,
  _XX__XX_,
  _XX__XX_,
  __XXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_225[15] = { /* code 225 */
  ________,
  ____XXX_,
  ____XX__,
  ___XX___,
  ________,
  __XXXX__,
  _____XX_,
  _____XX_,
  __XXXXX_,
  _XX__XX_,
  _XX__XX_,
  __XXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_226[15] = { /* code 226 */
  ________,
  ___XX___,
  __XXXX__,
  _XX__XX_,
  ________,
  __XXXX__,
  _____XX_,
  _____XX_,
  __XXXXX_,
  _XX__XX_,
  _XX__XX_,
  __XXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_227[15] = { /* code 227 */
  ________,
  _XXX___X,
  XX_XX_XX,
  X___XXX_,
  ________,
  __XXXX__,
  _____XX_,
  _____XX_,
  __XXXXX_,
  _XX__XX_,
  _XX__XX_,
  __XXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_228[15] = { /* code 228 */
  ________,
  ________,
  _XX__XX_,
  _XX__XX_,
  ________,
  __XXXX__,
  _____XX_,
  _____XX_,
  __XXXXX_,
  _XX__XX_,
  _XX__XX_,
  __XXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_229[15] = { /* code 229 */
  ________,
  __XXXX__,
  _XX__XX_,
  __XXXX__,
  ________,
  __XXXX__,
  _____XX_,
  _____XX_,
  __XXXXX_,
  _XX__XX_,
  _XX__XX_,
  __XXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_230[15] = { /* code 230 */
  ________,
  ________,
  ________,
  ________,
  ________,
  _XX_XXX_,
  ___XX_XX,
  ___XX_XX,
  _XXXXXXX,
  XX_XX___,
  XX_XX___,
  _XXX_XXX,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_231[15] = { /* code 231 */
  ________,
  ________,
  ________,
  ________,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX_____,
  _XX_____,
  _XX_____,
  _XX__XX_,
  __XXXX__,
  ___XX___,
  ____XX__,
  __XXX___};

GUI_FLASH const unsigned char acF8x15B_232[15] = { /* code 232 */
  ________,
  _XXX____,
  __XX____,
  ___XX___,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XXXXXX_,
  _XX_____,
  _XX_____,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_233[15] = { /* code 233 */
  ________,
  ____XXX_,
  ____XX__,
  ___XX___,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XXXXXX_,
  _XX_____,
  _XX_____,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_234[15] = { /* code 234 */
  ________,
  ___XX___,
  __XXXX__,
  _XX__XX_,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XXXXXX_,
  _XX_____,
  _XX_____,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_235[15] = { /* code 235 */
  ________,
  ________,
  _XX__XX_,
  _XX__XX_,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XXXXXX_,
  _XX_____,
  _XX_____,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_236[15] = { /* code 236 */
  ________,
  _XXX____,
  __XX____,
  ___XX___,
  ________,
  _XXXX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  _XXXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_237[15] = { /* code 237 */
  ________,
  ____XXX_,
  ____XX__,
  ___XX___,
  ________,
  _XXXX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  _XXXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_238[15] = { /* code 238 */
  ________,
  ___XX___,
  __XXXX__,
  _XX__XX_,
  ________,
  _XXXX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  _XXXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_239[15] = { /* code 239 */
  ________,
  ________,
  _XX__XX_,
  _XX__XX_,
  ________,
  _XXXX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  ___XX___,
  _XXXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_240[15] = { /* code 240 */
  ________,
  ________,
  ________,
  __XX_XX_,
  ___XX___,
  _XX_XX__,
  ___XXXX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_241[15] = { /* code 241 */
  ________,
  _XXX___X,
  XX_XX_XX,
  X___XXX_,
  ________,
  _XXXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_242[15] = { /* code 242 */
  ________,
  _XXX____,
  __XX____,
  ___XX___,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_243[15] = { /* code 243 */
  ________,
  ____XXX_,
  ____XX__,
  ___XX___,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_244[15] = { /* code 244 */
  ________,
  ___XX___,
  __XXXX__,
  _XX__XX_,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_245[15] = { /* code 245 */
  ________,
  _XXX___X,
  XX_XX_XX,
  X___XXX_,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_246[15] = { /* code 246 */
  ________,
  ________,
  _XX__XX_,
  _XX__XX_,
  ________,
  __XXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_247[15] = { /* code 247 */
  ________,
  ________,
  ________,
  ________,
  ___XX___,
  ___XX___,
  ________,
  _XXXXXX_,
  ________,
  ___XX___,
  ___XX___,
  ________,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_248[15] = { /* code 248 */
  ________,
  ________,
  ________,
  ________,
  ________,
  __XXXXX_,
  _XX__XX_,
  _XX_XXX_,
  _XXXXXX_,
  _XXX_XX_,
  _XX__XX_,
  _XXXXX__,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_249[15] = { /* code 249 */
  ________,
  _XXX____,
  __XX____,
  ___XX___,
  ________,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_250[15] = { /* code 250 */
  ________,
  ____XXX_,
  ____XX__,
  ___XX___,
  ________,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_251[15] = { /* code 251 */
  ________,
  ___XX___,
  __XXXX__,
  _XX__XX_,
  ________,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_252[15] = { /* code 252 */
  ________,
  ________,
  _XX__XX_,
  _XX__XX_,
  ________,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXXX_,
  ________,
  ________,
  ________};

GUI_FLASH const unsigned char acF8x15B_253[15] = { /* code 253 */
  ________,
  ____XXX_,
  ____XX__,
  ___XX___,
  ________,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ____XX__,
  ___XX___,
  XXXX____};

GUI_FLASH const unsigned char acF8x15B_254[15] = { /* code 254 */
  ________,
  ________,
  ________,
  _XX_____,
  _XX_____,
  _XX_____,
  _XXXXX__,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XXXXX__,
  _XX_____,
  _XX_____,
  _XX_____};

GUI_FLASH const unsigned char acF8x15B_255[15] = { /* code 255 */
  ________,
  ________,
  _XX__XX_,
  _XX__XX_,
  ________,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  _XX__XX_,
  __XXXX__,
  ____XX__,
  ___XX___,
  XXXX____};



GUI_FLASH const GUI_CHARINFO CharInfoF8x15B[192] = {
   {   8,   8,  1, (void GUI_FLASH *)&acF8x15B_32 } /* code  32 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_33 } /* code  33 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_34 } /* code  34 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_35 } /* code  35 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_36 } /* code  36 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_37 } /* code  37 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_38 } /* code  38 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_39 } /* code  39 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_40 } /* code  40 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_41 } /* code  41 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_42 } /* code  42 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_43 } /* code  43 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_44 } /* code  44 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_45 } /* code  45 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_46 } /* code  46 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_47 } /* code  47 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_48 } /* code  48 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_49 } /* code  49 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_50 } /* code  50 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_51 } /* code  51 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_52 } /* code  52 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_53 } /* code  53 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_54 } /* code  54 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_55 } /* code  55 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_56 } /* code  56 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_57 } /* code  57 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_58 } /* code  58 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_59 } /* code  59 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_60 } /* code  60 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_61 } /* code  61 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_62 } /* code  62 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_63 } /* code  63 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_64 } /* code  64 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_65 } /* code  65 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_66 } /* code  66 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_67 } /* code  67 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_68 } /* code  68 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_69 } /* code  69 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_70 } /* code  70 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_71 } /* code  71 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_72 } /* code  72 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_73 } /* code  73 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_74 } /* code  74 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_75 } /* code  75 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_76 } /* code  76 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_77 } /* code  77 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_78 } /* code  78 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_79 } /* code  79 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_80 } /* code  80 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_81 } /* code  81 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_82 } /* code  82 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_83 } /* code  83 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_84 } /* code  84 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_85 } /* code  85 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_86 } /* code  86 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_87 } /* code  87 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_88 } /* code  88 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_89 } /* code  89 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_90 } /* code  90 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_91 } /* code  91 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_92 } /* code  92 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_93 } /* code  93 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_94 } /* code  94 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_95 } /* code  95 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_96 } /* code  96 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_97 } /* code  97 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_98 } /* code  98 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_99 } /* code  99 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_100 } /* code 100 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_101 } /* code 101 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_102 } /* code 102 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_103 } /* code 103 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_104 } /* code 104 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_105 } /* code 105 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_106 } /* code 106 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_107 } /* code 107 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_108 } /* code 108 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_109 } /* code 109 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_110 } /* code 110 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_111 } /* code 111 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_112 } /* code 112 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_113 } /* code 113 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_114 } /* code 114 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_115 } /* code 115 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_116 } /* code 116 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_117 } /* code 117 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_118 } /* code 118 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_119 } /* code 119 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_120 } /* code 120 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_121 } /* code 121 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_122 } /* code 122 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_123 } /* code 123 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_124 } /* code 124 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_125 } /* code 125 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_126 } /* code 126 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_127 } /* code 127 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_160 } /* code 160 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_161 } /* code 161 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_162 } /* code 162 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_163 } /* code 163 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_164 } /* code 164 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_165 } /* code 165 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_166 } /* code 166 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_167 } /* code 167 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_168 } /* code 168 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_169 } /* code 169 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_170 } /* code 170 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_171 } /* code 171 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_172 } /* code 172 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_173 } /* code 173 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_174 } /* code 174 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_175 } /* code 175 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_176 } /* code 176 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_177 } /* code 177 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_178 } /* code 178 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_179 } /* code 179 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_180 } /* code 180 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_181 } /* code 181 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_182 } /* code 182 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_183 } /* code 183 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_184 } /* code 184 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_185 } /* code 185 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_186 } /* code 186 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_187 } /* code 187 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_188 } /* code 188 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_189 } /* code 189 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_190 } /* code 190 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_191 } /* code 191 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_192 } /* code 192 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_193 } /* code 193 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_194 } /* code 194 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_195 } /* code 195 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_196 } /* code 196 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_197 } /* code 197 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_198 } /* code 198 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_199 } /* code 199 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_200 } /* code 200 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_201 } /* code 201 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_202 } /* code 202 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_203 } /* code 203 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_204 } /* code 204 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_205 } /* code 205 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_206 } /* code 206 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_207 } /* code 207 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_208 } /* code 208 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_209 } /* code 209 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_210 } /* code 210 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_211 } /* code 211 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_212 } /* code 212 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_213 } /* code 213 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_214 } /* code 214 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_215 } /* code 215 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_216 } /* code 216 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_217 } /* code 217 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_218 } /* code 218 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_219 } /* code 219 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_220 } /* code 220 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_221 } /* code 221 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_222 } /* code 222 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_223 } /* code 223 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_224 } /* code 224 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_225 } /* code 225 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_226 } /* code 226 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_227 } /* code 227 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_228 } /* code 228 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_229 } /* code 229 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_230 } /* code 230 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_231 } /* code 231 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_232 } /* code 232 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_233 } /* code 233 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_234 } /* code 234 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_235 } /* code 235 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_236 } /* code 236 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_237 } /* code 237 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_238 } /* code 238 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_239 } /* code 239 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_240 } /* code 240 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_241 } /* code 241 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_242 } /* code 242 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_243 } /* code 243 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_244 } /* code 244 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_245 } /* code 245 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_246 } /* code 246 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_247 } /* code 247 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_248 } /* code 248 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_249 } /* code 249 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_250 } /* code 250 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_251 } /* code 251 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_252 } /* code 252 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_253 } /* code 253 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_254 } /* code 254 */
  ,{   8,   8,  1, (void GUI_FLASH *)&acF8x15B_255 } /* code 255 */
};

GUI_FLASH const GUI_FONT_PROP FontPropF8x15B_2 = {
   160            /* first character               */
  ,255            /* last character                */
  ,&CharInfoF8x15B[96] /* address of first character    */
  ,(void GUI_FLASH *)0            /* pointer to next GUI_FONT_PROP */
};

GUI_FLASH const GUI_FONT_PROP FontPropF8x15B_1 = {
   32            /* first character               */
  ,127            /* last character                */
  ,&CharInfoF8x15B[0] /* address of first character    */
  ,(void GUI_FLASH *)&FontPropF8x15B_2            /* pointer to next GUI_FONT_PROP */
};

GUI_FLASH const GUI_FONT GUI_Font8x15B = {
   GUI_FONTTYPE_PROP /* type of font    */
  ,15                /* height of font  */
  ,15                /* space of font y */
  ,1                /* magnification x */
  ,1                /* magnification y */
  ,(void GUI_FLASH *)&FontPropF8x15B_1
};

