/*
 *                         eg_Timer.c uC/OSʱʵ
 *
 * ݣ
 *     uC/OSʵʱ
 * Ŀģ
 *     ѧϰuC/OSʵʱ
 *
 */
#include	"Includes.h"               /* uC/OS interface */
#include    "option.h"
#include    "2410lib.h"
#include    "uhal.h"

/* ջ */
OS_STK StackLED[STACKSIZE]= {0, }; // LEDջ
OS_STK StackSEG[STACKSIZE]= {0, }; // SEGջ

/* ID */
char IdLED = '1'; // LED ID
char IdSEG = '2'; // SEG ID

/*  */
void TaskLED(void *Id); // LED
void TaskSEG(void *Id); // SEG

/* ʱʱһʱ */
void TmrFunc1(INT8U arg);

/* ʱ123 */
OS_TMR *Tmr1;	
OS_TMR *Tmr2;
OS_TMR *Tmr3;

/*
 * ˸һΣĸ
 */
void User_LED_Blink(void)
{
	static int led_status = 0;
	
	led_status += 1;
	if(led_status % 2 == 0)
		Led_Display(0x0f);
	else
		Led_Display(0x00);			
}

/*
 * ʾʵ飬0Fʾ
 */
void User_SEG_Blink(void)
{
	static unsigned char seg_value[] = { 0xc0, 0xf9, 0xa4, 0xb0, 0x99, 0x92, 0x82, 0xf8, 0x80, 0x90, 0x88, 0x83, 0xc6, 0xa1, 0x86, 0x8e };		   
	static int seg_status = 0;
	
	*((unsigned char *)0x10000006) = 0x3e;
	*((unsigned char *)0x10000004) = seg_value[seg_status];
	seg_status += 1;
	if(seg_status > 15)
		seg_status = 0;
}

/*
 * ʱTmr1Tmr2Tmr3
 *     1argȷʱ
 *     2ʱͬʱֻһTmr1Tmr2Tmr3ʱܺ˸һ
 */
void TmrFunc1(INT8U arg)
{
	/* argͬĶʱ */
	switch(arg)
	{
	/* ʱ1رնʱ1򿪶ʱ2 */
	case 1:
		OSEnableTimer(Tmr2);
		OSDisableTimer(Tmr1);
		User_LED_Blink();
		break;
	/* ʱ2رնʱ2򿪶ʱ3 */
	case 2:
		OSEnableTimer(Tmr3);
		OSDisableTimer(Tmr2);
		break;
	/* ʱ3رնʱ3򿪶ʱ1 */
	case 3:
		OSEnableTimer(Tmr1);
		OSDisableTimer(Tmr3);
		break;
	}
}

/*
 * LED
 *     1OSStart֮ǰȼڸúʱӽĶʱ
 *     2ʱʱʱ䶼Ϊ2ӣʹͬTmrFunc1ʱʹòͬĲʱ1ĳʼ״̬ΪΪ
 */
void TaskLED(void *Id)
{
	char key_press;
	char led_status = 0x0;
    INT8U err;
	
    /* ʱӽĶʱʼ */
    ARMTargetStart();

	/* ʼʱ */
	OSTmrInit();
	
	/* ʱʱʱ䶼Ϊ2ӣʹͬTmrFunc1ʱʹòͬĲʱ1ĳʼ״̬ΪΪ */
	err = OSCreateTimer( &Tmr1, TmrFunc1, 1, 200, OS_TMR_ENABLE);
	err = OSCreateTimer( &Tmr2, TmrFunc1, 2, 200, OS_TMR_DISABLE);
	err = OSCreateTimer( &Tmr3, TmrFunc1, 3, 200, OS_TMR_DISABLE);

	/* 񵽴ɣʱ */
    for (;;)
    {
        OSTimeDly(100);       
    }
}

/*
 * SEG
 *     1ÿ100 ticks1000ms˸
 */
void TaskSEG(void *Id)
{
    uHALr_printf("Task2() called\n");

    for (;;)
    {       
		OSSchedLock();

		sprintf(print_buf, "Task%c() turned\n", *(char *)Id);
        uHALr_printf(print_buf);
        User_SEG_Blink();

        OSSchedUnlock();

        OSTimeDly(100);
    }
}

/*
 * Main.
 *     1ʼĿϵͳʼӲʱȣϵͳ޹
 *     2OSInitʼuC/OS-IIݽṹȣڴʱӽж֮ǰ
 *     3TaskLEDTaskSEGTaskLEDȼΪ5TaskSEGȼΪ13TaskLEDȼTaskSEG
 *     4OSStartuC/OS-II
 */
void Main(void)
{
    /* 
     * Ŀϵͳʼ
     */
	ARMTargetInit();
    
    /* 
     * uC/OS-IIʼ
     */
	OSInit();

    /* 
     * TaskLEDTaskSEGTaskLEDȼΪ5TaskSEGȼΪ13TaskLEDȼTaskSEG
     */
	OSTaskCreate(TaskLED, (void *)&IdLED, (OS_STK *)&StackLED[STACKSIZE - 1], 5);
	OSTaskCreate(TaskSEG, (void *)&IdSEG, (OS_STK *)&StackSEG[STACKSIZE - 1], 13);
  
    /* 
     * 
     */
    OSStart();

    /* 
     * £Զִе 
     */
	return;
}   
